#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(amdgpu_bo_create_kernel, "", "");
KSYMTAB_FUNC(amdgpu_bo_create_isp_user, "", "");
KSYMTAB_FUNC(amdgpu_bo_free_kernel, "", "");
KSYMTAB_FUNC(amdgpu_bo_free_isp_user, "", "");

SYMBOL_CRC(amdgpu_bo_create_kernel, 0x6febcfeb, "");
SYMBOL_CRC(amdgpu_bo_create_isp_user, 0xed69aaf4, "");
SYMBOL_CRC(amdgpu_bo_free_kernel, 0xbbc32204, "");
SYMBOL_CRC(amdgpu_bo_free_isp_user, 0x08a93c88, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29ad8e33, "x86_hyper_type" },
	{ 0x21fc6f15, "drm_show_fdinfo" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xfc03d97a, "page_is_ram" },
	{ 0x6345693d, "drm_atomic_helper_commit_hw_done" },
	{ 0x5b641283, "arch_phys_wc_add" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x4292364c, "schedule" },
	{ 0x41dea046, "drm_gem_object_release" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0x92b57248, "flush_work" },
	{ 0x136690e6, "drm_connector_attach_max_bpc_property" },
	{ 0xa00805cf, "request_firmware" },
	{ 0x9f2b8c9c, "__pm_runtime_resume" },
	{ 0x71779e59, "pci_unregister_driver" },
	{ 0x8d701329, "drm_dp_clock_recovery_ok" },
	{ 0x30b0e825, "pm_runtime_allow" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x6329287f, "atomic64_xchg_cx8" },
	{ 0x15b7472f, "drm_crtc_vblank_get" },
	{ 0x38de26f6, "drm_mode_probed_add" },
	{ 0xd1f60a89, "arch_io_free_memtype_wc" },
	{ 0xf0e6b8a2, "smca_get_bank_type" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe2017c9f, "drm_dp_cec_unset_edid" },
	{ 0x8786fc41, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x839b3cf7, "kobj_sysfs_ops" },
	{ 0x776d7627, "drm_writeback_queue_job" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8235805b, "memmove" },
	{ 0xa1bf8742, "drm_dp_atomic_find_time_slots" },
	{ 0xfe12bcb9, "drm_dsc_compute_rc_parameters" },
	{ 0x9bd94c5e, "ttm_bo_vm_close" },
	{ 0x3a586a55, "drm_print_memory_stats" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x38e528b3, "drm_syncobj_get_handle" },
	{ 0x2460fcca, "pm_genpd_add_device" },
	{ 0x2f5d3b90, "drm_sched_stop" },
	{ 0xc5c99a79, "drm_dp_get_adjust_request_voltage" },
	{ 0x28a3c6bb, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0x769ee1fa, "drm_crtc_arm_vblank_event" },
	{ 0x8b5709d5, "__tracepoint_mmap_lock_released" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x94346a7e, "drm_sched_entity_error" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x6341d464, "pci_clear_master" },
	{ 0x909d43dd, "kmem_cache_free" },
	{ 0x56a67291, "ttm_resource_init" },
	{ 0x4caad318, "drm_connector_list_iter_next" },
	{ 0xf6193fba, "ttm_bo_vm_fault_reserved" },
	{ 0x345eb64a, "drm_plane_create_blend_mode_property" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xf11b83d8, "debugfs_create_x32" },
	{ 0x6987ea72, "ww_mutex_lock_interruptible" },
	{ 0x80d68b46, "hmm_range_fault" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xdfb63aa1, "drm_atomic_helper_dirtyfb" },
	{ 0x7b0caa84, "drm_mode_config_helper_resume" },
	{ 0xaf422654, "drm_gem_private_object_init" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xedcf81ce, "drm_dp_channel_eq_ok" },
	{ 0xea6684d0, "ttm_range_man_init_nocheck" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x59683220, "ttm_resource_manager_evict_all" },
	{ 0x7d545bce, "debugfs_lookup" },
	{ 0xf465b971, "pci_dev_put" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0x831e0f16, "drm_atomic_state_alloc" },
	{ 0xace169b3, "drm_mode_is_420_also" },
	{ 0x95bf6823, "pci_read_config_word" },
	{ 0x69353664, "__drm_debug" },
	{ 0x094f0e83, "down_write" },
	{ 0x3433f224, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x7e0458c0, "pci_reset_function" },
	{ 0x5cf788f7, "debugfs_create_bool" },
	{ 0x73011db0, "drm_dp_bw_code_to_link_rate" },
	{ 0xff5dff3e, "drm_property_blob_put" },
	{ 0x7415a237, "drm_helper_force_disable_all" },
	{ 0x7d2f4de8, "drm_dp_cec_attach" },
	{ 0x020eff02, "drm_open" },
	{ 0x85c2f550, "drm_add_edid_modes" },
	{ 0x2206f32d, "mmu_interval_notifier_remove" },
	{ 0x622cc291, "trace_event_raw_init" },
	{ 0x164b4e9e, "drm_send_event_locked" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd5c584fb, "drm_dp_mst_put_port_malloc" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8022e8fa, "dma_fence_wait_any_timeout" },
	{ 0x349cba85, "strchr" },
	{ 0x07947a11, "drm_atomic_get_mst_payload_state" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0x5849ed26, "drm_buddy_init" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd7f36c94, "dma_fence_signal_locked" },
	{ 0x2e35da69, "drm_dp_aux_unregister" },
	{ 0x770f15d0, "trace_event_printf" },
	{ 0xa15cf20b, "mfd_remove_devices" },
	{ 0xca4b5592, "mtree_load" },
	{ 0x36231921, "drm_atomic_helper_page_flip" },
	{ 0xaa78418b, "drm_connector_unregister" },
	{ 0x5d490f53, "pci_device_is_present" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xc59b9ebd, "debugfs_create_blob" },
	{ 0x0c5c16ce, "dma_buf_dynamic_attach" },
	{ 0x1b5fecd0, "radix_tree_iter_delete" },
	{ 0xf7f0a9b5, "pci_get_domain_bus_and_slot" },
	{ 0xd0c05159, "emergency_restart" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x660fdac4, "drm_sched_fault" },
	{ 0x2303d585, "drm_dp_mst_update_slots" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x71bb62b9, "dma_map_resource" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x1b2dcae5, "drm_modeset_lock_all_ctx" },
	{ 0x2220bd48, "hdmi_drm_infoframe_pack_only" },
	{ 0x07c907df, "drm_connector_set_path_property" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0xf24fe08a, "drm_connector_list_iter_end" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x04dc0300, "up_read" },
	{ 0x7d2a9594, "drm_atomic_helper_shutdown" },
	{ 0x5bb40ea9, "sg_alloc_table_from_pages_segment" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x628a04c9, "dma_resv_iter_next_unlocked" },
	{ 0x25dc9030, "drm_atomic_helper_check_modeset" },
	{ 0xc4c03bc0, "drm_helper_hpd_irq_event" },
	{ 0x1528d90c, "drm_mm_print" },
	{ 0x6e420fc4, "trace_print_array_seq" },
	{ 0xd6e53b70, "__mmap_lock_do_trace_start_locking" },
	{ 0x738803e6, "strnlen" },
	{ 0xc58df635, "drm_dp_mst_topology_mgr_suspend" },
	{ 0xd94859a2, "drm_dp_mst_atomic_enable_dsc" },
	{ 0xbfa160f6, "pm_runtime_forbid" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xfb3dbc3f, "pci_store_saved_state" },
	{ 0x36961ae7, "perf_pmu_register" },
	{ 0xa542ecb6, "__drm_puts_coredump" },
	{ 0x7cbf44dc, "pcie_get_speed_cap" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x17ad5bc9, "amdgpu_xcp_drm_dev_alloc" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x759ffa87, "pci_load_saved_state" },
	{ 0x6f3f3583, "drm_crtc_vblank_off" },
	{ 0x840c71e6, "drm_atomic_helper_suspend" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0b8f75a3, "node_states" },
	{ 0x0ae08083, "drm_sched_suspend_timeout" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0xdd68838f, "ttm_bo_wait_ctx" },
	{ 0x61b08416, "simple_attr_open" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xcab8b117, "firmware_request_nowarn" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x2e5c2e27, "debugfs_create_dir" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x73255724, "pci_alloc_irq_vectors" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb212b5b7, "param_ops_int" },
	{ 0x9da36e3c, "drm_gem_fb_get_obj" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0xfb8c6a11, "vga_client_register" },
	{ 0xd5b2ddfb, "ttm_resource_manager_usage" },
	{ 0x18437ded, "drm_atomic_helper_check_planes" },
	{ 0x738e62d7, "dma_resv_wait_timeout" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x9271d479, "ttm_resource_manager_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb0801d40, "drm_syncobj_create" },
	{ 0x8f9f8dd1, "drm_dp_mst_connector_late_register" },
	{ 0x5818d46e, "drm_gem_dmabuf_vmap" },
	{ 0xa9909315, "seq_write" },
	{ 0x64d2e037, "ttm_bo_vm_access" },
	{ 0xcfd0de3c, "drm_sched_job_add_resv_dependencies" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x8b7f63d8, "pid_task" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xa377db75, "pci_set_master" },
	{ 0xbfa1fcce, "ttm_resource_free" },
	{ 0xccdd4b6e, "drm_sched_fini" },
	{ 0x4b939f8c, "to_drm_sched_fence" },
	{ 0x31416356, "ttm_bo_init_reserved" },
	{ 0xb9ccbf2f, "cec_notifier_conn_register" },
	{ 0xca458ec9, "pcie_capability_clear_and_set_word_locked" },
	{ 0x5361e706, "drm_suballoc_manager_init" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0xe5f46723, "drm_sched_entity_modify_sched" },
	{ 0xcacf415a, "drm_crtc_vblank_on_config" },
	{ 0x25fcddf1, "drm_connector_attach_encoder" },
	{ 0x2f846301, "dma_set_mask" },
	{ 0x88736151, "param_ops_hexint" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x176e01bd, "i2c_new_client_device" },
	{ 0xd1d6919b, "vga_switcheroo_register_client" },
	{ 0xa9440686, "drm_dp_mst_topology_state_funcs" },
	{ 0x9cceb38a, "irq_set_chip_and_handler_name" },
	{ 0xce9bfc83, "get_device" },
	{ 0xfbc25dcf, "drm_exec_lock_obj" },
	{ 0xf944e9b4, "__xa_store" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x9aed6c2f, "put_device" },
	{ 0x0c0e69f8, "drm_set_preferred_mode" },
	{ 0xc5b27f55, "__init_rwsem" },
	{ 0x87be54ca, "drm_get_edid" },
	{ 0x64a85354, "hrtimer_try_to_cancel" },
	{ 0x42cae50b, "drm_crtc_enable_color_mgmt" },
	{ 0xf4efe8f6, "drm_dp_dpcd_write" },
	{ 0xd24bf532, "down_read_killable" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xfa1786f0, "drm_modeset_acquire_init" },
	{ 0x0c7506a4, "bpf_trace_run6" },
	{ 0x23bcd551, "pci_save_state" },
	{ 0x2c6606ba, "drm_plane_get_damage_clips_count" },
	{ 0x4ae95718, "kobject_add" },
	{ 0xc8cc8b9d, "drm_buddy_free_list" },
	{ 0xf3f9dedf, "pci_wait_for_pending_transaction" },
	{ 0xef1ffaed, "bpf_trace_run2" },
	{ 0x63432832, "backlight_device_unregister" },
	{ 0xab543159, "drm_sched_entity_set_priority" },
	{ 0x5af95ddb, "drm_plane_get_damage_clips" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xf47907cb, "drm_sched_pick_best" },
	{ 0x55ca31e3, "drm_modeset_acquire_fini" },
	{ 0x1aca8eda, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1e3865b8, "bpf_trace_run4" },
	{ 0xd45ddb66, "kstrtobool_from_user" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x85ac9fca, "drm_sched_job_cleanup" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf1b92697, "ttm_tt_fini" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x2e60bace, "memcpy" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xb24fc016, "drm_dp_cec_unregister_connector" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xbc0a7fb7, "drm_dp_start_crc" },
	{ 0x186f784d, "ttm_pool_fini" },
	{ 0xee7b9ef8, "drm_buddy_alloc_blocks" },
	{ 0x51e4939c, "drm_crtc_helper_set_mode" },
	{ 0x12dd7e8e, "__drm_atomic_helper_plane_reset" },
	{ 0xb79fd53a, "drm_dp_dpcd_read" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdd745464, "cancel_work" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0xde80cd09, "ioremap" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4c6deded, "drm_buddy_fini" },
	{ 0x05f02345, "seq_lseek" },
	{ 0x2a37b91a, "drm_modeset_unlock_all" },
	{ 0x2583f3dd, "drm_dp_mst_atomic_wait_for_dependencies" },
	{ 0x5c0dbbed, "dma_buf_unmap_attachment" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x36710054, "dma_resv_iter_first" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4ad08bdc, "ttm_bo_kmap" },
	{ 0xaacc9e27, "sort" },
	{ 0xd2b87aa4, "generic_handle_domain_irq" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x6aef9193, "acpi_video_get_edid" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb4a17a27, "drm_dp_mst_topology_mgr_set_mst" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7808c279, "dma_buf_move_notify" },
	{ 0xec3b6fb1, "dma_resv_reserve_fences" },
	{ 0x9fa17f05, "xa_find_after" },
	{ 0xf71347f7, "ttm_bo_set_bulk_move" },
	{ 0x9e7ae030, "debugfs_attr_write_signed" },
	{ 0xdfb800d9, "idr_find" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe93a9b42, "drm_edid_read_custom" },
	{ 0xd26697ed, "const_pcpu_hot" },
	{ 0x7016d3bb, "drm_gem_prime_export" },
	{ 0x8231f50d, "devm_device_add_group" },
	{ 0xa8fcb955, "dma_buf_put" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0x51d47a59, "single_open" },
	{ 0x995a9307, "radix_tree_tag_clear" },
	{ 0xa042980f, "pcie_get_readrq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d8eff0c, "dma_resv_iter_first_unlocked" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x54fab8c7, "dma_resv_add_fence" },
	{ 0x7b116a45, "seq_printf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0xbe30abe8, "__drm_atomic_helper_connector_destroy_state" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x0daac763, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x1eb64646, "div64_s64" },
	{ 0xabff31e3, "drm_dp_atomic_release_time_slots" },
	{ 0xacd83235, "drm_atomic_add_affected_connectors" },
	{ 0xc0ac634d, "kthread_stop" },
	{ 0xba0d1d53, "dma_resv_get_fences" },
	{ 0xf2d82098, "drm_dp_mst_detect_port" },
	{ 0x43507679, "pci_restore_state" },
	{ 0x1104d3f0, "drm_helper_connector_dpms" },
	{ 0x64760077, "drm_get_panel_min_brightness_quirk" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x3b891bab, "seq_hex_dump" },
	{ 0xd71f75cb, "pci_unmap_rom" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x0ddbf61c, "sync_file_create" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xb3e3c09c, "drm_edid_alloc" },
	{ 0x11089ac7, "_ctype" },
	{ 0x88ab6fe3, "kgdb_active" },
	{ 0xe126c1c6, "drm_plane_create_rotation_property" },
	{ 0x564812f0, "iommu_iova_to_phys" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0xa5111915, "kset_register" },
	{ 0xa25ce43b, "drm_add_modes_noedid" },
	{ 0x210f6850, "__trace_trigger_soft_disabled" },
	{ 0x62d8f9cf, "hrtimer_start_range_ns" },
	{ 0xe9cc9d2c, "ttm_bo_vm_dummy_page" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xfdbff565, "drm_modeset_lock_all" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0xd4148161, "dma_unmap_page_attrs" },
	{ 0xae71778d, "dma_resv_iter_next" },
	{ 0xae4cf728, "drm_atomic_private_obj_init" },
	{ 0x3090432b, "debugfs_create_file_unsafe" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xb813cc33, "drm_atomic_normalize_zpos" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbd010740, "drm_gem_dmabuf_mmap" },
	{ 0x463c69fc, "down_read" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xd9ed1b93, "drm_crtc_helper_set_config" },
	{ 0xe091c977, "list_sort" },
	{ 0x0efd7783, "drm_gem_handle_create" },
	{ 0x5c45fef7, "hrtimer_init" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xe8a35da3, "pci_enable_atomic_ops_to_root" },
	{ 0xba23b6e9, "drm_atomic_helper_set_config" },
	{ 0x2fcabd3b, "ww_mutex_unlock" },
	{ 0xc2762363, "dma_fence_wait_timeout" },
	{ 0x21923307, "drm_dp_read_dpcd_caps" },
	{ 0x0aa18da3, "drm_dev_enter" },
	{ 0x32a460e8, "down" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x4c2ae700, "strnstr" },
	{ 0x85df9b6c, "strsep" },
	{ 0x09af842d, "idr_get_next" },
	{ 0x874915d3, "pm_runtime_autosuspend_expiration" },
	{ 0x7c173634, "__bitmap_complement" },
	{ 0x2acd7b7b, "ttm_bo_pin" },
	{ 0x86eabafa, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x0d9b4753, "drm_mode_equal" },
	{ 0x2bc95bd4, "memset" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x305272dd, "component_del" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa6c6cee3, "drm_atomic_helper_update_legacy_modeset_state" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x500f1dfa, "vga_switcheroo_register_handler" },
	{ 0xa0cb54e4, "hwmon_device_register_with_groups" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xafc04969, "drm_sched_init" },
	{ 0x0b32570c, "fd_install" },
	{ 0x2d077af2, "drm_object_property_set_value" },
	{ 0x037a0cba, "kfree" },
	{ 0xf24d5ac7, "drm_sched_wqueue_ready" },
	{ 0xf513822c, "iommu_get_domain_for_dev" },
	{ 0x5573af4a, "sysfs_create_bin_file" },
	{ 0xa3cc3d14, "acpi_get_name" },
	{ 0x6751b1f8, "dma_fence_chain_walk" },
	{ 0xf0091bc6, "drm_client_register" },
	{ 0x609ec923, "drm_dp_mst_topology_queue_probe" },
	{ 0xf12789b6, "drm_atomic_commit" },
	{ 0xddf0fdcc, "drm_atomic_helper_plane_reset" },
	{ 0x6f84c573, "mutex_trylock" },
	{ 0x69b67aa8, "__kmem_cache_create_args" },
	{ 0x690e625d, "drm_dp_remove_payload_part2" },
	{ 0x3596a2fe, "drm_atomic_private_obj_fini" },
	{ 0xa01fbb6b, "cec_notifier_set_phys_addr" },
	{ 0xa5a75c57, "drm_kms_helper_connector_hotplug_event" },
	{ 0xd144b357, "drm_client_dev_suspend" },
	{ 0xa1d4766a, "pcie_capability_read_dword" },
	{ 0x90080358, "perf_pmu_unregister" },
	{ 0x8f83a815, "__put_task_struct" },
	{ 0x6d3184e1, "drm_crtc_send_vblank_event" },
	{ 0x7218727b, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x4999e1a5, "ttm_bo_mem_space" },
	{ 0x1b2d7a10, "drm_dp_mst_hpd_irq_send_new_request" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xd4fbba20, "acpi_amd_wbrf_supported_consumer" },
	{ 0x755d8b1b, "ttm_device_init" },
	{ 0x3b14f08b, "pci_wake_from_d3" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x1265db2d, "amd_wbrf_unregister_notifier" },
	{ 0xcb1ee354, "drm_dp_add_payload_part2" },
	{ 0x8f9ba877, "drm_client_init" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x4eaa1436, "drm_mode_object_get" },
	{ 0x95af588a, "sysfs_create_files" },
	{ 0xdcc3f4e3, "drm_connector_attach_dp_subconnector_property" },
	{ 0xbfc97bdc, "up" },
	{ 0xd81dada3, "ww_mutex_trylock" },
	{ 0x853990cc, "drm_release" },
	{ 0x61a206c1, "drm_atomic_helper_connector_destroy_state" },
	{ 0xbefe4490, "drm_universal_plane_init" },
	{ 0xfc71adc6, "drm_atomic_helper_crtc_reset" },
	{ 0x109c1876, "pci_get_class" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0xded3e254, "pcie_capability_read_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xcf9d58d6, "pnp_get_resource" },
	{ 0xb7d74645, "drm_dp_stop_crc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7c94099e, "pci_bus_resource_n" },
	{ 0x4e2a621e, "drm_prime_sg_to_dma_addr_array" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x9b31ee9d, "drm_connector_attach_vrr_capable_property" },
	{ 0x83abaeda, "drm_property_blob_get" },
	{ 0xcede275c, "memremap" },
	{ 0x350562b6, "drm_crtc_accurate_vblank_count" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x55c76a23, "ksys_sync_helper" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x8714738a, "drm_mode_object_put" },
	{ 0xd6efcfa3, "drm_atomic_helper_disable_plane" },
	{ 0x0e7f2168, "param_ops_string" },
	{ 0x6cd6b6db, "__tracepoint_mmap_lock_start_locking" },
	{ 0x0935ecb4, "drm_sched_job_arm" },
	{ 0xc37d027c, "drm_dp_mst_dsc_aux_for_port" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x47966bda, "drm_mode_create_scaling_mode_property" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x1e0d5676, "drm_read" },
	{ 0xecb3a6c8, "dma_buf_map_attachment" },
	{ 0x9aa4e6f9, "_dev_printk" },
	{ 0xfa309d3f, "pci_restore_msi_state" },
	{ 0x021bcd20, "i2c_add_adapter" },
	{ 0x07650d87, "drm_memory_stats_is_zero" },
	{ 0x439c1141, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0xf9bbd5a0, "drm_simple_encoder_init" },
	{ 0xa58fa58c, "kobject_init" },
	{ 0xb9578bfe, "drm_dp_mst_topology_mgr_init" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0x10bfaf7a, "drm_crtc_handle_vblank" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x1880cc83, "drm_atomic_helper_check_plane_state" },
	{ 0x0782850f, "dma_fence_signal" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x809a524d, "drm_syncobj_get_fd" },
	{ 0xf2ad679b, "drm_gem_fb_create_handle" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x14f15ba0, "drm_plane_create_zpos_property" },
	{ 0x56470118, "__warn_printk" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xc3708041, "drm_atomic_get_mst_topology_state" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x507c9014, "drm_dev_register" },
	{ 0x6fcc8388, "drm_crtc_vblank_helper_get_vblank_timestamp" },
	{ 0x397fe77b, "mmput" },
	{ 0x69d284b4, "drm_gem_ttm_vunmap" },
	{ 0xa23dd59f, "drm_dp_send_real_edid_checksum" },
	{ 0x99ba4c81, "param_ops_bint" },
	{ 0x417ce91f, "drm_dp_link_train_channel_eq_delay" },
	{ 0xff4a76d4, "cec_fill_conn_info_from_drm" },
	{ 0x442707be, "device_remove_file" },
	{ 0x2c208607, "power_supply_is_system_supplied" },
	{ 0xde94a9c9, "drm_crtc_init_with_planes" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3ad3e8ec, "kmem_cache_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xbd9ecc7c, "pci_set_power_state" },
	{ 0x4766e2fb, "ttm_device_clear_dma_mappings" },
	{ 0x76e8c0a8, "hwmon_device_unregister" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x221c44e6, "drm_gem_object_lookup" },
	{ 0xaee236c6, "cec_notifier_conn_unregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xaea9077a, "drm_crtc_init" },
	{ 0x7c7a028a, "drm_atomic_helper_connector_reset" },
	{ 0xa1432f9b, "pm_genpd_init" },
	{ 0x0def0e08, "default_llseek" },
	{ 0xd9b39514, "perf_event_update_userpage" },
	{ 0xefc4b56d, "down_read_trylock" },
	{ 0x307fafcf, "ttm_pool_free" },
	{ 0xf953c086, "drm_dp_cec_irq" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xa47826e4, "drm_dp_calc_pbn_mode" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbd316237, "drm_sched_entity_init" },
	{ 0xc4200dab, "drm_edid_is_valid" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xd6475c00, "drm_buddy_print" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x5f17ec2b, "drm_dp_aux_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xff5cfde7, "dma_fence_chain_ops" },
	{ 0x6573f300, "ida_free" },
	{ 0x71c3e7c1, "ttm_bo_move_to_lru_tail" },
	{ 0x474a6a94, "drm_sched_entity_flush" },
	{ 0x240b97e1, "drm_kms_helper_poll_disable" },
	{ 0x37a1ec83, "wake_up_process" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb6a479fb, "drm_dp_check_act_status" },
	{ 0x9bb7737d, "trace_event_buffer_reserve" },
	{ 0x065b45cb, "complete" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0xf0fb2156, "drm_plane_enable_fb_damage_clips" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0x5fc3a967, "_dev_emerg" },
	{ 0x70dcb56e, "pci_assign_unassigned_bus_resources" },
	{ 0x3f08e133, "param_ops_bool" },
	{ 0x4695c0c5, "drm_fbdev_ttm_driver_fbdev_probe" },
	{ 0xe3a0d7e7, "drm_mode_create_hdmi_colorspace_property" },
	{ 0xa43af73c, "dma_free_attrs" },
	{ 0x8eaf2a5f, "vga_switcheroo_unregister_handler" },
	{ 0x94ed4cd8, "dma_fence_add_callback" },
	{ 0xb8ca1a00, "drm_sched_wqueue_stop" },
	{ 0xc117f3ef, "drm_atomic_helper_check" },
	{ 0x6d40411e, "dma_buf_get" },
	{ 0x91ba612f, "ttm_bo_unpin" },
	{ 0x6ff0078a, "drm_dp_mst_connector_early_unregister" },
	{ 0xe64d8562, "drm_plane_create_color_properties" },
	{ 0xf8d11edf, "drm_gem_dmabuf_release" },
	{ 0x47e22e1f, "drm_edid_to_speaker_allocation" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xe0627b5e, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0xfb0da0c8, "cpu_info" },
	{ 0xdd424da4, "drm_gem_dmabuf_vunmap" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xd4a69ac5, "kthread_create_on_node" },
	{ 0x8fb82d9b, "drm_modeset_lock" },
	{ 0x79ac2cd9, "single_release" },
	{ 0x61f50ad2, "__xa_erase" },
	{ 0x9d1b2453, "pci_find_ext_capability" },
	{ 0xfc872d02, "drm_atomic_get_connector_state" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xd2e28fac, "is_acpi_device_node" },
	{ 0x8cd780d8, "dma_resv_test_signaled" },
	{ 0x52719a05, "drm_connector_attach_content_type_property" },
	{ 0x833999fc, "drm_encoder_cleanup" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x84e326ac, "drm_connector_attach_colorspace_property" },
	{ 0x8364ee03, "drm_atomic_get_plane_state" },
	{ 0x9569a873, "drm_helper_probe_single_connector_modes" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xca9360b5, "rb_next" },
	{ 0x99b37398, "__free_pages" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0x23a15f7f, "__pm_runtime_disable" },
	{ 0x9567e122, "ttm_bo_eviction_valuable" },
	{ 0x1324d719, "__devm_drm_dev_alloc" },
	{ 0xa0ac9d6c, "pci_write_config_word" },
	{ 0x26815dbc, "drm_dp_link_rate_to_bw_code" },
	{ 0xeda50e57, "debugfs_attr_read" },
	{ 0xbbfc787b, "drm_plane_helper_destroy" },
	{ 0x42d809dd, "pci_read_config_dword" },
	{ 0x140b7b18, "drm_client_release" },
	{ 0xbccaf3c8, "drm_dp_aux_register" },
	{ 0x3d208449, "component_add" },
	{ 0x13a3308c, "dma_fence_init" },
	{ 0xb0b23b35, "drm_sched_entity_push_job" },
	{ 0x2d9e8645, "drm_atomic_add_affected_planes" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x26335014, "drm_syncobj_find" },
	{ 0x44a6a60f, "hrtimer_cancel" },
	{ 0x58d8fcaa, "drm_dsc_pps_payload_pack" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9233c07b, "idr_replace" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0x81c9be37, "drm_crtc_add_crc_entry" },
	{ 0x2e6c3153, "pcie_get_width_cap" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0x6801e6cd, "drm_modeset_drop_locks" },
	{ 0x5aa4dcab, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x2876399f, "pcie_set_readrq" },
	{ 0xc0154ea6, "drm_dp_dpcd_read_link_status" },
	{ 0xdb2f84b2, "drm_edid_connector_update" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xecf998fe, "kmem_cache_alloc_noprof" },
	{ 0x8101f51e, "dma_buf_unpin" },
	{ 0x4d73040f, "ttm_bo_vm_open" },
	{ 0x9b640121, "__pm_runtime_suspend" },
	{ 0xdc066449, "radix_tree_gang_lookup_tag" },
	{ 0x371f158f, "drm_atomic_get_crtc_state" },
	{ 0xc9db0af7, "drm_syncobj_replace_fence" },
	{ 0x26e6ae90, "amd_wbrf_retrieve_freq_band" },
	{ 0x9822d5e8, "i2c_bit_add_bus" },
	{ 0x5078c4a3, "pci_ignore_hotplug" },
	{ 0xe1a00095, "drm_modeset_backoff" },
	{ 0xc52c1613, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x4dd4b9be, "pci_free_irq_vectors" },
	{ 0xf55547d4, "drm_cvt_mode" },
	{ 0xe2c7bacc, "kobject_init_and_add" },
	{ 0x1d0fb3af, "ttm_pool_init" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xc59e2220, "drm_dp_mst_add_affected_dsc_crtcs" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb345bacd, "drm_poll" },
	{ 0x236ffe67, "dma_unmap_resource" },
	{ 0xd85d05ea, "dma_alloc_attrs" },
	{ 0x6c027608, "drmm_mode_config_init" },
	{ 0x1191ba72, "kobject_set_name" },
	{ 0x5d73d830, "drm_atomic_helper_wait_for_flip_done" },
	{ 0x135df7d6, "dma_fence_get_stub" },
	{ 0xa4f63f63, "ttm_bo_move_memcpy" },
	{ 0xa77c5ac8, "drm_kms_helper_poll_init" },
	{ 0x1507cc38, "__kmap_local_page_prot" },
	{ 0xbc1cc790, "pcie_bandwidth_available" },
	{ 0xb645530c, "pci_write_config_dword" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x60862b7d, "unmap_mapping_range" },
	{ 0xc3e5a285, "drm_property_create_range" },
	{ 0x137c0e7f, "pci_get_base_class" },
	{ 0xa92e5afe, "drm_framebuffer_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xe788d12d, "drm_dp_mst_hpd_irq_handle_event" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xe2b84441, "ttm_lru_bulk_move_tail" },
	{ 0x2f4770cf, "dma_addressing_limited" },
	{ 0x0d180d6b, "ttm_resource_fini" },
	{ 0xe2667056, "drm_mode_crtc_set_gamma_size" },
	{ 0xb0e661af, "drm_sched_increase_karma" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x60be3086, "drm_dp_mst_dump_topology" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc871504e, "mfd_add_devices" },
	{ 0xcbcec5f4, "trace_event_buffer_commit" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x63230d1a, "param_ops_charp" },
	{ 0x8011ea5f, "seq_putc" },
	{ 0xba530b38, "debugfs_attr_write" },
	{ 0x56256e8a, "orderly_poweroff" },
	{ 0xfccdc513, "vga_switcheroo_fini_domain_pm_ops" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xfcbf9fd4, "drm_edid_connector_add_modes" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0xab85ac58, "pci_release_resource" },
	{ 0x62412b2d, "drm_mode_config_cleanup" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0xe0a86515, "dev_driver_string" },
	{ 0x3d0d5224, "drm_atomic_helper_cleanup_planes" },
	{ 0xc12a7f2e, "sysfs_create_group" },
	{ 0x572c678d, "_dev_err" },
	{ 0xd5da374c, "pci_disable_device" },
	{ 0x095059ed, "__drm_atomic_helper_crtc_reset" },
	{ 0xf832af31, "dma_resv_reset_max_fences" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x999e8297, "vfree" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xae56aabf, "drm_atomic_helper_plane_destroy_state" },
	{ 0xb87909ca, "drm_atomic_get_private_obj_state" },
	{ 0x8afd1a22, "drm_property_create_enum" },
	{ 0x143978b1, "drm_handle_vblank" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x342de605, "ttm_bo_kunmap" },
	{ 0x474fc3a6, "bpf_trace_run9" },
	{ 0xd4d11317, "pci_resize_resource" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x024584d8, "drm_crtc_vblank_crtc" },
	{ 0x2949e8a6, "drm_gem_ttm_mmap" },
	{ 0xec26baa6, "ttm_bo_put" },
	{ 0xf3890320, "drm_syncobj_add_point" },
	{ 0xebfe8a1c, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0x0ea5d74b, "amdgpu_xcp_drv_release" },
	{ 0x1ec34870, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x2cb22276, "drm_suballoc_free" },
	{ 0xa964348c, "bpf_trace_run5" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x2d6f7293, "dma_map_page_attrs" },
	{ 0x32ebd854, "dma_unmap_sg_attrs" },
	{ 0xc4dccf8a, "dma_map_sgtable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4f33cb79, "device_create_file" },
	{ 0x34e96a51, "drm_dp_mst_atomic_check" },
	{ 0x8111d210, "ttm_pool_debugfs" },
	{ 0x794d8cdf, "__num_cores_per_package" },
	{ 0xa88016c2, "bpf_trace_run1" },
	{ 0x81b47526, "backlight_device_register" },
	{ 0x687aa099, "bpf_trace_run3" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9ee5e40a, "__ktime_divns" },
	{ 0x32e5cecc, "pcie_aspm_enabled" },
	{ 0x32f6a2c6, "drm_prime_gem_destroy" },
	{ 0x5152e605, "memcmp" },
	{ 0x9b193b91, "ttm_range_man_fini_nocheck" },
	{ 0xedb4af90, "drm_atomic_helper_async_check" },
	{ 0xee3d8d80, "pm_runtime_enable" },
	{ 0x7230beea, "fdget" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf4c08315, "hrtimer_forward" },
	{ 0xf37137fc, "drm_exec_fini" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x11b21976, "drm_dev_unplug" },
	{ 0x63f982a2, "pcpu_hot" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0xfbeb739e, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf19909be, "__drm_printfn_coredump" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xcbab9649, "pci_map_rom" },
	{ 0x50d68377, "arch_phys_wc_del" },
	{ 0x292e992e, "drm_client_setup" },
	{ 0x1ddcf602, "dma_resv_get_singleton" },
	{ 0x4d21951d, "page_to_nid" },
	{ 0x138ec54b, "drm_sched_job_init" },
	{ 0x3a1997a1, "mmu_interval_read_begin" },
	{ 0x21e5e339, "drm_gem_fb_destroy" },
	{ 0x0a2a887f, "sysfs_create_file_ns" },
	{ 0x4fdd8a40, "drm_hdcp_update_content_protection" },
	{ 0xa0d5c1d7, "drm_hdmi_infoframe_set_hdr_metadata" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x50f55218, "alloc_pages_noprof" },
	{ 0xdd1ba4ce, "drm_vblank_init" },
	{ 0x92a22eee, "drm_connector_dynamic_init" },
	{ 0x0b9e47e5, "drm_exec_cleanup" },
	{ 0x5d9ad47d, "dma_set_coherent_mask" },
	{ 0x6fb70274, "vga_switcheroo_init_domain_pm_ops" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x102c30ee, "drm_sched_entity_destroy" },
	{ 0x863f8409, "gcd" },
	{ 0x7c2836c7, "drm_dp_mst_edid_read" },
	{ 0x7ab57eed, "drm_dp_cec_register_connector" },
	{ 0x174aed6a, "drm_syncobj_find_fence" },
	{ 0x62c5edb3, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0xe5507a3f, "pm_runtime_set_autosuspend_delay" },
	{ 0xaa844c8d, "dma_buf_pin" },
	{ 0xa130c021, "kobject_get" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xe2a31adb, "pcie_get_mps" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x42246231, "drm_helper_resume_force_mode" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf2a048e4, "drm_plane_cleanup" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0xff2c9228, "drm_writeback_connector_init" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xfafe0614, "mutex_is_locked" },
	{ 0x245bb522, "__pci_register_driver" },
	{ 0x04acb51b, "radix_tree_insert" },
	{ 0xbc18293d, "drm_connector_set_vrr_capable_property" },
	{ 0x380b332f, "drm_atomic_helper_plane_duplicate_state" },
	{ 0xac840f07, "drm_sched_wqueue_start" },
	{ 0xb5ab86e9, "atomic64_sub_return_cx8" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xefa37a3a, "sysfs_remove_group" },
	{ 0x3423f8c4, "irq_domain_remove" },
	{ 0x565bdf3c, "drm_dp_mst_topology_mgr_destroy" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x33db9606, "irq_domain_instantiate" },
	{ 0xf7f02366, "drm_dp_mst_atomic_setup_commit" },
	{ 0xca46359e, "ww_mutex_lock" },
	{ 0x760682b4, "simple_attr_release" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x510027d4, "kobject_put" },
	{ 0x420eabe4, "mem_section" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x5cd91df4, "ttm_lru_bulk_move_init" },
	{ 0xb8b2b1f7, "mce_register_decode_chain" },
	{ 0x718d17ec, "drm_encoder_init" },
	{ 0xf5fca091, "dev_coredumpm_timeout" },
	{ 0x40e3b634, "seq_read" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xb3b7735b, "device_for_each_child" },
	{ 0xb23e4e1d, "drm_buddy_block_trim" },
	{ 0xff1db3c9, "pm_genpd_remove_device" },
	{ 0x5a2e06a6, "drm_connector_attach_content_protection_property" },
	{ 0x8c485c45, "debugfs_create_file_full" },
	{ 0x8b64b7b8, "ttm_bo_vm_reserve" },
	{ 0xe4ad58bd, "drm_sched_start" },
	{ 0x4b7a0713, "param_ops_uint" },
	{ 0x08b11c32, "drm_connector_init_with_ddc" },
	{ 0x45acb394, "drm_dp_mst_get_port_malloc" },
	{ 0x4968c400, "drm_sched_entity_fini" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x65eb7cab, "ttm_sg_tt_init" },
	{ 0xbc70616a, "drm_atomic_helper_calc_timestamping_constants" },
	{ 0xd737eaf3, "sysfs_add_file_to_group" },
	{ 0xee11fb7c, "drm_mode_config_helper_suspend" },
	{ 0x3c65b45d, "drm_gem_ttm_vmap" },
	{ 0x79a0cd6a, "ttm_bo_validate" },
	{ 0xbd0650de, "up_write" },
	{ 0x01ca67e7, "mmu_interval_notifier_insert" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfbcd1572, "i2c_del_adapter" },
	{ 0x234e8463, "ttm_resource_manager_create_debugfs" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb34b72a1, "__drm_dev_dbg" },
	{ 0x1fb5199b, "drm_helper_mode_fill_fb_struct" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0x5e317d5f, "sysfs_create_link" },
	{ 0x070f7896, "_printk" },
	{ 0xf8844d3a, "__drm_atomic_helper_connector_reset" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x0c272a80, "drm_calc_timestamping_constants" },
	{ 0x8981a80f, "ttm_glob" },
	{ 0xaa25fce7, "drm_crtc_vblank_on" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xcf5a60e8, "drm_connector_set_panel_orientation_with_quirk" },
	{ 0x2c888aec, "drm_connector_cleanup" },
	{ 0x9b47fe2b, "drm_gem_mmap" },
	{ 0x79376e50, "sysfs_remove_file_from_group" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x67ca113b, "vga_switcheroo_unregister_client" },
	{ 0x582f248e, "drm_dp_get_adjust_request_pre_emphasis" },
	{ 0xe43fb201, "sysfs_remove_bin_file" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x10c54a83, "drm_dp_set_subconnector_property" },
	{ 0xb40fe5f6, "drm_kms_helper_poll_fini" },
	{ 0xf5c26d3a, "down_write_killable" },
	{ 0xc6765594, "drm_atomic_helper_commit" },
	{ 0xd0d8621b, "strlen" },
	{ 0x66f45cd0, "drm_connector_update_edid_property" },
	{ 0xf6a19847, "dput" },
	{ 0xed4feb5b, "drm_dp_link_train_clock_recovery_delay" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xd1d1933d, "debugfs_create_file_size" },
	{ 0x69d747a0, "drm_atomic_helper_update_plane" },
	{ 0x5cbe32a2, "drm_modeset_unlock" },
	{ 0xa3f33105, "drm_kms_helper_hotplug_event" },
	{ 0x4d603a3b, "drm_any_plane_has_format" },
	{ 0xee9dfa8b, "perf_trace_run_bpf_submit" },
	{ 0xb74054d5, "debugfs_create_u32" },
	{ 0x0be52c02, "drm_prime_pages_to_sg" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0x82988387, "drm_mode_config_reset" },
	{ 0xf82f7555, "drm_exec_init" },
	{ 0xd739e884, "ttm_bo_move_accel_cleanup" },
	{ 0xb81c6a62, "drm_atomic_helper_resume" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0x3c130845, "i2c_transfer" },
	{ 0x579f4883, "pci_enable_device" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd592de51, "memset_io" },
	{ 0xd00582d1, "drm_gem_plane_helper_prepare_fb" },
	{ 0xfd15fce1, "pci_rebar_get_possible_sizes" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x57bbc6b4, "drm_kms_helper_poll_enable" },
	{ 0x69cc2943, "ttm_tt_pages_limit" },
	{ 0x1eeedc72, "drm_dp_mst_root_conn_atomic_check" },
	{ 0x91e73a29, "acpi_dev_get_first_match_dev" },
	{ 0x57a195ee, "ttm_device_fini" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0x20b97e05, "drm_connector_init" },
	{ 0x1d6b93bc, "trace_raw_output_prep" },
	{ 0x67f0b34e, "drm_dp_remove_payload_part1" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x0b19b445, "ioread8" },
	{ 0x74108c8f, "sysfs_remove_files" },
	{ 0x2d8a6d87, "drm_dp_add_payload_part1" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x03b2e369, "fput" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1625e325, "drm_connector_list_iter_begin" },
	{ 0x95ed3d06, "drm_mode_create_dp_colorspace_property" },
	{ 0xb6127243, "drm_need_swiotlb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xdeb88a02, "drm_suballoc_new" },
	{ 0x06aeaa27, "drm_is_current_master" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xc9cf42b8, "sysfs_remove_file_ns" },
	{ 0xe7a9ecea, "drm_mode_is_420_only" },
	{ 0x001b074f, "mce_is_correctable" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x2ef0d2cb, "irq_create_mapping_affinity" },
	{ 0xae7778e4, "drm_sched_job_add_dependency" },
	{ 0xe5e2a163, "__pm_runtime_use_autosuspend" },
	{ 0x68189781, "aperture_remove_conflicting_pci_devices" },
	{ 0x0e4f465c, "drm_suballoc_dump_debug_info" },
	{ 0xc8df07ac, "drm_suballoc_manager_fini" },
	{ 0xd11e85f9, "drm_crtc_vblank_count" },
	{ 0x0614d703, "__mmap_lock_do_trace_released" },
	{ 0x4b559289, "sysfs_remove_link" },
	{ 0x94b311c5, "drm_crtc_cleanup" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf2b81b64, "arch_io_reserve_memtype_wc" },
	{ 0x944e0891, "drm_edid_read_ddc" },
	{ 0xa6fa6aba, "pci_pr3_present" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x40df4902, "dma_fence_array_create" },
	{ 0xd207496a, "ttm_pool_alloc" },
	{ 0xdd35a5e9, "backlight_device_set_brightness" },
	{ 0x699624e0, "pci_irq_vector" },
	{ 0x1c8b089a, "radix_tree_next_chunk" },
	{ 0x27c6f36c, "drm_plane_create_zpos_immutable_property" },
	{ 0x4124e206, "drm_edid_to_sad" },
	{ 0xefcd1155, "acpi_get_first_physical_node" },
	{ 0x3f60e02f, "radix_tree_tag_set" },
	{ 0xfee23ae4, "drm_mode_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x0a96b96a, "kstrtouint_from_user" },
	{ 0x20e5ee25, "pm_runtime_get_if_active" },
	{ 0x87db8cc3, "drm_crtc_vblank_put" },
	{ 0xec4c6ffd, "amd_wbrf_register_notifier" },
	{ 0xf47eb3ee, "drm_client_dev_resume" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0xe822fa0b, "drm_ioctl" },
	{ 0x7891e29b, "param_ops_ullong" },
	{ 0xdf55bde0, "handle_simple_irq" },
	{ 0x04363e79, "trace_event_reg" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe015f05b, "drm_mode_duplicate" },
	{ 0x06201d1e, "drm_exec_prepare_obj" },
	{ 0x6a2bfdf2, "drm_plane_create_alpha_property" },
	{ 0x918f3178, "ttm_lru_bulk_move_fini" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa0be10a1, "drm_dev_printk" },
	{ 0x1ae53272, "hdmi_avi_infoframe_pack" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xedc03953, "iounmap" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xa8e159b8, "drm_writeback_signal_completion" },
	{ 0x0accca2c, "simple_open" },
	{ 0xe9497ee5, "drm_object_attach_property" },
	{ 0x9a6e7b63, "xa_find" },
	{ 0x5a4734d1, "drm_kms_helper_is_poll_worker" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "drm_display_helper,ttm,gpu-sched,drm_buddy,amdxcp,cec,drm_suballoc_helper,drm_exec,video,drm_panel_backlight_quirks,drm_ttm_helper,i2c-algo-bit");

MODULE_ALIAS("pci:v00001002d00006780sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006788sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000678Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006790sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006791sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006792sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006798sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006799sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000679Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000679Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000679Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000679Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006810sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006811sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006816sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006817sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006818sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006600sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006602sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006603sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006611sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006613sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006617sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006620sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006623sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006631sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006820sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006821sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006823sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006824sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006825sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006826sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006827sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006828sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006829sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000682Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000682Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000682Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000682Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000682Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006830sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006831sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006835sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006837sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006838sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006839sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000683Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000683Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000683Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006660sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006663sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006664sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006665sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006667sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000666Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001304sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001305sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001309sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001310sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001316sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001317sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000131Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000131Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000131Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006641sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006646sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006647sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006649sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006650sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006651sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006658sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000665Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000665Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000665Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067A8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067B8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067BEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009830sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009831sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009832sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009835sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009836sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009837sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009838sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009839sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009850sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009851sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009852sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009853sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009854sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009855sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009856sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009857sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009858sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009859sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006900sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006901sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006902sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006903sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006907sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006920sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006921sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006928sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006929sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000692Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000692Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006930sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006938sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006939sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000730Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009870sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009874sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009875sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009876sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009877sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000098E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006FDFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006980sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006981sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006985sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006986sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006987sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006995sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006997sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000699Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000694Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000694Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000694Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006860sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006861sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006862sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006863sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006864sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006867sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006868sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006869sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000687Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000069A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000069A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000069A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000069A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000069AFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066AFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000015D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000738Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007388sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000738Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007310sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000731Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000731Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000731Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000731Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007341sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007347sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000734Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000015E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001636sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001638sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000164Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073ACsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073ADsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073AEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073AFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000164Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007408sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000740Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000740Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007410sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000013FEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000143Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007420sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007421sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007423sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007424sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000743Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v00001002d*sv*sd*bc03sc80i00*");
MODULE_ALIAS("pci:v00001002d*sv*sd*bc12sc00i00*");

MODULE_INFO(srcversion, "870DE4397B2B085E7DD1706");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
