#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spi_nor_scan, "_gpl", "");

SYMBOL_CRC(spi_nor_scan, 0x79afa3db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa179eb1, "spi_mem_driver_register_with_owner" },
	{ 0x05b19fea, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x37f5c7a2, "devm_kmalloc" },
	{ 0xd9029a6b, "spi_mem_dirmap_read" },
	{ 0xcd16830c, "mtd_device_unregister" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb6444b01, "spi_mem_exec_op" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xba685af1, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x05f02345, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xa716f5d1, "devm_gpiod_get_optional" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x3683eec6, "mtd_device_parse_register" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd26697ed, "const_pcpu_hot" },
	{ 0x03a9a324, "module_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x15adf33f, "devm_kmemdup" },
	{ 0x6b96000b, "devm_kfree" },
	{ 0x572c678d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0x7d82a252, "of_property_read_bool" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x250113b4, "memory_read_from_buffer" },
	{ 0xadca978e, "debugfs_remove" },
	{ 0x8011ea5f, "seq_putc" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x3cbc1d5c, "of_property_read_string" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x26295f1a, "spi_mem_dirmap_write" },
	{ 0xfd3ecd94, "spi_mem_driver_unregister" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x40e3b634, "seq_read" },
	{ 0xfe9c5a45, "spi_mem_get_name" },
	{ 0x5ebb031e, "devm_spi_mem_dirmap_create" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xa9909315, "seq_write" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7b116a45, "seq_printf" },
	{ 0x3d6d2c6b, "spi_mem_adjust_op_size" },
	{ 0x8c485c45, "debugfs_create_file_full" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x14534107, "devm_regulator_get_enable" },
	{ 0xba9ef1f0, "devm_krealloc" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x79ac2cd9, "single_release" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x64f9b700, "spi_mem_supports_op" },
	{ 0xbacf05cf, "__seq_puts" },
	{ 0xdfe160d0, "__devm_add_action" },
	{ 0x51d47a59, "single_open" },
	{ 0x2e5c2e27, "debugfs_create_dir" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "mtd");

MODULE_ALIAS("spi:spi-nor");
MODULE_ALIAS("spi:s25sl064a");
MODULE_ALIAS("spi:w25x16");
MODULE_ALIAS("spi:m25p10");
MODULE_ALIAS("spi:m25px64");
MODULE_ALIAS("spi:at25df321a");
MODULE_ALIAS("spi:at25df641");
MODULE_ALIAS("spi:at26df081a");
MODULE_ALIAS("spi:mx25l4005a");
MODULE_ALIAS("spi:mx25l1606e");
MODULE_ALIAS("spi:mx25l6405d");
MODULE_ALIAS("spi:mx25l12805d");
MODULE_ALIAS("spi:mx25l25635e");
MODULE_ALIAS("spi:mx66l51235l");
MODULE_ALIAS("spi:n25q064");
MODULE_ALIAS("spi:n25q128a11");
MODULE_ALIAS("spi:n25q128a13");
MODULE_ALIAS("spi:n25q512a");
MODULE_ALIAS("spi:s25fl256s1");
MODULE_ALIAS("spi:s25fl512s");
MODULE_ALIAS("spi:s25sl12801");
MODULE_ALIAS("spi:s25fl008k");
MODULE_ALIAS("spi:s25fl064k");
MODULE_ALIAS("spi:sst25vf040b");
MODULE_ALIAS("spi:sst25vf016b");
MODULE_ALIAS("spi:sst25vf032b");
MODULE_ALIAS("spi:sst25wf040");
MODULE_ALIAS("spi:m25p40");
MODULE_ALIAS("spi:m25p80");
MODULE_ALIAS("spi:m25p16");
MODULE_ALIAS("spi:m25p32");
MODULE_ALIAS("spi:m25p64");
MODULE_ALIAS("spi:m25p128");
MODULE_ALIAS("spi:w25x80");
MODULE_ALIAS("spi:w25x32");
MODULE_ALIAS("spi:w25q32");
MODULE_ALIAS("spi:w25q32dw");
MODULE_ALIAS("spi:w25q80bl");
MODULE_ALIAS("spi:w25q128");
MODULE_ALIAS("spi:w25q256");
MODULE_ALIAS("spi:m25p05-nonjedec");
MODULE_ALIAS("spi:m25p10-nonjedec");
MODULE_ALIAS("spi:m25p20-nonjedec");
MODULE_ALIAS("spi:m25p40-nonjedec");
MODULE_ALIAS("spi:m25p80-nonjedec");
MODULE_ALIAS("spi:m25p16-nonjedec");
MODULE_ALIAS("spi:m25p32-nonjedec");
MODULE_ALIAS("spi:m25p64-nonjedec");
MODULE_ALIAS("spi:m25p128-nonjedec");
MODULE_ALIAS("spi:mr25h128");
MODULE_ALIAS("spi:mr25h256");
MODULE_ALIAS("spi:mr25h10");
MODULE_ALIAS("spi:mr25h40");
MODULE_ALIAS("of:N*T*Cjedec,spi-nor");
MODULE_ALIAS("of:N*T*Cjedec,spi-norC*");

MODULE_INFO(srcversion, "139F464554D55D5B9B2823E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
