#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0x2e2acdd2, "_gpl");
SYMBOL_CRC(mux_chip_register, 0x3e0aa1db, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0x9632fd1a, "_gpl");
SYMBOL_CRC(mux_chip_free, 0xf47d4054, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0x83234cc6, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0xf258d263, "_gpl");
SYMBOL_CRC(mux_control_states, 0x304f24ad, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0xd53d9751, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0xec7ec8ce, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0xa477d358, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0x0553e288, "_gpl");
SYMBOL_CRC(mux_control_put, 0xb139ae86, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0x0e69a966, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0x5f5833cf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x7e88e6d0, "of_node_put" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x973224a8, "dev_set_name" },
	{ 0x16b52431, "of_property_match_string" },
	{ 0x62fde1b3, "device_match_of_node" },
	{ 0xbfc97bdc, "up" },
	{ 0x8ae7a3c9, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbda5f0d9, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9aed6c2f, "put_device" },
	{ 0x572c678d, "_dev_err" },
	{ 0xaf7adf67, "device_add" },
	{ 0x0abd95b8, "__of_parse_phandle_with_args" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x151cf38b, "__devres_alloc_node" },
	{ 0x6573f300, "ida_free" },
	{ 0x2cbfc768, "class_unregister" },
	{ 0xcf191255, "down_trylock" },
	{ 0xa69849f6, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc73e6a2e, "down_killable" },
	{ 0x826480dd, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0xbf0f457c, "class_find_device" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "568FEF24B1A9F2AA2614832");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
