#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x6873f5fa, "");
SYMBOL_CRC(vnic_dev_get_res, 0x29406b8c, "");
SYMBOL_CRC(vnic_dev_unregister, 0x5e0df74d, "");
SYMBOL_CRC(vnic_dev_register, 0x6135d8bb, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0xe13c0a66, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0xcd68a16e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81de8558, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9d1b2453, "pci_find_ext_capability" },
	{ 0x15c92c63, "skb_copy_bits" },
	{ 0xbbd61445, "skb_put" },
	{ 0x9f745a96, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb5d321df, "pci_enable_device_mem" },
	{ 0x389f59cc, "consume_skb" },
	{ 0xa679fc25, "pci_iomap" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1950296d, "unregister_netdev" },
	{ 0xd4148161, "dma_unmap_page_attrs" },
	{ 0x245bb522, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xaced0103, "pci_disable_msi" },
	{ 0x6d03191c, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0x63f982a2, "pcpu_hot" },
	{ 0x745c5cf3, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x3223df10, "netif_napi_add_weight_locked" },
	{ 0xd3a17422, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x71779e59, "pci_unregister_driver" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xbf04285d, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe0a86515, "dev_driver_string" },
	{ 0x0f519737, "dev_addr_mod" },
	{ 0xfeb98916, "eth_type_trans" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2d6f7293, "dma_map_page_attrs" },
	{ 0x1c9570b0, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x2d46a043, "pci_enable_msix_range" },
	{ 0x738803e6, "strnlen" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0x4ea3bdb9, "__hw_addr_unsync_dev" },
	{ 0x900524c1, "napi_gro_receive" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7bc24d35, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xd86c354d, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xff2f4a13, "pci_enable_msi" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x572c678d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6a1ab60d, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x38cbce6a, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfabf7e50, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc2578a1a, "dev_close" },
	{ 0x420eabe4, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xd85d05ea, "dma_alloc_attrs" },
	{ 0x95bf6823, "pci_read_config_word" },
	{ 0xba3908f3, "napi_enable" },
	{ 0x879fe169, "netif_receive_skb" },
	{ 0x51813ef6, "nla_put" },
	{ 0x26998459, "register_netdev" },
	{ 0xa594fc33, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa143e10d, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x3efb2dd9, "netif_set_xps_queue" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4527d923, "netif_tx_wake_queue" },
	{ 0x0b19b445, "ioread8" },
	{ 0x2bc95bd4, "memset" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0xa377db75, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xfd49bac0, "__pskb_pull_tail" },
	{ 0xd25a2770, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3ffff90c, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5d9ad47d, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x0274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x4a93535e, "rps_may_expire_flow" },
	{ 0xa43af73c, "dma_free_attrs" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc1431ba9, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2c869280, "call_netdevice_notifiers" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x83934cdb, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0xaf662d26, "__hw_addr_sync_dev" },
	{ 0x7e9b46a6, "pci_disable_sriov" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x810e2df5, "netif_carrier_on" },
	{ 0x49265df1, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd5da374c, "pci_disable_device" },
	{ 0x2f846301, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x06f8268f, "__skb_flow_dissect" },
	{ 0xda1efe24, "__napi_schedule_irqoff" },
	{ 0x36ab520a, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xa34a019e, "napi_disable" },
	{ 0x5c559dd2, "dev_kfree_skb_any_reason" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x98551fbd, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x69243894, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8A6EAA62954819219AD5B96");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
