#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0xa0755371, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0x830d2f1a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0x23bcd551, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x47834511, "pci_cfg_access_unlock" },
	{ 0x579f4883, "pci_enable_device" },
	{ 0xbbd61445, "skb_put" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x73255724, "pci_alloc_irq_vectors" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0xd4148161, "dma_unmap_page_attrs" },
	{ 0x245bb522, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x6d03191c, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x32167900, "page_pool_destroy" },
	{ 0x3223df10, "netif_napi_add_weight_locked" },
	{ 0x699624e0, "pci_irq_vector" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x57e736af, "mlxsw_cmd_exec" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x71779e59, "pci_unregister_driver" },
	{ 0x5f2ec79c, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x411e8e2a, "pskb_expand_head" },
	{ 0x7ad557de, "mlxsw_core_bus_device_register" },
	{ 0xe0a86515, "dev_driver_string" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2d6f7293, "dma_map_page_attrs" },
	{ 0x1c9570b0, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x1d29a975, "__napi_schedule" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x9ef19553, "dev_set_threaded" },
	{ 0x77ce2bd8, "__pci_reset_function_locked" },
	{ 0xd86c354d, "__dma_sync_single_for_cpu" },
	{ 0x572c678d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xab285bf2, "skb_push" },
	{ 0xd85d05ea, "dma_alloc_attrs" },
	{ 0xba3908f3, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa594fc33, "free_netdev" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x0fd8afbd, "page_pool_put_unrefed_netmem" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x35ecc141, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x43507679, "pci_restore_state" },
	{ 0x636b47cc, "page_pool_create" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x8fff18c1, "mlxsw_core_ptp_transmitted" },
	{ 0xa377db75, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd49bac0, "__pskb_pull_tail" },
	{ 0x3ffff90c, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5d9ad47d, "dma_set_coherent_mask" },
	{ 0xeae759da, "alloc_netdev_dummy" },
	{ 0xa43af73c, "dma_free_attrs" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xc1431ba9, "pci_release_regions" },
	{ 0xe946f54b, "page_pool_alloc_pages" },
	{ 0x01bce426, "napi_build_skb" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd5da374c, "pci_disable_device" },
	{ 0x2f846301, "dma_set_mask" },
	{ 0x35c7e3f9, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xcc1cf1fc, "page_address" },
	{ 0x36ab520a, "napi_schedule_prep" },
	{ 0x347a2dc4, "napi_consume_skb" },
	{ 0xa34a019e, "napi_disable" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0x0ed06130, "mlxsw_core_res_valid" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4dd4b9be, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "3877293D719DA38AEA42C0C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
