#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0x8e26c238, "_gpl");
SYMBOL_CRC(rndis_command, 0x062d19ad, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0x3a0a597c, "_gpl");
SYMBOL_CRC(rndis_unbind, 0x41c386a1, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0xf82b0d76, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0xed26133f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x306a058a, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe8ceb462, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0x572c678d, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x73d6dc05, "usbnet_generic_cdc_bind" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x6c0efa0b, "usb_driver_release_interface" },
	{ 0x037a0cba, "kfree" },
	{ 0xb6925a84, "__dynamic_netdev_dbg" },
	{ 0x0f519737, "dev_addr_mod" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0x438e49cd, "skb_pull" },
	{ 0x1933837a, "skb_trim" },
	{ 0x3ace6d60, "usbnet_cdc_zte_rx_fixup" },
	{ 0x84d63e57, "skb_clone" },
	{ 0xeb89df58, "usbnet_skb_return" },
	{ 0x3e3dd3d5, "skb_copy_expand" },
	{ 0x5c559dd2, "dev_kfree_skb_any_reason" },
	{ 0x8235805b, "memmove" },
	{ 0x85109759, "usb_register_driver" },
	{ 0xd05fd60b, "usb_deregister" },
	{ 0x664e66ce, "usbnet_cdc_unbind" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xb4931f53, "usbnet_probe" },
	{ 0x507f4b4f, "usbnet_disconnect" },
	{ 0xf3373f47, "usbnet_suspend" },
	{ 0xc794f9d0, "usbnet_resume" },
	{ 0xa3f7925d, "usbnet_open" },
	{ 0x7853d918, "usbnet_stop" },
	{ 0x489df4c9, "usbnet_start_xmit" },
	{ 0x5a315c87, "eth_mac_addr" },
	{ 0x745c5cf3, "eth_validate_addr" },
	{ 0xa5d20ef8, "usbnet_tx_timeout" },
	{ 0xedb3d13c, "dev_get_tstats64" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
