#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0x21d11880, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x4f6cfdcd, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x285663ea, "_gpl");
SYMBOL_CRC(p54_free_skb, 0x790ab463, "_gpl");
SYMBOL_CRC(p54_rx, 0x05ab6da9, "_gpl");
SYMBOL_CRC(p54_init_common, 0xeeb033e6, "_gpl");
SYMBOL_CRC(p54_register_common, 0x1b114e30, "_gpl");
SYMBOL_CRC(p54_free_common, 0x4be59d82, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0x78391533, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbbd61445, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x389f59cc, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0xd73406bc, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x1ffdab74, "ieee80211_free_hw" },
	{ 0x2e60bace, "memcpy" },
	{ 0xcccdeb54, "ieee80211_beacon_loss" },
	{ 0x32768429, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0xb2e1870b, "led_classdev_unregister" },
	{ 0x54b59bc9, "ieee80211_register_hw" },
	{ 0x18984699, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x320974d0, "ieee80211_get_hdrlen_from_skb" },
	{ 0x87be9fe7, "__ieee80211_get_radio_led_name" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0xe0296b67, "ieee80211_wake_queue" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc40e9447, "__ieee80211_get_tx_led_name" },
	{ 0xe65d9ffa, "skb_queue_purge_reason" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x16522ab1, "ieee80211_handle_wake_tx_queue" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x66b957ba, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0xd504f1d9, "__ieee80211_get_rx_led_name" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0x06403cfb, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x583343e3, "ieee80211_queue_delayed_work" },
	{ 0x572c678d, "_dev_err" },
	{ 0xaacc9e27, "sort" },
	{ 0x438e49cd, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xab285bf2, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x0a6282cb, "ieee80211_free_txskb" },
	{ 0xe0dfa3f9, "led_classdev_register_ext" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xd961ddcf, "ieee80211_alloc_hw_nm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0x4a0781f0, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x935385a8, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xc25c5f8a, "ieee80211_stop_queue" },
	{ 0xd25a2770, "__netdev_alloc_skb" },
	{ 0x1933837a, "skb_trim" },
	{ 0x47ac968f, "skb_unlink" },
	{ 0x54c992ac, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xdf4b87c8, "__ieee80211_get_assoc_led_name" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3f08e133, "param_ops_bool" },
	{ 0x919ce762, "ieee80211_unregister_hw" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f9f754a, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5c559dd2, "dev_kfree_skb_any_reason" },
	{ 0x9aa4e6f9, "_dev_printk" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0xaa3bfc8b, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0xd6089475, "ieee80211_rx_irqsafe" },
	{ 0xaa4adfdd, "skb_queue_head" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "C1FE7481AB18C588612452C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
