#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x9a0a5d6e, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xec8158ae, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x29714b44, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x1d2d0d0c, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x0b2d10aa, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x676fb611, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x7ed5f42f, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x4d496de4, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0xccb3ac28, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x2afcb422, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xabc5a91c, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0xe04961b8, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x1958b17e, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x6af80b1a, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x9fc46cc1, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0xff61275e, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x9e47e84c, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x9ac1854f, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x3d35d07b, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xffb3800b, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xf2938263, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x99205d03, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0xdd0346c2, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x74d41bed, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0xd7c1fea2, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0xb169cc0c, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x21f65be3, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x4ee5cb94, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x60b2002b, "_gpl");
SYMBOL_CRC(rt2800_config, 0x5d4b5e25, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x9682730a, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x1d5c392e, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0xa7c53c38, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xadff0b49, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0xffe0af64, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x9d4ba331, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x157c9947, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x951fae93, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x8bce8b83, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x5200e48b, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x182e531e, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x65e6beed, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x681489cd, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xd49d9c0a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x572c678d, "_dev_err" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x71ae3969, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe521d308, "rt2x00lib_txdone" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0xbb870a1e, "rt2x00queue_get_entry" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5a096cf1, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x93f2218e, "rt2x00mac_conf_tx" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xab285bf2, "skb_push" },
	{ 0x5c559dd2, "dev_kfree_skb_any_reason" },
	{ 0x61aa97b5, "__skb_pad" },
	{ 0xc8bb1b41, "rt2x00lib_txdone_noinfo" },
	{ 0xe1397cc0, "ieee80211_restart_hw" },
	{ 0x438e49cd, "skb_pull" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0x2e407e6e, "rt2x00lib_set_mac_address" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x4b7a0713, "param_ops_uint" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "FB782670CE4098FB49520E9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
