#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x851d8a86, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0xf80f9727, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0x501670eb, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0x9f738bee, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0xc616ca63, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0xb4cd303a, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0x127888fa, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0x57a7c7a3, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x5819cdf8, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0x111e704d, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0x9a53b24e, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0xb2109111, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0xb76d7304, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0xf90f2fad, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0x30a27429, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0xd85448cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xbb870a1e, "rt2x00queue_get_entry" },
	{ 0xccb3ac28, "rt2800_process_rxwi" },
	{ 0xc3384738, "rt2x00lib_beacondone" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x62d8f9cf, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x0b2d10aa, "rt2800_get_txwi_rxwi_size" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x44a6a60f, "hrtimer_cancel" },
	{ 0x1d2d0d0c, "rt2800_disable_wpdma" },
	{ 0x29714b44, "rt2800_wait_wpdma_ready" },
	{ 0xadff0b49, "rt2800_enable_radio" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xabc5a91c, "rt2800_txdone" },
	{ 0x6af80b1a, "rt2800_txdone_nostatus" },
	{ 0xe04961b8, "rt2800_txstatus_timeout" },
	{ 0x1958b17e, "rt2800_txstatus_pending" },
	{ 0x951fae93, "rt2800_probe_hw" },
	{ 0x9eaab305, "rt2x00lib_pretbtt" },
	{ 0x5d4b5e25, "rt2800_config" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xeef64eb5, "rt2x00mmio_rxdone" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "C1A4D577C93752B32ED7651");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
