#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x9cde856f, "");
SYMBOL_CRC(ndlc_close, 0x4ed6fa56, "");
SYMBOL_CRC(ndlc_send, 0x5eafe257, "");
SYMBOL_CRC(ndlc_recv, 0x25746b47, "");
SYMBOL_CRC(ndlc_probe, 0x8acdee4d, "");
SYMBOL_CRC(ndlc_remove, 0x7085d667, "");
SYMBOL_CRC(st_nci_probe, 0x34005e0f, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x0197421e, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x19c93f39, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0xc8a150fc, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x70e70f80, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x4accd2ac, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0xbb4a848c, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0xf3cb56c5, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x811a9bce, "");
SYMBOL_CRC(st_nci_se_init, 0x1d2e2063, "");
SYMBOL_CRC(st_nci_se_deinit, 0xb4c7e748, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0xc26ad54d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc5c2cff, "nci_free_device" },
	{ 0xa5359e2d, "nci_allocate_device" },
	{ 0xbc4f67bd, "nci_register_device" },
	{ 0x37f5c7a2, "devm_kmalloc" },
	{ 0x924e57fa, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x065b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x0dab6352, "nfc_add_se" },
	{ 0xd73406bc, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3d1535d7, "nfc_remove_se" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe65d9ffa, "skb_queue_purge_reason" },
	{ 0x56bfcdee, "nci_nfcee_mode_set" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7572d5d1, "nci_hci_get_param" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x06403cfb, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x7fbb7469, "nfc_se_transaction" },
	{ 0x572c678d, "_dev_err" },
	{ 0x438e49cd, "skb_pull" },
	{ 0x824d1a24, "nci_hci_connect_gate" },
	{ 0x6abf9f0a, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xab285bf2, "skb_push" },
	{ 0x51813ef6, "nla_put" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xa49f4120, "nci_prop_cmd" },
	{ 0x45401c06, "nci_core_conn_create" },
	{ 0x2ba06e69, "nci_nfcc_loopback" },
	{ 0x34d08066, "nci_unregister_device" },
	{ 0x0b54c154, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xff820478, "nci_hci_send_event" },
	{ 0x561f7f6a, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5e1a1e45, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3e4b05c6, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x4bd8626a, "nfc_vendor_cmd_reply" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xc1ea11bc, "nci_recv_frame" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb00cd2b4, "nci_hci_dev_session_init" },
	{ 0xf4e621cf, "nci_hci_set_param" },
	{ 0x019ee1e9, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaa4adfdd, "skb_queue_head" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "nci,nfc");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
