#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0x11cad427, "_gpl");
SYMBOL_CRC(rio_query_mport, 0x50151fc8, "");
SYMBOL_CRC(rio_alloc_net, 0xcec68c04, "_gpl");
SYMBOL_CRC(rio_add_net, 0x2640c3dd, "_gpl");
SYMBOL_CRC(rio_free_net, 0xfc21d994, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0xedaff03c, "_gpl");
SYMBOL_CRC(rio_add_device, 0x475cd0ff, "_gpl");
SYMBOL_CRC(rio_del_device, 0x3224fbda, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0x23a8bde9, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0x396bbd61, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x29bf4ad7, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x8a47da66, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0x65d72e82, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x78fc4ffd, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0xfb1508ae, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0xda779108, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0xfa64a14a, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0xae19d999, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x32600929, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x3b78eb6a, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x92cdfde7, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x07ec6f09, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x6663e37d, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x4c9cb245, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x8781d343, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0xde7924cd, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x5e52ce6c, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x3597ac72, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0x99f50e2f, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x18423fd8, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0xb7214ffd, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0x3925049f, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0x8e52f740, "_gpl");
SYMBOL_CRC(rio_lock_device, 0x9f8d5a23, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0xdf18c079, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0xb5d12ffc, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0xdee1763d, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0xbb23e30a, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0x8102b3c9, "_gpl");
SYMBOL_CRC(rio_request_dma, 0x7127e66c, "_gpl");
SYMBOL_CRC(rio_release_dma, 0x7b0aa3a3, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0x18224eb1, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0xfb7c56c6, "_gpl");
SYMBOL_CRC(rio_register_scan, 0xa7a7c8f0, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x233de105, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x62260779, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x230bb8b8, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0x45ce98c0, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0x1f3c9ef2, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0xcaa8983b, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x39c491c2, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x47b4c0ad, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0x10236bbc, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0x08d39d9e, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0xfeb409b2, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0xc28a71c8, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x7d707d81, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x056bb7db, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0x4d839b6f, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x4ff73c94, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x2a264cce, "_gpl");
SYMBOL_CRC(rio_attach_device, 0x6ac36ed6, "_gpl");
SYMBOL_CRC(rio_mport_class, 0xf5458ea9, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x6ded5d1c, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0xa8134da4, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x3ba58ec3, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x4a9fc24a, "_gpl");
SYMBOL_CRC(rio_dev_put, 0x8479566c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x05b19fea, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x973224a8, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbca80c17, "device_unregister" },
	{ 0x1ed07e4b, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0x8360460f, "dma_release_channel" },
	{ 0xb3b7735b, "device_for_each_child" },
	{ 0xce9bfc83, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x0b2e41d4, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9aed6c2f, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x03a9a324, "module_put" },
	{ 0x572c678d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xce9e1334, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2cbfc768, "class_unregister" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb9cf6bde, "device_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc5e74216, "release_resource" },
	{ 0xb212b5b7, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf06366b6, "driver_register" },
	{ 0x826480dd, "class_register" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x52f3d335, "bus_register" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C3C1A8BC085EC9B7BCC133");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
