#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(srp_tmo_valid, "_gpl", "");
KSYMTAB_FUNC(srp_parse_tmo, "", "");
KSYMTAB_FUNC(srp_start_tl_fail_timers, "", "");
KSYMTAB_FUNC(srp_reconnect_rport, "", "");
KSYMTAB_FUNC(srp_timed_out, "", "");
KSYMTAB_FUNC(srp_rport_get, "", "");
KSYMTAB_FUNC(srp_rport_put, "", "");
KSYMTAB_FUNC(srp_rport_add, "_gpl", "");
KSYMTAB_FUNC(srp_rport_del, "_gpl", "");
KSYMTAB_FUNC(srp_remove_host, "_gpl", "");
KSYMTAB_FUNC(srp_stop_rport_timers, "_gpl", "");
KSYMTAB_FUNC(srp_attach_transport, "_gpl", "");
KSYMTAB_FUNC(srp_release_transport, "_gpl", "");

SYMBOL_CRC(srp_tmo_valid, 0x1902178a, "_gpl");
SYMBOL_CRC(srp_parse_tmo, 0x405b6e05, "");
SYMBOL_CRC(srp_start_tl_fail_timers, 0x394dccbd, "");
SYMBOL_CRC(srp_reconnect_rport, 0x4b637f64, "");
SYMBOL_CRC(srp_timed_out, 0x5ce29986, "");
SYMBOL_CRC(srp_rport_get, 0xb9e21896, "");
SYMBOL_CRC(srp_rport_put, 0x108d7ed7, "");
SYMBOL_CRC(srp_rport_add, 0x5102d2d6, "_gpl");
SYMBOL_CRC(srp_rport_del, 0xca3d25a4, "_gpl");
SYMBOL_CRC(srp_remove_host, 0x2bd5d0c4, "_gpl");
SYMBOL_CRC(srp_stop_rport_timers, 0xf0ce8217, "_gpl");
SYMBOL_CRC(srp_attach_transport, 0x0d5c3152, "_gpl");
SYMBOL_CRC(srp_release_transport, 0x5d7db1f5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb3b7735b, "device_for_each_child" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9aed6c2f, "put_device" },
	{ 0x037a0cba, "kfree" },
	{ 0xce9bfc83, "get_device" },
	{ 0xa0e9c242, "transport_remove_device" },
	{ 0xa69849f6, "device_del" },
	{ 0x91187ed9, "transport_destroy_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x72c20794, "transport_class_register" },
	{ 0xccdf113e, "transport_class_unregister" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x8ae7a3c9, "device_initialize" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x973224a8, "dev_set_name" },
	{ 0x65c86e6a, "transport_setup_device" },
	{ 0xaf7adf67, "device_add" },
	{ 0x20a67e6b, "transport_add_device" },
	{ 0x95f221f6, "transport_configure_device" },
	{ 0x3319e37c, "attribute_container_register" },
	{ 0xd7720456, "attribute_container_unregister" },
	{ 0x2fdfbfd4, "scsi_is_host_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x259e0b21, "scsi_target_unblock" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x070f7896, "_printk" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x693b59aa, "scsi_block_targets" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0x26190a6f, "__scsi_iterate_devices" },
	{ 0x9aa4e6f9, "_dev_printk" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3BF629D501E39C5C31FAE8A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
