#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x06fbfa2b, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x23fe1724, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0xb52c2849, "");
SYMBOL_CRC(sdw_intel_startup, 0x5328787c, "");
SYMBOL_CRC(sdw_intel_exit, 0x05f0649f, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x8ef68e1e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabe0ace1, "sdw_cdns_pdi_init" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x61b08416, "simple_attr_open" },
	{ 0xba530b38, "debugfs_attr_write" },
	{ 0x37f5c7a2, "devm_kmalloc" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xc6efba9e, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xeb31f325, "sdw_cdns_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x0b6928da, "sdw_cdns_clock_restart" },
	{ 0x45dbfbaf, "sdw_cdns_debugfs_init" },
	{ 0x1283a688, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0xe5507a3f, "pm_runtime_set_autosuspend_delay" },
	{ 0xbb0a258b, "sdw_bus_master_add" },
	{ 0xf69887e0, "sdw_cdns_enable_interrupt" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xbb6c0fb7, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x037a0cba, "kfree" },
	{ 0x9ce1f28a, "sdw_cdns_is_clock_stop" },
	{ 0x2f78f70b, "hdac_bus_eml_enable_interrupt_unlocked" },
	{ 0x05f02345, "seq_lseek" },
	{ 0xfdaa7a12, "sdw_cdns_config_update_set_wait" },
	{ 0xb3b7735b, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8f10528c, "sdw_cdns_config_stream" },
	{ 0x108a902a, "__pm_runtime_set_status" },
	{ 0x97195769, "auxiliary_driver_unregister" },
	{ 0xbfb3908f, "devm_snd_soc_register_component" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4cae9481, "cdns_bus_conf" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa1801e3b, "sdw_cdns_soft_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x9aed6c2f, "put_device" },
	{ 0x4542ce4a, "cdns_set_sdw_stream" },
	{ 0xee3d8d80, "pm_runtime_enable" },
	{ 0xe0c61c6c, "fwnode_property_read_u32_array" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0x039781d6, "sdw_clear_slave_status" },
	{ 0xeda50e57, "debugfs_attr_read" },
	{ 0x112ace58, "sdw_stream_remove_master" },
	{ 0xc2435370, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0xcfbc2041, "sdw_cdns_exit_reset" },
	{ 0x572c678d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2cd921e2, "hdac_bus_eml_sdw_get_lsdiid_unlocked" },
	{ 0x760682b4, "simple_attr_release" },
	{ 0x06371f28, "__auxiliary_device_add" },
	{ 0xda76bde7, "sdw_cdns_alloc_pdi" },
	{ 0xa3cc925b, "sdw_cdns_clock_stop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x0b62225d, "fwnode_property_read_u16_array" },
	{ 0x8dba72fa, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xadca978e, "debugfs_remove" },
	{ 0xf6a1883a, "cdns_xfer_msg_defer" },
	{ 0xc5dd6e12, "cdns_xfer_msg" },
	{ 0x6573f300, "ida_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xa69849f6, "device_del" },
	{ 0x71617ce9, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd1893901, "devm_kasprintf" },
	{ 0x67974d9d, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x40e3b634, "seq_read" },
	{ 0xedaf5c2c, "sdw_stream_add_master" },
	{ 0x9f2b8c9c, "__pm_runtime_resume" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xe8deed2e, "cdns_read_ping_status" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xdc8b1448, "acpi_fetch_acpi_dev" },
	{ 0xe72a0b86, "device_get_named_child_node" },
	{ 0x65db4294, "sdw_cdns_probe" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x518409c3, "sdw_cdns_config_update" },
	{ 0x7b116a45, "seq_printf" },
	{ 0x8c485c45, "debugfs_create_file_full" },
	{ 0x3b30f941, "sdw_bus_master_delete" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x79ac2cd9, "single_release" },
	{ 0x2cd88744, "__auxiliary_driver_register" },
	{ 0x1cbe1e67, "sdw_cdns_check_self_clearing_bits" },
	{ 0xe5e2a163, "__pm_runtime_use_autosuspend" },
	{ 0x38a065c9, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0xb212b5b7, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x51d47a59, "single_open" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0x63f4eeb9, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x23a15f7f, "__pm_runtime_disable" },
	{ 0x2e5c2e27, "debugfs_create_dir" },
	{ 0x236b0ef7, "sdw_master_read_prop" },
	{ 0x4c7f90f8, "hdac_bus_eml_get_count" },
	{ 0x90022c9a, "sdw_compute_params" },
	{ 0xc83e058b, "__pm_runtime_idle" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,snd-soc-core,soundwire-generic-allocation,snd-pcm");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "E41C91A4BA983835044E4BB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
