#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0xa5eea110, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0x29b5bc22, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0xa20bb94b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa32359db, "usb_hcd_platform_shutdown" },
	{ 0xd2e28fac, "is_acpi_device_node" },
	{ 0x47738eca, "of_fwnode_ops" },
	{ 0x5b4214a1, "device_set_wakeup_capable" },
	{ 0xcc39b29d, "xhci_suspend" },
	{ 0x8286e063, "devm_platform_get_and_ioremap_resource" },
	{ 0x1384a34c, "platform_driver_unregister" },
	{ 0x6c9badea, "platform_get_irq" },
	{ 0xaafdb1f2, "xhci_gen_setup" },
	{ 0x0d25775e, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x9391e812, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x336da4d9, "devm_reset_control_array_get" },
	{ 0x108a902a, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee3d8d80, "pm_runtime_enable" },
	{ 0xcc27d1b7, "device_property_read_u32_array" },
	{ 0x4b8288ed, "of_match_device" },
	{ 0x572c678d, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x0edd4b90, "xhci_resume" },
	{ 0x7473d0a6, "xhci_run" },
	{ 0x41c9b9fb, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8551114, "xhci_init_driver" },
	{ 0xb33ec028, "usb_put_hcd" },
	{ 0x544ce266, "__platform_driver_register" },
	{ 0x5d9ad47d, "dma_set_coherent_mask" },
	{ 0x2fe1ed6e, "devm_clk_get_optional" },
	{ 0xbfa160f6, "pm_runtime_forbid" },
	{ 0x9f2b8c9c, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf928ddd5, "__usb_create_hcd" },
	{ 0xfc6a7634, "device_property_read_bool" },
	{ 0x2f846301, "dma_set_mask" },
	{ 0x0f5574a6, "usb_remove_hcd" },
	{ 0x44a553f5, "of_device_get_match_data" },
	{ 0x23a15f7f, "__pm_runtime_disable" },
	{ 0x93d537f0, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0x678be13a, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "usbcore,xhci-hcd,usb-common");

MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");
MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("acpi*:PNP0D15:*");

MODULE_INFO(srcversion, "FB8258A511C1093ECBBFDF7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
