#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ocfs2_stack_glue_register, "_gpl", "");
KSYMTAB_FUNC(ocfs2_stack_glue_unregister, "_gpl", "");
KSYMTAB_FUNC(ocfs2_stack_glue_set_max_proto_version, "_gpl", "");
KSYMTAB_FUNC(ocfs2_dlm_lock, "_gpl", "");
KSYMTAB_FUNC(ocfs2_dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(ocfs2_dlm_lock_status, "_gpl", "");
KSYMTAB_FUNC(ocfs2_dlm_lvb_valid, "_gpl", "");
KSYMTAB_FUNC(ocfs2_dlm_lvb, "_gpl", "");
KSYMTAB_FUNC(ocfs2_dlm_dump_lksb, "_gpl", "");
KSYMTAB_FUNC(ocfs2_stack_supports_plocks, "_gpl", "");
KSYMTAB_FUNC(ocfs2_plock, "_gpl", "");
KSYMTAB_FUNC(ocfs2_cluster_connect, "_gpl", "");
KSYMTAB_FUNC(ocfs2_cluster_connect_agnostic, "_gpl", "");
KSYMTAB_FUNC(ocfs2_cluster_disconnect, "_gpl", "");
KSYMTAB_FUNC(ocfs2_cluster_hangup, "_gpl", "");
KSYMTAB_FUNC(ocfs2_cluster_this_node, "_gpl", "");
KSYMTAB_DATA(ocfs2_kset, "_gpl", "");

SYMBOL_CRC(ocfs2_stack_glue_register, 0xcde9d354, "_gpl");
SYMBOL_CRC(ocfs2_stack_glue_unregister, 0xd7e5b038, "_gpl");
SYMBOL_CRC(ocfs2_stack_glue_set_max_proto_version, 0xd344e4ee, "_gpl");
SYMBOL_CRC(ocfs2_dlm_lock, 0xaf969565, "_gpl");
SYMBOL_CRC(ocfs2_dlm_unlock, 0xc5196999, "_gpl");
SYMBOL_CRC(ocfs2_dlm_lock_status, 0xcafdd707, "_gpl");
SYMBOL_CRC(ocfs2_dlm_lvb_valid, 0x1475f64b, "_gpl");
SYMBOL_CRC(ocfs2_dlm_lvb, 0x76f40744, "_gpl");
SYMBOL_CRC(ocfs2_dlm_dump_lksb, 0xd806a273, "_gpl");
SYMBOL_CRC(ocfs2_stack_supports_plocks, 0xbbc4ef97, "_gpl");
SYMBOL_CRC(ocfs2_plock, 0xbc1848e2, "_gpl");
SYMBOL_CRC(ocfs2_cluster_connect, 0xc9fae756, "_gpl");
SYMBOL_CRC(ocfs2_cluster_connect_agnostic, 0x0cfd3fc5, "_gpl");
SYMBOL_CRC(ocfs2_cluster_disconnect, 0x9507547f, "_gpl");
SYMBOL_CRC(ocfs2_cluster_hangup, 0x4d3af7fa, "_gpl");
SYMBOL_CRC(ocfs2_cluster_this_node, 0x0a726931, "_gpl");
SYMBOL_CRC(ocfs2_kset, 0xcfbc0c0c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x05b19fea, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x037a0cba, "kfree" },
	{ 0xd8fc9a21, "kset_unregister" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x845779be, "unregister_sysctl_table" },
	{ 0xb2376612, "fs_kobj" },
	{ 0x738803e6, "strnlen" },
	{ 0x03a9a324, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x73bf4a0d, "proc_dostring" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc12a7f2e, "sysfs_create_group" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x68a2d777, "register_sysctl_sz" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9d7f8632, "kset_create_and_add" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C59E02FCA21EBBE211D63D0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
