#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ax25_bcast, "_gpl", "");
KSYMTAB_DATA(ax25_defaddr, "_gpl", "");
KSYMTAB_DATA(null_ax25_address, "", "");
KSYMTAB_FUNC(ax2asc, "", "");
KSYMTAB_FUNC(asc2ax, "", "");
KSYMTAB_FUNC(ax25cmp, "", "");
KSYMTAB_FUNC(ax25_register_pid, "_gpl", "");
KSYMTAB_FUNC(ax25_protocol_release, "", "");
KSYMTAB_FUNC(ax25_linkfail_register, "", "");
KSYMTAB_FUNC(ax25_linkfail_release, "", "");
KSYMTAB_FUNC(ax25_listen_register, "", "");
KSYMTAB_FUNC(ax25_listen_release, "", "");
KSYMTAB_DATA(ax25_header_ops, "", "");
KSYMTAB_FUNC(ax25_ip_xmit, "", "");
KSYMTAB_FUNC(ax25_send_frame, "", "");
KSYMTAB_FUNC(ax25_display_timer, "", "");
KSYMTAB_DATA(ax25_uid_policy, "", "");
KSYMTAB_FUNC(ax25_findbyuid, "", "");
KSYMTAB_FUNC(ax25_find_cb, "", "");

SYMBOL_CRC(ax25_bcast, 0xac93ae05, "_gpl");
SYMBOL_CRC(ax25_defaddr, 0xaeb7451e, "_gpl");
SYMBOL_CRC(null_ax25_address, 0xd43ecbf1, "");
SYMBOL_CRC(ax2asc, 0x53dea1ff, "");
SYMBOL_CRC(asc2ax, 0x4502c65a, "");
SYMBOL_CRC(ax25cmp, 0xc1444946, "");
SYMBOL_CRC(ax25_register_pid, 0x49fda035, "_gpl");
SYMBOL_CRC(ax25_protocol_release, 0x8ede9e26, "");
SYMBOL_CRC(ax25_linkfail_register, 0xa871a07d, "");
SYMBOL_CRC(ax25_linkfail_release, 0xbb979ada, "");
SYMBOL_CRC(ax25_listen_register, 0x282ba25e, "");
SYMBOL_CRC(ax25_listen_release, 0x70ebdc8f, "");
SYMBOL_CRC(ax25_header_ops, 0xe4baab17, "");
SYMBOL_CRC(ax25_ip_xmit, 0x67ceb21e, "");
SYMBOL_CRC(ax25_send_frame, 0xded6a9b6, "");
SYMBOL_CRC(ax25_display_timer, 0x14cecd59, "");
SYMBOL_CRC(ax25_uid_policy, 0x242852b9, "");
SYMBOL_CRC(ax25_findbyuid, 0xee02e420, "");
SYMBOL_CRC(ax25_find_cb, 0x53d7b92a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf98df84f, "security_sock_graft" },
	{ 0x5497cea8, "skb_free_datagram" },
	{ 0x424335f4, "sock_queue_rcv_skb_reason" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbbd61445, "skb_put" },
	{ 0xfa89af83, "skb_expand_head" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb4d183c2, "dev_add_pack" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xd73406bc, "skb_dequeue" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x8113f9d7, "__skb_try_recv_datagram" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x63f982a2, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe65d9ffa, "skb_queue_purge_reason" },
	{ 0x9f47b74d, "register_net_sysctl_sz" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x48507a77, "proto_unregister" },
	{ 0x4292364c, "schedule" },
	{ 0x6a9885a4, "sock_register" },
	{ 0x1eace911, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xf08f3624, "make_kuid" },
	{ 0x738803e6, "strnlen" },
	{ 0x19b4aa3e, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd26697ed, "const_pcpu_hot" },
	{ 0x84664dc4, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x06403cfb, "skb_queue_tail" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x3e69ac1d, "dev_get_by_name_rcu" },
	{ 0xeb890605, "init_net" },
	{ 0x438e49cd, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6abf9f0a, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6ca18b47, "dev_remove_pack" },
	{ 0xb039f00d, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0xab285bf2, "skb_push" },
	{ 0x8011ea5f, "seq_putc" },
	{ 0x543ef284, "seq_hlist_start" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x0ab5bcd0, "_raw_read_unlock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x18217d72, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xce9086ec, "skb_copy_datagram_iter" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x4b59b61b, "__skb_wait_for_more_packets" },
	{ 0x9a21665f, "sk_alloc" },
	{ 0x716ae25a, "sock_no_socketpair" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x0b54c154, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6d406435, "sock_no_mmap" },
	{ 0xf7ac2b2d, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6e988c93, "sock_rfree" },
	{ 0x7fddd7c4, "sock_i_ino" },
	{ 0x86f6144c, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf7506294, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x3ba34dbd, "sock_alloc_send_pskb" },
	{ 0xa9909315, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x7a90fa0d, "remove_proc_entry" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7b116a45, "seq_printf" },
	{ 0x20424bfb, "skb_copy" },
	{ 0x84d63e57, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x6a85b13f, "_copy_from_iter" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xab2f7b82, "sock_gettstamp" },
	{ 0xd24e3df3, "send_sig" },
	{ 0x9323396a, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xaf63b2c3, "from_kuid_munged" },
	{ 0x4879f662, "iov_iter_revert" },
	{ 0xd5e51088, "proc_create_seq_private" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x453b162d, "sock_init_data" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0xe7d21566, "release_sock" },
	{ 0xaa4adfdd, "skb_queue_head" },
	{ 0xf075adea, "proc_dointvec_minmax" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CDF83E63D5FA4B8D7D39F55");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
