#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0xaa9d4c91, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x3c46f2db, "_gpl");
SYMBOL_CRC(tls_get_record, 0x9bcae13c, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x2e4169ae, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xdc479e21, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62f662e5, "sk_msg_free" },
	{ 0xa617bf26, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1259b12b, "tcp_read_sock" },
	{ 0x1e3865b8, "bpf_trace_run4" },
	{ 0x15c92c63, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcb158490, "sk_page_frag_refill" },
	{ 0xbbd61445, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbb839b61, "tcp_sendmsg_locked" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x389f59cc, "consume_skb" },
	{ 0x065b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x1d6b93bc, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xe33069a7, "sk_psock_msg_verdict" },
	{ 0x0c7506a4, "bpf_trace_run6" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x210f6850, "__trace_trigger_soft_disabled" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x770f15d0, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x72619165, "iov_iter_get_pages2" },
	{ 0x6b73ae04, "___pskb_trim" },
	{ 0x622cc291, "trace_event_raw_init" },
	{ 0x3b40879d, "check_zeroed_user" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x63f982a2, "pcpu_hot" },
	{ 0x0cb39ef5, "add_wait_queue" },
	{ 0x66c57905, "clean_acked_data_enable" },
	{ 0x01095837, "skb_splice_bits" },
	{ 0x0d32520f, "crypto_alloc_aead" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0x1bdfd3d8, "crypto_aead_setauthsize" },
	{ 0x35fc74f6, "crypto_aead_decrypt" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xe9620c72, "sk_stream_error" },
	{ 0x8a2a117b, "sk_msg_recvmsg" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8c6f487d, "sk_msg_memcopy_from_iter" },
	{ 0xf42247cf, "sk_error_report" },
	{ 0x948bc064, "register_pernet_subsys" },
	{ 0x9572acb9, "put_cmsg" },
	{ 0xca3dc7f4, "__sk_flush_backlog" },
	{ 0xcbcec5f4, "trace_event_buffer_commit" },
	{ 0xcbef5fab, "crypto_destroy_tfm" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xf39b74b4, "sk_psock_tls_strp_read" },
	{ 0x74bf2070, "sk_msg_clone" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x19b4aa3e, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd26697ed, "const_pcpu_hot" },
	{ 0x54c8acbf, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x64b6db4e, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xb439f3ed, "tcp_recv_skb" },
	{ 0x497a02f3, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xee9dfa8b, "perf_trace_run_bpf_submit" },
	{ 0x094f0e83, "down_write" },
	{ 0x0a8e458b, "crypto_req_done" },
	{ 0xbd0650de, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xae0f1220, "crypto_aead_encrypt" },
	{ 0x6abf9f0a, "sk_skb_reason_drop" },
	{ 0xa964348c, "bpf_trace_run5" },
	{ 0xb039f00d, "sk_free" },
	{ 0xc1d5a4d0, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x7e4b151b, "__sk_mem_reclaim" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x76041f3f, "sk_stream_wait_memory" },
	{ 0x51813ef6, "nla_put" },
	{ 0x04363e79, "trace_event_reg" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x8dec9555, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x21d21fdf, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x18217d72, "lock_sock_nested" },
	{ 0x8d6aba98, "sk_msg_return_zero" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0xce9086ec, "skb_copy_datagram_iter" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xa88016c2, "bpf_trace_run1" },
	{ 0xe5c59bf0, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xeefd0a8a, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x861a937e, "sock_efree" },
	{ 0x28fb69af, "iov_iter_bvec" },
	{ 0xbde75b82, "kfree_skb_list_reason" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x65e87d19, "clean_acked_data_disable" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xc0021f65, "sk_msg_free_partial" },
	{ 0x463c69fc, "down_read" },
	{ 0x1933837a, "skb_trim" },
	{ 0x6f84c573, "mutex_trylock" },
	{ 0x3d7f2eb4, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1f8fd0b8, "tcp_register_ulp" },
	{ 0x687aa099, "bpf_trace_run3" },
	{ 0x7081be6c, "sk_psock_drop" },
	{ 0x09c1900c, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1c98882, "skb_page_frag_refill" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x9bb7737d, "trace_event_buffer_reserve" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xd1defdc5, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2f520c14, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x7a90fa0d, "remove_proc_entry" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7b116a45, "seq_printf" },
	{ 0x7710fda3, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x84d63e57, "skb_clone" },
	{ 0x5f873997, "dst_release" },
	{ 0x6a85b13f, "_copy_from_iter" },
	{ 0x8c7dba06, "skb_copy_header" },
	{ 0xa8d50e06, "sk_msg_trim" },
	{ 0x50f55218, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x48b125ff, "netdev_sk_get_lowest_dev" },
	{ 0x216af544, "sk_msg_alloc" },
	{ 0xcc1cf1fc, "page_address" },
	{ 0x97fd9645, "_copy_from_iter_nocache" },
	{ 0x3163e47d, "tcp_rate_check_app_limited" },
	{ 0x31ec2bfc, "tcp_poll" },
	{ 0x4879f662, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0xe7e8c8e1, "sk_msg_zerocopy_from_iter" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xd12b13c7, "skb_to_sgvec" },
	{ 0x04dc0300, "up_read" },
	{ 0xc6c83c49, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x4c9ff5f9, "tcp_read_done" },
	{ 0xe7d21566, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A89E25AE9791618BE9E704E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
