#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0x82eb770f, "");
SYMBOL_CRC(snd_ac97_read, 0x392a01a4, "");
SYMBOL_CRC(snd_ac97_write_cache, 0x9e6e7851, "");
SYMBOL_CRC(snd_ac97_update, 0x87f1f8f3, "");
SYMBOL_CRC(snd_ac97_update_bits, 0xdcc18685, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0x669c2e43, "");
SYMBOL_CRC(snd_ac97_bus, 0x159d24bc, "");
SYMBOL_CRC(snd_ac97_mixer, 0x1d4c4a55, "");
SYMBOL_CRC(snd_ac97_update_power, 0xa5ba9195, "");
SYMBOL_CRC(snd_ac97_suspend, 0x56be0128, "");
SYMBOL_CRC(snd_ac97_resume, 0x07b206aa, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0x8b27e4db, "");
SYMBOL_CRC(snd_ac97_set_rate, 0x0d0d6937, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0x51d72cab, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0xc95f6de4, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0x4f8fd5ec, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0xd461ae4c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1cc543ba, "snd_ctl_add_followers" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x973224a8, "dev_set_name" },
	{ 0x3a1d5f39, "snd_ctl_add" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xbca80c17, "device_unregister" },
	{ 0x3ab52a8b, "snd_info_free_entry" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x04cda566, "snd_interval_refine" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0x2dcc65d6, "snd_ctl_find_id" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x6065b9ec, "snd_ctl_new1" },
	{ 0x070f7896, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x9aed6c2f, "put_device" },
	{ 0xea34eb03, "snd_ctl_remove_id" },
	{ 0x04e1b99f, "snd_pcm_std_chmaps" },
	{ 0x911f6ea9, "snd_component_add" },
	{ 0x738803e6, "strnlen" },
	{ 0x8160b3d7, "snd_ctl_make_virtual_master" },
	{ 0x3af210c0, "snd_pcm_hw_rule_add" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x33124c87, "snd_ctl_boolean_mono_info" },
	{ 0x572c678d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x95bf6823, "pci_read_config_word" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x94d830db, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xb052d9a1, "snd_ctl_rename" },
	{ 0xb9cf6bde, "device_register" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x58693da7, "snd_device_new" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x09e913c1, "snd_pcm_alt_chmaps" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3f08e133, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x7b116a45, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd6c3fe33, "snd_info_create_card_entry" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb212b5b7, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,ac97_bus");


MODULE_INFO(srcversion, "73DCB793F67F0CD7F7E5C53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
