#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x42c2e173, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x28c0024a, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0xb715c8b3, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x3377f722, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x729f914f, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xd454d3bf, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x7f963ba1, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x37a3b33c, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x69780665, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x7f64b98f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62ecf3ef, "snd_soc_dapm_put_enum_double" },
	{ 0xcd85f490, "gpiod_get_value_cansleep" },
	{ 0x5583704a, "regcache_cache_only" },
	{ 0xd2e28fac, "is_acpi_device_node" },
	{ 0x88ebdf23, "gpiod_put" },
	{ 0x6c66290e, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7cea0f29, "regmap_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x065b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe5507a3f, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xba685af1, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x397cc06d, "acpi_dev_add_driver_gpios" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x502f2603, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa716f5d1, "devm_gpiod_get_optional" },
	{ 0xe94cf14c, "wm_adsp_stop" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7cf37ea7, "cs35l56_get_calibration" },
	{ 0x108a902a, "__pm_runtime_set_status" },
	{ 0xbfb3908f, "devm_snd_soc_register_component" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x49996f6f, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d57a5c4, "sdw_write_no_pm" },
	{ 0x0aea3dc0, "devm_free_irq" },
	{ 0xee3d8d80, "pm_runtime_enable" },
	{ 0x05e97bdc, "fwnode_gpiod_get_index" },
	{ 0x3b81921a, "regulator_bulk_disable" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0x04208a18, "acpi_dev_remove_driver_gpios" },
	{ 0x3f21bb75, "snd_soc_info_volsw" },
	{ 0xfaa6d0be, "cs35l56_init_cs_dsp" },
	{ 0x1f6d3f95, "wm_adsp_power_down" },
	{ 0x572c678d, "_dev_err" },
	{ 0x5cf788f7, "debugfs_create_bool" },
	{ 0x2980e9b5, "wm_adsp_event" },
	{ 0x05c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x8a94d64a, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x0fa4d22d, "cs35l56_calibration_controls" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x4ebe40af, "cs35l56_runtime_suspend_common" },
	{ 0x1adf9891, "sdw_read_no_pm" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xf09de01e, "cs35l56_mbox_send" },
	{ 0x49e16460, "cs35l56_hw_init" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0x285ffc80, "wm_adsp2_component_probe" },
	{ 0x513cbc0f, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8799838d, "cs35l56_system_reset" },
	{ 0x5dcb229d, "snd_soc_info_enum_double" },
	{ 0x1afc77b5, "regulator_bulk_enable" },
	{ 0x581c28a6, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x8e5b63e9, "wm_adsp2_component_remove" },
	{ 0x196fc957, "cs35l56_wait_for_firmware_boot" },
	{ 0xd1893901, "devm_kasprintf" },
	{ 0x689a992b, "snd_soc_get_volsw" },
	{ 0xf14fd385, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x41cdf974, "fwnode_property_present" },
	{ 0xaeed7ea9, "cs35l56_is_fw_reload_needed" },
	{ 0xd10cc9ec, "regmap_read" },
	{ 0xfe450af1, "snd_soc_put_volsw" },
	{ 0x9f2b8c9c, "__pm_runtime_resume" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x682d668a, "cs_amp_write_cal_coeffs" },
	{ 0xe72a0b86, "device_get_named_child_node" },
	{ 0x3fa7cdbe, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xc8e08ec4, "sdw_stream_remove_slave" },
	{ 0x21960153, "cs35l56_runtime_resume_common" },
	{ 0x95accfa2, "dapm_regulator_event" },
	{ 0x4b35f24e, "cs35l56_get_speaker_id" },
	{ 0x12ee61ac, "wm_adsp_run" },
	{ 0x244da688, "regmap_update_bits_base" },
	{ 0x4af0e607, "acpi_dev_get_property" },
	{ 0xe0dd904d, "dev_err_probe" },
	{ 0x9b640121, "__pm_runtime_suspend" },
	{ 0x01d4878b, "cs35l56_fill_supply_names" },
	{ 0xdfe160d0, "__devm_add_action" },
	{ 0xb5d2f5cc, "snd_soc_dapm_get_enum_double" },
	{ 0xe5e2a163, "__pm_runtime_use_autosuspend" },
	{ 0x63cc6efb, "wm_halo_init" },
	{ 0x23a15f7f, "__pm_runtime_disable" },
	{ 0xdf87bf75, "cs35l56_firmware_shutdown" },
	{ 0x3a857979, "sdw_stream_add_slave" },
	{ 0x5667fe14, "pm_runtime_force_suspend" },
	{ 0x231ae984, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-cs35l56-shared,snd-soc-wm-adsp,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "6072142227690706712F4D7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
