#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(line6_midi_id, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message_async, "_gpl", "");
KSYMTAB_FUNC(line6_version_request_async, "_gpl", "");
KSYMTAB_FUNC(line6_send_sysex_message, "_gpl", "");
KSYMTAB_FUNC(line6_alloc_sysex_buffer, "_gpl", "");
KSYMTAB_FUNC(line6_read_data, "_gpl", "");
KSYMTAB_FUNC(line6_write_data, "_gpl", "");
KSYMTAB_FUNC(line6_read_serial_number, "_gpl", "");
KSYMTAB_FUNC(line6_probe, "_gpl", "");
KSYMTAB_FUNC(line6_disconnect, "_gpl", "");
KSYMTAB_FUNC(line6_suspend, "_gpl", "");
KSYMTAB_FUNC(line6_resume, "_gpl", "");
KSYMTAB_FUNC(line6_init_midi, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_acquire, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_release, "_gpl", "");
KSYMTAB_FUNC(line6_init_pcm, "_gpl", "");

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0x34e7be01, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0xa0eeab0c, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0xd9408d62, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0xb06c3ade, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0x1a10d07d, "_gpl");
SYMBOL_CRC(line6_read_data, 0xdefbc26e, "_gpl");
SYMBOL_CRC(line6_write_data, 0x40832322, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0xa431d30a, "_gpl");
SYMBOL_CRC(line6_probe, 0x02d75971, "_gpl");
SYMBOL_CRC(line6_disconnect, 0xfda2b43e, "_gpl");
SYMBOL_CRC(line6_suspend, 0xed35b303, "_gpl");
SYMBOL_CRC(line6_resume, 0x7e04ae74, "_gpl");
SYMBOL_CRC(line6_init_midi, 0xf80e11df, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0xd54d7094, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0x7e4b0369, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0xb436d893, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ccdbdb1, "usb_alloc_urb" },
	{ 0x4e142474, "snd_rawmidi_receive" },
	{ 0x5b48cb8a, "usb_free_urb" },
	{ 0x0b39b5e0, "usb_control_msg_send" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x3a1d5f39, "snd_ctl_add" },
	{ 0xce9b7db6, "snd_pcm_new" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0xe0b5f391, "usb_control_msg_recv" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8ceb462, "usb_interrupt_msg" },
	{ 0x2ec524ad, "__kfifo_in_r" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6065b9ec, "snd_ctl_new1" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x151a0475, "usb_put_dev" },
	{ 0xa69a6460, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe007866d, "snd_rawmidi_transmit_ack" },
	{ 0xf3b78580, "usb_get_dev" },
	{ 0xd26697ed, "const_pcpu_hot" },
	{ 0x8413504e, "usb_submit_urb" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0x7275effa, "snd_pcm_hw_constraint_ratdens" },
	{ 0x3eec4287, "snd_card_new" },
	{ 0x48cb958f, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x572c678d, "_dev_err" },
	{ 0x5583c2a2, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc5696e7b, "snd_rawmidi_transmit_peek" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x34ecf754, "snd_card_free_when_closed" },
	{ 0xd72955bc, "usb_set_interface" },
	{ 0xb8954d42, "snd_pcm_set_ops" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb3d3bf95, "snd_pcm_set_managed_buffer_all" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xeb55a931, "__kfifo_max_r" },
	{ 0x60a528db, "snd_rawmidi_new" },
	{ 0x18b34479, "snd_card_disconnect" },
	{ 0x565f5070, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x151222cf, "snd_rawmidi_set_ops" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa6970398, "__kfifo_to_user_r" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x89396bf1, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x5cacb8e3, "snd_pcm_period_elapsed" },
	{ 0x37f614b7, "__kfifo_len_r" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd,snd-pcm,snd-hwdep");


MODULE_INFO(srcversion, "7DD4A530BEBC54D6137E74E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
