#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");
KSYMTAB_FUNC(hid_pidff_init_with_quirks, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0x23c98f6d, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0x45cb47d2, "_gpl");
SYMBOL_CRC(hid_pidff_init_with_quirks, 0x9ad22aca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x21f8c6f7, "hid_output_report" },
	{ 0x3ce1976d, "hid_lookup_quirk" },
	{ 0x6ccdbdb1, "usb_alloc_urb" },
	{ 0x4e839d35, "device_set_wakeup_enable" },
	{ 0x613ff760, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5b48cb8a, "usb_free_urb" },
	{ 0x4b7a0713, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xbcf6824e, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x4249ff90, "hid_driver_suspend" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x42ad7b75, "kill_fasync" },
	{ 0x85109759, "usb_register_driver" },
	{ 0x1adf6d5e, "hid_driver_reset_resume" },
	{ 0xbfc97bdc, "up" },
	{ 0x1ed07e4b, "param_array_ops" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x5c8448c2, "hidinput_count_leds" },
	{ 0x15f11611, "usb_autopm_put_interface_no_suspend" },
	{ 0x1c9b538a, "hid_driver_resume" },
	{ 0x93cc8952, "usb_autopm_get_interface_no_resume" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x3e43e1db, "hid_allocate_device" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x29de23a6, "hid_destroy_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8ceb462, "usb_interrupt_msg" },
	{ 0xe18fc718, "usb_find_interface" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x393ea5f1, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x6c1445fc, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa956cb0b, "usb_autopm_get_interface_async" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd26697ed, "const_pcpu_hot" },
	{ 0x8413504e, "usb_submit_urb" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0x8d02ded8, "usb_queue_reset_device" },
	{ 0x36416430, "hid_alloc_report_buf" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x572c678d, "_dev_err" },
	{ 0x0fff54db, "usb_free_coherent" },
	{ 0x514de56e, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7bb2bc96, "noop_llseek" },
	{ 0x32a460e8, "down" },
	{ 0x5dfd6beb, "hid_hw_request" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x622b2414, "hid_hw_open" },
	{ 0x306a058a, "usb_control_msg" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x3b00d0b7, "usb_register_dev" },
	{ 0xc64afd2e, "hid_check_keys_pressed" },
	{ 0xfeac6e3f, "fasync_helper" },
	{ 0x95fe0616, "usb_unpoison_urb" },
	{ 0x0c481ddc, "usb_autopm_put_interface_async" },
	{ 0xdd791921, "hid_hw_close" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5152e605, "memcmp" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0xd05fd60b, "usb_deregister" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x79e8afb0, "usb_string" },
	{ 0x2bc95bd4, "memset" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0x63230d1a, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x177e8089, "usb_block_urb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb72b08c5, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x565f5070, "usb_unlink_urb" },
	{ 0x739b7e2b, "_dev_notice" },
	{ 0x999e8297, "vfree" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x0c9272ce, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x76c214d6, "input_ff_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x1c5426c7, "usb_deregister_dev" },
	{ 0x89396bf1, "usb_kill_urb" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x938524d4, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd0d8621b, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4cf24332, "__usb_get_extra_descriptor" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbe042121, "__dev_fwnode" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x9adf47bc, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "A0B6C2351143B8E02B72C51");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
