#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_regulator_init_cb, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x836c7e8c, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0xc98bd08f, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x47208ae4, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x2ba6054d, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x27fdde3e, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x05aaad49, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0xbb152fbb, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x1ee384ab, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x9fc3c0f3, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x3339c7e0, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x68f079b6, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0xec7f98c1, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xa7e4332c, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0xcb831e3e, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x3061b490, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x150355a8, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0xb1b4ffef, "_gpl");
SYMBOL_CRC(pmbus_regulator_init_cb, 0x3114ab53, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0xcf04ea96, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0xd42bb032, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0xdd64118d, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x52a0ba78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x442707be, "device_remove_file" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xba9ef1f0, "devm_krealloc" },
	{ 0x37f5c7a2, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2e5c2e27, "debugfs_create_dir" },
	{ 0xadca978e, "debugfs_remove" },
	{ 0x61b08416, "simple_attr_open" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf83f95f9, "devm_thermal_of_zone_register" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd90c4990, "i2c_smbus_write_byte_data" },
	{ 0x43df2ce6, "i2c_smbus_read_byte_data" },
	{ 0x66f29cf6, "i2c_smbus_write_byte" },
	{ 0x20eb8dc5, "i2c_smbus_write_word_data" },
	{ 0xe01e0fb6, "i2c_smbus_read_word_data" },
	{ 0x650b29e1, "i2c_smbus_read_block_data" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xc6c9f1bb, "rdev_get_dev" },
	{ 0x183eada7, "rdev_get_id" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xe2d4fa59, "thermal_zone_device_priv" },
	{ 0x9cca2afe, "sysfs_notify" },
	{ 0xea32c26b, "kobject_uevent" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0x09e7ed95, "regulator_notifier_call_chain" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xfc399ee7, "i2c_smbus_xfer" },
	{ 0x572c678d, "_dev_err" },
	{ 0x4f33cb79, "device_create_file" },
	{ 0xdfe160d0, "__devm_add_action" },
	{ 0x49996f6f, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x2e60bace, "memcpy" },
	{ 0x4ce20670, "devm_hwmon_device_register_with_groups" },
	{ 0x0d68efe6, "devm_regulator_register" },
	{ 0xe0dd904d, "dev_err_probe" },
	{ 0xab5a5a54, "devm_request_threaded_irq" },
	{ 0x8c485c45, "debugfs_create_file_full" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0x7bb2bc96, "noop_llseek" },
	{ 0x0accca2c, "simple_open" },
	{ 0xeda50e57, "debugfs_attr_read" },
	{ 0xba530b38, "debugfs_attr_write" },
	{ 0x760682b4, "simple_attr_release" },
	{ 0xb212b5b7, "param_ops_int" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "951FB24E6E2E97F24E8C7E2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
