#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mma9551_read_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_update_config_bits, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_gpio_config, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_version, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_device_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_power_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_sleep, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_chan, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_scale, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_app_reset, "", "IIO_MMA9551");

SYMBOL_CRC(mma9551_read_config_byte, 0xb82dd483, "");
SYMBOL_CRC(mma9551_write_config_byte, 0xb7d55219, "");
SYMBOL_CRC(mma9551_read_status_byte, 0x280eb48b, "");
SYMBOL_CRC(mma9551_read_config_word, 0x75d689e9, "");
SYMBOL_CRC(mma9551_write_config_word, 0x6b09812f, "");
SYMBOL_CRC(mma9551_read_status_word, 0x7b9d22bb, "");
SYMBOL_CRC(mma9551_read_config_words, 0x1a3d65ed, "");
SYMBOL_CRC(mma9551_read_status_words, 0x1a0790a0, "");
SYMBOL_CRC(mma9551_write_config_words, 0x170cb2ba, "");
SYMBOL_CRC(mma9551_update_config_bits, 0xbd539570, "");
SYMBOL_CRC(mma9551_gpio_config, 0xea612b9c, "");
SYMBOL_CRC(mma9551_read_version, 0x017c861e, "");
SYMBOL_CRC(mma9551_set_device_state, 0x35df41d7, "");
SYMBOL_CRC(mma9551_set_power_state, 0x83a041da, "");
SYMBOL_CRC(mma9551_sleep, 0xbcd7fe96, "");
SYMBOL_CRC(mma9551_read_accel_chan, 0xb273a71d, "");
SYMBOL_CRC(mma9551_read_accel_scale, 0x41ef446c, "");
SYMBOL_CRC(mma9551_app_reset, 0x0bec46bf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3c130845, "i2c_transfer" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x572c678d, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0x9f2b8c9c, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9b640121, "__pm_runtime_suspend" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F38357F916DE1B541CADC2E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
