#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0x6e1e1283, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0x5c1d0dd2, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0xc17b2077, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0x12030b56, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xee3d8d80, "pm_runtime_enable" },
	{ 0x9f2b8c9c, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe5e2a163, "__pm_runtime_use_autosuspend" },
	{ 0x9b640121, "__pm_runtime_suspend" },
	{ 0x108a902a, "__pm_runtime_set_status" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x34b08803, "iio_trigger_unregister" },
	{ 0x38aeea13, "iio_trigger_free" },
	{ 0x2682b74b, "iio_triggered_buffer_cleanup" },
	{ 0x23a15f7f, "__pm_runtime_disable" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6014331b, "sensor_hub_device_close" },
	{ 0x5169e1ce, "hid_sensor_get_usage_index" },
	{ 0x00e595cb, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x527ea022, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x8827d6a3, "sensor_hub_device_open" },
	{ 0x7ef486ed, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x284065ef, "hid_sensor_set_report_latency" },
	{ 0xf73e0cf8, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0x1dd4786c, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x2d523edf, "iio_triggered_buffer_setup_ext" },
	{ 0x0000ae7c, "iio_device_id" },
	{ 0x0e33a4b3, "__iio_trigger_alloc" },
	{ 0xb80b6ffd, "iio_trigger_register" },
	{ 0xce9bfc83, "get_device" },
	{ 0x66245cc5, "__module_get" },
	{ 0xe5507a3f, "pm_runtime_set_autosuspend_delay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x572c678d, "_dev_err" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");


MODULE_INFO(srcversion, "10020F6F33148E98120D4D0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
