#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(iio_bus_type, "", "");
KSYMTAB_FUNC(iio_device_id, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_enabled, "_gpl", "");
KSYMTAB_FUNC(iio_get_debugfs_dentry, "_gpl", "");
KSYMTAB_FUNC(iio_read_const_attr, "", "");
KSYMTAB_FUNC(iio_device_set_clock, "", "");
KSYMTAB_FUNC(iio_device_get_clock, "", "");
KSYMTAB_FUNC(iio_get_time_ns, "", "");
KSYMTAB_FUNC(iio_enum_available_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_write, "_gpl", "");
KSYMTAB_FUNC(iio_show_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_read_mount_matrix, "", "");
KSYMTAB_FUNC(iio_format_value, "_gpl", "");
KSYMTAB_FUNC(iio_str_to_fixpoint, "_gpl", "");
KSYMTAB_FUNC(iio_device_alloc, "", "");
KSYMTAB_FUNC(iio_device_free, "", "");
KSYMTAB_FUNC(devm_iio_device_alloc, "_gpl", "");
KSYMTAB_FUNC(iio_active_scan_mask_index, "_gpl", "");
KSYMTAB_FUNC(__iio_device_register, "", "");
KSYMTAB_FUNC(iio_device_unregister, "", "");
KSYMTAB_FUNC(__devm_iio_device_register, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_get_current_mode, "_gpl", "");
KSYMTAB_FUNC(iio_push_event, "", "");
KSYMTAB_FUNC(iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(iio_map_array_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(devm_fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release_all, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_average_raw, "_gpl", "");
KSYMTAB_FUNC(iio_convert_raw_to_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_offset, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_max_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_min_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_type, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_ext_info_count, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_label, "_gpl", "");
KSYMTAB_FUNC(iio_pop_from_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_init, "", "");
KSYMTAB_FUNC(iio_update_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_signal_dmabuf_done, "_gpl", "");
KSYMTAB_FUNC(iio_validate_scan_mask_onehot, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers_with_ts_unaligned, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_get, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_put, "_gpl", "");
KSYMTAB_FUNC(iio_device_attach_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_register, "", "");
KSYMTAB_FUNC(iio_trigger_unregister, "", "");
KSYMTAB_FUNC(iio_trigger_set_immutable, "", "");
KSYMTAB_FUNC(iio_trigger_poll, "", "");
KSYMTAB_FUNC(iio_trigger_generic_data_rdy_poll, "", "");
KSYMTAB_FUNC(iio_trigger_poll_nested, "", "");
KSYMTAB_FUNC(iio_trigger_notify_done, "", "");
KSYMTAB_FUNC(iio_pollfunc_store_time, "", "");
KSYMTAB_FUNC(iio_alloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(iio_dealloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(__iio_trigger_alloc, "", "");
KSYMTAB_FUNC(iio_trigger_free, "", "");
KSYMTAB_FUNC(__devm_iio_trigger_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_iio_trigger_register, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_using_own, "", "");
KSYMTAB_FUNC(iio_validate_own_trigger, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_validate_own_device, "", "");
KSYMTAB_FUNC(iio_device_suspend_triggering, "", "");
KSYMTAB_FUNC(iio_device_resume_triggering, "", "");
KSYMTAB_FUNC(iio_read_acpi_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_get_acpi_device_name_and_data, "_gpl", "");

SYMBOL_CRC(iio_bus_type, 0x76117b91, "");
SYMBOL_CRC(iio_device_id, 0x0000ae7c, "_gpl");
SYMBOL_CRC(iio_buffer_enabled, 0x5857e337, "_gpl");
SYMBOL_CRC(iio_get_debugfs_dentry, 0x6877d800, "_gpl");
SYMBOL_CRC(iio_read_const_attr, 0x3e14ece6, "");
SYMBOL_CRC(iio_device_set_clock, 0x1ee75d03, "");
SYMBOL_CRC(iio_device_get_clock, 0xdc70a23f, "");
SYMBOL_CRC(iio_get_time_ns, 0x409ff5dc, "");
SYMBOL_CRC(iio_enum_available_read, 0x7be43d51, "_gpl");
SYMBOL_CRC(iio_enum_read, 0xc1e56e96, "_gpl");
SYMBOL_CRC(iio_enum_write, 0x2ea903d6, "_gpl");
SYMBOL_CRC(iio_show_mount_matrix, 0x8f86044e, "_gpl");
SYMBOL_CRC(iio_read_mount_matrix, 0x9bc3e2d1, "");
SYMBOL_CRC(iio_format_value, 0x20ce344a, "_gpl");
SYMBOL_CRC(iio_str_to_fixpoint, 0x26f6b499, "_gpl");
SYMBOL_CRC(iio_device_alloc, 0x16776378, "");
SYMBOL_CRC(iio_device_free, 0xc7aa227c, "");
SYMBOL_CRC(devm_iio_device_alloc, 0x7071f32c, "_gpl");
SYMBOL_CRC(iio_active_scan_mask_index, 0x0b3c0bd4, "_gpl");
SYMBOL_CRC(__iio_device_register, 0xaa3c3b5a, "");
SYMBOL_CRC(iio_device_unregister, 0xb5174977, "");
SYMBOL_CRC(__devm_iio_device_register, 0x0bd0fb2f, "_gpl");
SYMBOL_CRC(iio_device_claim_direct_mode, 0xd83a7ed4, "_gpl");
SYMBOL_CRC(iio_device_release_direct_mode, 0x9e6573f2, "_gpl");
SYMBOL_CRC(iio_device_claim_buffer_mode, 0x4d29fdc3, "_gpl");
SYMBOL_CRC(iio_device_release_buffer_mode, 0x0b76f0e5, "_gpl");
SYMBOL_CRC(iio_device_get_current_mode, 0x9ded16e5, "_gpl");
SYMBOL_CRC(iio_push_event, 0xc1bd5360, "");
SYMBOL_CRC(iio_map_array_register, 0x6c9cdff6, "_gpl");
SYMBOL_CRC(iio_map_array_unregister, 0xbe00544d, "_gpl");
SYMBOL_CRC(devm_iio_map_array_register, 0xe8c94a72, "_gpl");
SYMBOL_CRC(fwnode_iio_channel_get_by_name, 0x73ddbf87, "_gpl");
SYMBOL_CRC(iio_channel_get, 0x97c93693, "_gpl");
SYMBOL_CRC(iio_channel_release, 0xddcab7d4, "_gpl");
SYMBOL_CRC(devm_iio_channel_get, 0xb86466d6, "_gpl");
SYMBOL_CRC(devm_fwnode_iio_channel_get_by_name, 0xe1d29199, "_gpl");
SYMBOL_CRC(iio_channel_get_all, 0x912604be, "_gpl");
SYMBOL_CRC(iio_channel_release_all, 0xdf6d08ec, "_gpl");
SYMBOL_CRC(devm_iio_channel_get_all, 0xcee19702, "_gpl");
SYMBOL_CRC(iio_read_channel_raw, 0x391a3a71, "_gpl");
SYMBOL_CRC(iio_read_channel_average_raw, 0x586f81af, "_gpl");
SYMBOL_CRC(iio_convert_raw_to_processed, 0xbca354e0, "_gpl");
SYMBOL_CRC(iio_read_channel_attribute, 0xbff01be0, "_gpl");
SYMBOL_CRC(iio_read_channel_offset, 0x1b4eac98, "_gpl");
SYMBOL_CRC(iio_read_channel_processed_scale, 0x17f3c779, "_gpl");
SYMBOL_CRC(iio_read_channel_processed, 0x4d02d73d, "_gpl");
SYMBOL_CRC(iio_read_channel_scale, 0xec117652, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_attribute, 0xd2936eab, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_raw, 0xef62168d, "_gpl");
SYMBOL_CRC(iio_read_max_channel_raw, 0x463fb272, "_gpl");
SYMBOL_CRC(iio_read_min_channel_raw, 0x206979b6, "_gpl");
SYMBOL_CRC(iio_get_channel_type, 0x45d5e3da, "_gpl");
SYMBOL_CRC(iio_write_channel_attribute, 0x3b00ad39, "_gpl");
SYMBOL_CRC(iio_write_channel_raw, 0x17ce0283, "_gpl");
SYMBOL_CRC(iio_get_channel_ext_info_count, 0x887dffc7, "_gpl");
SYMBOL_CRC(iio_read_channel_ext_info, 0x54809c0e, "_gpl");
SYMBOL_CRC(iio_write_channel_ext_info, 0xdb9bf96b, "_gpl");
SYMBOL_CRC(iio_read_channel_label, 0x1fcc118f, "_gpl");
SYMBOL_CRC(iio_pop_from_buffer, 0x4cd2358b, "_gpl");
SYMBOL_CRC(iio_buffer_init, 0x13d2b5dc, "");
SYMBOL_CRC(iio_update_buffers, 0xd9dccf27, "_gpl");
SYMBOL_CRC(iio_buffer_signal_dmabuf_done, 0x2372874e, "_gpl");
SYMBOL_CRC(iio_validate_scan_mask_onehot, 0x9087be51, "_gpl");
SYMBOL_CRC(iio_push_to_buffers, 0x80e508b3, "_gpl");
SYMBOL_CRC(iio_push_to_buffers_with_ts_unaligned, 0x08ad098f, "_gpl");
SYMBOL_CRC(iio_buffer_get, 0x3aec8b5f, "_gpl");
SYMBOL_CRC(iio_buffer_put, 0xbdec609f, "_gpl");
SYMBOL_CRC(iio_device_attach_buffer, 0x3c6d5a09, "_gpl");
SYMBOL_CRC(iio_trigger_register, 0xb80b6ffd, "");
SYMBOL_CRC(iio_trigger_unregister, 0x34b08803, "");
SYMBOL_CRC(iio_trigger_set_immutable, 0xc8bfdeb8, "");
SYMBOL_CRC(iio_trigger_poll, 0x5e6062ea, "");
SYMBOL_CRC(iio_trigger_generic_data_rdy_poll, 0x2d6bcdcb, "");
SYMBOL_CRC(iio_trigger_poll_nested, 0x8df00866, "");
SYMBOL_CRC(iio_trigger_notify_done, 0x67086b8c, "");
SYMBOL_CRC(iio_pollfunc_store_time, 0xdf76bbeb, "");
SYMBOL_CRC(iio_alloc_pollfunc, 0x2f5fbd07, "_gpl");
SYMBOL_CRC(iio_dealloc_pollfunc, 0xb3ec0289, "_gpl");
SYMBOL_CRC(__iio_trigger_alloc, 0x0e33a4b3, "");
SYMBOL_CRC(iio_trigger_free, 0x38aeea13, "");
SYMBOL_CRC(__devm_iio_trigger_alloc, 0x4888125c, "_gpl");
SYMBOL_CRC(devm_iio_trigger_register, 0x89d3ada5, "_gpl");
SYMBOL_CRC(iio_trigger_using_own, 0x6a1aadbd, "");
SYMBOL_CRC(iio_validate_own_trigger, 0x76446d49, "_gpl");
SYMBOL_CRC(iio_trigger_validate_own_device, 0x19536ce4, "");
SYMBOL_CRC(iio_device_suspend_triggering, 0xc3e8f029, "");
SYMBOL_CRC(iio_device_resume_triggering, 0x05d4208d, "");
SYMBOL_CRC(iio_read_acpi_mount_matrix, 0x1a58aa17, "_gpl");
SYMBOL_CRC(iio_get_acpi_device_name_and_data, 0xd6da3875, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6987ea72, "ww_mutex_lock_interruptible" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xd2e28fac, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xec3b6fb1, "dma_resv_reserve_fences" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x973224a8, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x738e62d7, "dma_resv_wait_timeout" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6291621d, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2fcabd3b, "ww_mutex_unlock" },
	{ 0x8ae7a3c9, "device_initialize" },
	{ 0x2e60bace, "memcpy" },
	{ 0x54fab8c7, "dma_resv_add_fence" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x0cb39ef5, "add_wait_queue" },
	{ 0x2b6ace9d, "fwnode_property_get_reference_args" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x66245cc5, "__module_get" },
	{ 0xce9bfc83, "get_device" },
	{ 0xc4e18a5c, "dma_buf_attach" },
	{ 0xd4987a94, "fwnode_property_match_string" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0x5ffe7d97, "fwnode_get_parent" },
	{ 0xbda5f0d9, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x908f480c, "device_match_fwnode" },
	{ 0x393ea5f1, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xb9abc446, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf832af31, "dma_resv_reset_max_fences" },
	{ 0xd81dada3, "ww_mutex_trylock" },
	{ 0x4292364c, "schedule" },
	{ 0x95b4da4f, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9aed6c2f, "put_device" },
	{ 0x020dbf27, "bitmap_alloc" },
	{ 0xecb3a6c8, "dma_buf_map_attachment" },
	{ 0xd26697ed, "const_pcpu_hot" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0xdf55bde0, "handle_simple_irq" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x03a9a324, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xf5e7ea40, "ktime_get_coarse_ts64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x734efd66, "bus_unregister" },
	{ 0x572c678d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x0accca2c, "simple_open" },
	{ 0x5c0dbbed, "dma_buf_unmap_attachment" },
	{ 0x308c9567, "bus_find_device" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xaf7adf67, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x7bb2bc96, "noop_llseek" },
	{ 0x0782850f, "dma_fence_signal" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x6d40411e, "dma_buf_get" },
	{ 0xadca978e, "debugfs_remove" },
	{ 0x575ac440, "device_property_read_string_array" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x151cf38b, "__devres_alloc_node" },
	{ 0xca46359e, "ww_mutex_lock" },
	{ 0xa8fcb955, "dma_buf_put" },
	{ 0x6573f300, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x13a3308c, "dma_fence_init" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0xa69849f6, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x40b51c05, "__sysfs_match_string" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x64ca9d35, "acpi_match_device" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xbca6beac, "__irq_alloc_descs" },
	{ 0x1d8bc02e, "fwnode_property_read_string" },
	{ 0x41cdf974, "fwnode_property_present" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xef5d261f, "fwnode_get_next_parent" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8c485c45, "debugfs_create_file_full" },
	{ 0x5e766ea2, "dma_buf_detach" },
	{ 0xba9ef1f0, "devm_krealloc" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2c6739ff, "__irq_set_handler" },
	{ 0xdfe160d0, "__devm_add_action" },
	{ 0xd35aeb05, "irq_set_chip" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0x2e5c2e27, "debugfs_create_dir" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2f645873, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbe042121, "__dev_fwnode" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0x52f3d335, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DA85CBBA48245AF6AC77028");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
