#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0x6d543b83, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0x2ad87f26, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x045d9239, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0x2750f3c9, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0x25239ba8, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0x17025aa0, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0x5d33f4c0, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x07a79d18, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0xbd6679df, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0x576d61dd, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0x1d5ccfbd, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0xb9bda51b, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x605aaf90, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0xcf36d4d5, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0x85077ab5, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0xdfda362d, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x6a327bdd, "_gpl");
SYMBOL_CRC(mantis_input_init, 0x698e6c4e, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0x193f366f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc02faf79, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7659ceb9, "enable_work" },
	{ 0x579f4883, "pci_enable_device" },
	{ 0x68d28788, "dvb_ca_en50221_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0x1ed07e4b, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x988174ce, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x84f7f03e, "disable_work_sync" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfbcd1572, "i2c_del_adapter" },
	{ 0xc2d47c0f, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x34425f1c, "dvb_dmx_release" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6e0ca431, "dvb_ca_en50221_release" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x85840387, "rc_register_device" },
	{ 0xd85d05ea, "dma_alloc_attrs" },
	{ 0xd73f9fbb, "rc_keydown" },
	{ 0xd7c6cbab, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x44b94300, "dvb_dmx_swfilter" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xbc5500e0, "dvb_dmxdev_release" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xe446bdb6, "param_ops_short" },
	{ 0xb8e5cb61, "rc_free_device" },
	{ 0xa377db75, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x47dc9a4d, "dvb_frontend_detach" },
	{ 0x021bcd20, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5d9ad47d, "dma_set_coherent_mask" },
	{ 0x5dc28b62, "dvb_net_release" },
	{ 0xfbc87ac0, "dvb_ca_en50221_camready_irq" },
	{ 0x3208cfca, "rc_allocate_device" },
	{ 0xa43af73c, "dma_free_attrs" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfb03bb45, "dvb_unregister_frontend" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xbdeeca3c, "dvb_ca_en50221_camchange_irq" },
	{ 0x3c130845, "i2c_transfer" },
	{ 0xd5da374c, "pci_disable_device" },
	{ 0x8063d731, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7c7c042c, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x0d350a3f, "dvb_unregister_adapter" },
	{ 0x9807d94b, "dvb_dmx_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc10aa9b3, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "39A45134D16E0E2F54BD6EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
