#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x156c8553, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0xa2e3dac0, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x031757bc, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0x7da4fd58, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0xae1a3b31, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x0b9b4a95, "_gpl");
SYMBOL_CRC(is_fw_load, 0x6111cd5c, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0x18dcc70b, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x70ad9829, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x84a4b903, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0x6e0c719f, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0xcc8da66d, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0xf85f27ae, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x8d900230, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x10d69634, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0x0151b777, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0xb09b1995, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0xde25347b, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0xc9a5e94c, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0xa911ee8e, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x26611250, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x300719e5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0e1e63c4, "vb2_queue_init" },
	{ 0x6ccdbdb1, "usb_alloc_urb" },
	{ 0xbae84888, "v4l2_ctrl_poll" },
	{ 0x45241044, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x12baaf9c, "media_device_unregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5b48cb8a, "usb_free_urb" },
	{ 0x37f5c7a2, "devm_kmalloc" },
	{ 0x9e11ee61, "vb2_ioctl_streamoff" },
	{ 0x00751e5e, "v4l2_ctrl_radio_filter" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xbcf6824e, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb72abca6, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xa00805cf, "request_firmware" },
	{ 0x85109759, "usb_register_driver" },
	{ 0xcf6fc28e, "v4l2_ctrl_handler_init_class" },
	{ 0x1ed07e4b, "param_array_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x71db0e62, "__media_device_register" },
	{ 0xe481fcfe, "vb2_ioctl_querybuf" },
	{ 0x5318ae3a, "i2c_transfer_buffer_flags" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x6eaaa96a, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x6c1445fc, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x151a0475, "usb_put_dev" },
	{ 0xa69a6460, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618300d5, "video_devdata" },
	{ 0x765ddfbf, "vb2_fop_release" },
	{ 0x07dd47d5, "cx2341x_handler_setup" },
	{ 0x738803e6, "strnlen" },
	{ 0xf3b78580, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x8413504e, "usb_submit_urb" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0xfbcd1572, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xb878dae4, "media_device_register_entity" },
	{ 0x2eb069c3, "media_device_cleanup" },
	{ 0x461e5dcd, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x572c678d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf7de683b, "i2c_unregister_device" },
	{ 0x0fff54db, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x306a058a, "usb_control_msg" },
	{ 0xb12e8a82, "vb2_buffer_done" },
	{ 0xcb7f1fb5, "vb2_plane_vaddr" },
	{ 0x7b668efd, "v4l2_ctrl_subscribe_event" },
	{ 0xd72955bc, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x84814fe3, "media_entity_pads_init" },
	{ 0x03626db9, "video_unregister_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x176e01bd, "i2c_new_client_device" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0xd05fd60b, "usb_deregister" },
	{ 0xeb0c52ba, "vb2_ioctl_qbuf" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd686a275, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xf8029d78, "v4l2_s_ctrl" },
	{ 0x44d29d0d, "i2c_mux_alloc" },
	{ 0x963ac5da, "vb2_vmalloc_memops" },
	{ 0x2bc95bd4, "memset" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xdba4fd66, "vb2_fop_read" },
	{ 0x12c58a4f, "v4l2_device_register" },
	{ 0x021bcd20, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3208cfca, "rc_allocate_device" },
	{ 0x565f5070, "usb_unlink_urb" },
	{ 0x4363ff46, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x36e473a6, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x89396bf1, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xda73df95, "vb2_ioctl_streamon" },
	{ 0x834f8079, "v4l2_mc_create_media_graph" },
	{ 0x5fe45c50, "vb2_fop_poll" },
	{ 0x212d9c8c, "cx2341x_handler_init" },
	{ 0x75454139, "cx2341x_handler_set_50hz" },
	{ 0x1af2a081, "__media_device_usb_init" },
	{ 0x15a54025, "v4l2_ctrl_handler_free" },
	{ 0x3c130845, "i2c_transfer" },
	{ 0x6dc6a641, "v4l2_device_unregister" },
	{ 0xf93d0d44, "usb_reset_endpoint" },
	{ 0xaa5e17e3, "i2c_mux_del_adapters" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0x3174691f, "v4l2_subdev_call_wrappers" },
	{ 0xfd78c460, "v4l2_ctrl_log_status" },
	{ 0x309c99ff, "v4l2_i2c_new_subdev" },
	{ 0xb212b5b7, "param_ops_int" },
	{ 0xc2188a11, "video_device_release_empty" },
	{ 0xa9922361, "i2c_mux_add_adapter" },
	{ 0x752d8968, "_vb2_fop_release" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc7d76401, "v4l2_event_unsubscribe" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x15a6743e, "vb2_ioctl_reqbufs" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,mc,cx2341x,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "781023BA97FDA02ACD52B72");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
