#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_cdc_update_filter, "_gpl", "");
KSYMTAB_FUNC(usbnet_generic_cdc_bind, "_gpl", "");
KSYMTAB_FUNC(usbnet_ether_cdc_bind, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_unbind, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_status, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_bind, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_zte_rx_fixup, "_gpl", "");

SYMBOL_CRC(usbnet_cdc_update_filter, 0xd70c8742, "_gpl");
SYMBOL_CRC(usbnet_generic_cdc_bind, 0x73d6dc05, "_gpl");
SYMBOL_CRC(usbnet_ether_cdc_bind, 0x8e1b5fc6, "_gpl");
SYMBOL_CRC(usbnet_cdc_unbind, 0x664e66ce, "_gpl");
SYMBOL_CRC(usbnet_cdc_status, 0x59a9ed78, "_gpl");
SYMBOL_CRC(usbnet_cdc_bind, 0x2123b6eb, "_gpl");
SYMBOL_CRC(usbnet_cdc_zte_rx_fixup, 0x3ace6d60, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x306a058a, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6c0efa0b, "usb_driver_release_interface" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x416d101c, "cdc_parse_cdc_header" },
	{ 0xa4b402de, "usb_ifnum_to_if" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0x91ef162e, "usb_driver_claim_interface" },
	{ 0xd73a5178, "usbnet_get_endpoints" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x85109759, "usb_register_driver" },
	{ 0xd05fd60b, "usb_deregister" },
	{ 0xe69f5988, "usbnet_link_change" },
	{ 0xb6925a84, "__dynamic_netdev_dbg" },
	{ 0xbf04285d, "netdev_err" },
	{ 0x83934cdb, "netif_carrier_off" },
	{ 0x96dd67a5, "usbnet_get_ethernet_addr" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x0f519737, "dev_addr_mod" },
	{ 0xb4931f53, "usbnet_probe" },
	{ 0x507f4b4f, "usbnet_disconnect" },
	{ 0xf3373f47, "usbnet_suspend" },
	{ 0xc794f9d0, "usbnet_resume" },
	{ 0xecfea063, "usbnet_manage_power" },
	{ 0x549ca04d, "usbnet_get_drvinfo" },
	{ 0x226b9548, "usbnet_get_msglevel" },
	{ 0x236e5b5e, "usbnet_set_msglevel" },
	{ 0x5b2a19dc, "usbnet_nway_reset" },
	{ 0xe97c36ec, "usbnet_get_link" },
	{ 0xd775177c, "ethtool_op_get_ts_info" },
	{ 0x93c5b8a8, "usbnet_get_link_ksettings_internal" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet");

MODULE_ALIAS("usb:v04DDp8004d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8005d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8005d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp8006d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8006d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp8007d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8007d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp9031d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp9032d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp9032d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp9050d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v07B4p0F02d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1004p61AAd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v046DpC11Fd*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v1410pB001d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1410p9010d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp8195d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp8196d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp819Bd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1410p9011d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v03F0p421Dd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v16D5p650Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v12D1p14ACd*dc*dsc*dp*ic*isc*ip*in01*");
MODULE_ALIAS("usb:v0BDAp8153d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v17EFp721Ed*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v17EFpA359d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1003d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1015d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1173d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1177d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1181d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1BC7p*d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp81BAd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v12D1p15C1d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1143d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1104d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1313d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1343d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp0061d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp0055d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp005Bd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp0069d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc06ipFFin*");

MODULE_INFO(srcversion, "22D0D7480E4D8DAB6846E55");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
