#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7615_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_set_channel, 0xb76c8886, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_add, 0xfe7a5afe, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0xb060958a, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x19e57d53, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0x8b29846a, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x8d581e16, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0xdb73858d, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0xfa9a07fa, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0x9318cade, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0xc61dc4a8, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0xd7ef9a13, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x9d4fbdb6, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x9e648740, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0x57a252b6, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0x18e435b3, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0xdd6b947d, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x47e70e9d, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0xa26e7163, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0x231a28d3, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x24407f99, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0xe062a9af, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x315ea3f2, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0xeae4947f, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0xb2a75212, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x6fa9ecd0, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0xf594cfdb, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0x2993f41a, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0xc4d91a23, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0xf8def984, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x6d0bafce, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0x9fa46f20, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68a8ee9a, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x0e1abc44, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x2978f811, "mt76_update_channel" },
	{ 0x07c0db2d, "ieee80211_sta_register_airtime" },
	{ 0x1044413b, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x81f3e770, "mt76_connac_mcu_sta_tlv" },
	{ 0x4e839d35, "device_set_wakeup_enable" },
	{ 0x20ffced5, "mt76_tx_worker_run" },
	{ 0xdbef3f2e, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1a3cb891, "mt76_tx_status_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x61b08416, "simple_attr_open" },
	{ 0x1a312c7d, "ieee80211_iterate_interfaces" },
	{ 0xba530b38, "debugfs_attr_write" },
	{ 0x4e137d3e, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x29b37b7b, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x37f5c7a2, "devm_kmalloc" },
	{ 0xbbd61445, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xcab8b117, "firmware_request_nowarn" },
	{ 0x389f59cc, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x0ca9f174, "mt76_tx_status_skb_get" },
	{ 0x1d6b93bc, "trace_raw_output_prep" },
	{ 0x6dabc046, "mt76_tx_status_lock" },
	{ 0x210f6850, "__trace_trigger_soft_disabled" },
	{ 0xa37b68da, "mt76_connac_mcu_set_rts_thresh" },
	{ 0xfe292cf1, "debugfs_create_u16" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x1ffdab74, "ieee80211_free_hw" },
	{ 0x95a7931d, "mt76_connac_mcu_set_channel_domain" },
	{ 0x5e4b07cf, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2b69a21f, "mt76_release_buffered_frames" },
	{ 0xa00805cf, "request_firmware" },
	{ 0x770f15d0, "trace_event_printf" },
	{ 0xf9debdab, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x17ee919d, "__tracepoint_mac_txdone" },
	{ 0xf62a12df, "mt76_connac_pm_wake" },
	{ 0x71be7566, "mt76_get_rate" },
	{ 0x15991375, "mt76_wake_tx_queue" },
	{ 0x06c5c966, "ieee80211_tx_status_ext" },
	{ 0x622cc291, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x86fa42fe, "mt76_connac_mcu_chip_config" },
	{ 0x7eaa607b, "mt76_get_antenna" },
	{ 0x037a0cba, "kfree" },
	{ 0xd06e52ad, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0x5c72e189, "__mt76_tx_complete_skb" },
	{ 0x63f982a2, "pcpu_hot" },
	{ 0x05f02345, "seq_lseek" },
	{ 0xc211e6e7, "mt76_set_stream_caps" },
	{ 0x18984699, "ieee80211_emulate_change_chanctx" },
	{ 0xef1ffaed, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x320974d0, "ieee80211_get_hdrlen_from_skb" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x075c31fc, "mt76_connac_mcu_update_arp_filter" },
	{ 0x0d3782a7, "mt76_connac_mcu_set_vif_ps" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0xb7e7e75b, "mt76_mcu_rx_event" },
	{ 0xbfff5d80, "mt76_alloc_phy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x690923c3, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab8705ae, "mt76_wcid_init" },
	{ 0x3caa64ab, "mt76_tx_status_check" },
	{ 0x37a1ec83, "wake_up_process" },
	{ 0x7d3e4483, "mt76_connac_free_pending_tx_skbs" },
	{ 0xe65d9ffa, "skb_queue_purge_reason" },
	{ 0xcbd495ac, "mt76_connac_power_save_sched" },
	{ 0xcbcec5f4, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xab5baddd, "cfg80211_reg_check_beaconing" },
	{ 0x72cd6fd3, "ieee80211_send_bar" },
	{ 0x237f082d, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x834c41f3, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x339736fe, "debugfs_create_devm_seqfile" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x2ca8c321, "mt76_tx" },
	{ 0x923e884a, "mt76_wcid_add_poll" },
	{ 0x1d29a975, "__napi_schedule" },
	{ 0x738803e6, "strnlen" },
	{ 0x19b4aa3e, "__alloc_skb" },
	{ 0x64acc707, "mt76_connac_mcu_set_mac_enable" },
	{ 0x09af842d, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xdd5fb083, "mt76_wcid_key_setup" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0x6578aabb, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xbca50191, "mt76_rx" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x2eae4a9b, "mt76_connac_mcu_sched_scan_req" },
	{ 0x4abd79be, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0xe36f17b0, "mt76_connac_mcu_uni_add_bss" },
	{ 0xe94a8d34, "mt76_phy_dfs_state" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x6731e24b, "wiphy_to_ieee80211_hw" },
	{ 0xeda50e57, "debugfs_attr_read" },
	{ 0xb7fff957, "mt76_connac_mcu_hw_scan" },
	{ 0xaebde8a2, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x583343e3, "ieee80211_queue_delayed_work" },
	{ 0xe6c89b74, "mt76_eeprom_init" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xee9dfa8b, "perf_trace_run_bpf_submit" },
	{ 0x572c678d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x0accca2c, "simple_open" },
	{ 0x438e49cd, "skb_pull" },
	{ 0x3090432b, "debugfs_create_file_unsafe" },
	{ 0xc9a0ca91, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x760682b4, "simple_attr_release" },
	{ 0x07745a9d, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7d82a252, "of_property_read_bool" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x80c04bb3, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x652032cb, "mac_pton" },
	{ 0x0fe73b94, "ieee80211_remain_on_channel_expired" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xab285bf2, "skb_push" },
	{ 0x8011ea5f, "seq_putc" },
	{ 0x04363e79, "trace_event_reg" },
	{ 0xfafe0614, "mutex_is_locked" },
	{ 0x4886225f, "ieee80211_wake_queues" },
	{ 0x15b3aa21, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcf1c3eee, "ieee80211_beacon_get_template" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x637ac720, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xcae61826, "dev_coredumpv" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xc623beb9, "__mt76_mcu_msg_alloc" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x9793c6be, "mt76_connac_pm_dequeue_skbs" },
	{ 0x630607b2, "mt76_connac_mcu_set_pm" },
	{ 0x923a4d54, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x4ce20670, "devm_hwmon_device_register_with_groups" },
	{ 0x4a0781f0, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xf9f8df9a, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb74054d5, "debugfs_create_u32" },
	{ 0x935385a8, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xbf5ffc26, "mt76_connac_mcu_start_patch" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x995784b5, "mt76_sta_state" },
	{ 0x29b935e4, "ieee80211_ready_on_channel" },
	{ 0xefdc7526, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc80797b0, "mt76_connac_mcu_del_wtbl_all" },
	{ 0x6d29b2c2, "mt76_connac_mcu_init_download" },
	{ 0xd1893901, "devm_kasprintf" },
	{ 0x40e3b634, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6340a778, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x07a37acc, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xd3731a1c, "mt76_get_rate_power_limits" },
	{ 0x9bb7737d, "trace_event_buffer_reserve" },
	{ 0xe85ff11b, "ieee80211_sched_scan_results" },
	{ 0xd6f37a45, "ieee80211_scan_completed" },
	{ 0xec00b1c2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xfba04cda, "mt76_insert_ccmp_hdr" },
	{ 0x0d02b710, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3f08e133, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12bff1f1, "mt76_sw_scan_complete" },
	{ 0x7eec82a1, "mt76_rx_aggr_start" },
	{ 0xa9909315, "seq_write" },
	{ 0x83a558fe, "mt76_connac_mcu_start_firmware" },
	{ 0x48c33cb5, "____mt76_poll_msec" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x27ebb461, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a8bc3dc, "mt76_connac_mcu_rdd_cmd" },
	{ 0x7b116a45, "seq_printf" },
	{ 0x1a1d54b3, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe6e46a16, "mt76_get_sar_power" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x86803c6c, "mt76_unregister_phy" },
	{ 0x8c485c45, "debugfs_create_file_full" },
	{ 0xfcdd39c0, "mt76_register_phy" },
	{ 0xaaa735a1, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0x056b7758, "mt76_put_txwi" },
	{ 0x5a9a65cf, "mt76_wcid_cleanup" },
	{ 0x7ea9f42b, "ieee80211_radar_detected" },
	{ 0x505f0e0b, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x9a44cc1e, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x79ac2cd9, "single_release" },
	{ 0x55f5e957, "mt76_sw_scan" },
	{ 0x2a74eb03, "mt76_queues_read" },
	{ 0x146d1d98, "mt76_connac_mcu_set_hif_suspend" },
	{ 0xe620fb90, "mt76_sta_pre_rcu_remove" },
	{ 0xb176415e, "mt76_register_debugfs_fops" },
	{ 0x62881144, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0xc3cfd0dc, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0xa82f318e, "mt76_connac_mcu_sta_ba" },
	{ 0x5b30ab33, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0xbfadfdd7, "ieee80211_queue_work" },
	{ 0x36ab520a, "napi_schedule_prep" },
	{ 0xaaf41bdd, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x644bef86, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0xacde613c, "__mt76_poll" },
	{ 0x99b2c3f3, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x426bfa19, "debugfs_create_u8" },
	{ 0x51d47a59, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x606f97bc, "generic_file_llseek" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xaa3bfc8b, "ieee80211_emulate_remove_chanctx" },
	{ 0x1c63c099, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4eaadd00, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0xc440ae57, "ieee80211_csa_finish" },
	{ 0x92b57248, "flush_work" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "920BD3EE78CE45EF33571D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
