#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0x53d705dd, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x8fe18175, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0xd6527bf4, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0x275a3efc, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x0f6edb75, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0xcd4659a5, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0xd9c695a6, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x47bc9a93, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0x34281493, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x8e9ddf56, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x57d0fe90, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0x2d652120, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0xd0dee541, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xdbc3accb, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x1b33a30c, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x6a18a6bb, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0xf4d750d8, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x563ed057, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x8a72c697, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x45a4bf17, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdbef3f2e, "mt76_init_sar_power" },
	{ 0xceba8557, "mt76x02_phy_adjust_vga_gain" },
	{ 0x009df402, "mt76x02_phy_dfs_adjust_agc" },
	{ 0x37f5c7a2, "devm_kmalloc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8dc2e00f, "mt76x02_ext_pa_enabled" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x217adaa9, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea1f5883, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xe6c89b74, "mt76_eeprom_init" },
	{ 0x572c678d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7d82a252, "of_property_read_bool" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xd51859b7, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x15b3aa21, "mt76_mcu_send_and_get_msg" },
	{ 0x637ac720, "mt76_eeprom_override" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4c065642, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe6e46a16, "mt76_get_sar_power" },
	{ 0xffac22d8, "mt76x02_eeprom_copy" },
	{ 0x40b5db3b, "mt76x02_mcu_calibrate" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x048d2f7f, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x1c63c099, "mt76_get_min_avg_rssi" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211");


MODULE_INFO(srcversion, "80F7976F489C71A568DEF6A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
