#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0xb178899f, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x742db904, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0x55ad7f1f, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x9a4ffaa4, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0xff28ae43, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x99227d92, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x388ed779, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0x3435ce9d, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x95996476, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0xfc18292f, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0xa41fc457, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0xac257b4a, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x5fd1f2bb, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0xe2cd3249, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x6f21fbaf, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0x0852eb45, "");
SYMBOL_CRC(rtw89_pm_ops, 0xbfea1ca3, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0x6db590a2, "");
SYMBOL_CRC(rtw89_pci_probe, 0x94ec3084, "");
SYMBOL_CRC(rtw89_pci_remove, 0x64c719e5, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0xe3545cdc, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0xd93c7c01, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0x909f42e7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xded3e254, "pcie_capability_read_word" },
	{ 0x9d1b2453, "pci_find_ext_capability" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x167aa76f, "rtw89_alloc_ieee80211_hw" },
	{ 0xab5a5a54, "devm_request_threaded_irq" },
	{ 0x579f4883, "pci_enable_device" },
	{ 0xbbd61445, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x389f59cc, "consume_skb" },
	{ 0xa679fc25, "pci_iomap" },
	{ 0x73255724, "pci_alloc_irq_vectors" },
	{ 0x065b45cb, "complete" },
	{ 0xd73406bc, "skb_dequeue" },
	{ 0xd4148161, "dma_unmap_page_attrs" },
	{ 0x6d03191c, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x63f982a2, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x29f725b3, "rtw89_core_napi_init" },
	{ 0x0f1d406a, "rtw89_core_unregister" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe0a86515, "dev_driver_string" },
	{ 0x558ccd27, "ieee80211_tx_status_skb" },
	{ 0x42d809dd, "pci_read_config_dword" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2d6f7293, "dma_map_page_attrs" },
	{ 0x1c9570b0, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x0aea3dc0, "devm_free_irq" },
	{ 0x1d29a975, "__napi_schedule" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0x06403cfb, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x9f626062, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd86c354d, "__dma_sync_single_for_cpu" },
	{ 0x572c678d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2d37573a, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8227c64a, "rtw89_core_napi_deinit" },
	{ 0x420eabe4, "mem_section" },
	{ 0xab285bf2, "skb_push" },
	{ 0xd85d05ea, "dma_alloc_attrs" },
	{ 0x23ac0063, "rtw89_free_ieee80211_hw" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf12bbf2f, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x60279153, "pci_iounmap" },
	{ 0xe3f57b04, "rtw89_debug_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0xa377db75, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65999e13, "rtw89_ser_notify" },
	{ 0xd25a2770, "__netdev_alloc_skb" },
	{ 0x0daac763, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x47ac968f, "skb_unlink" },
	{ 0x5d9ad47d, "dma_set_coherent_mask" },
	{ 0x37264695, "rtw89_core_register" },
	{ 0xa43af73c, "dma_free_attrs" },
	{ 0x5ec25b0e, "rtw89_core_rx" },
	{ 0x3f08e133, "param_ops_bool" },
	{ 0xc1431ba9, "pci_release_regions" },
	{ 0x7991fe92, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x0c3b80a1, "rtw89_core_deinit" },
	{ 0x6084dbd1, "pci_write_config_byte" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xd5da374c, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2f846301, "dma_set_mask" },
	{ 0x36ab520a, "napi_schedule_prep" },
	{ 0x7c7c042c, "pci_read_config_byte" },
	{ 0x5c559dd2, "dev_kfree_skb_any_reason" },
	{ 0x19f1ef31, "rtw89_debug" },
	{ 0x4dd4b9be, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb21f9a0f, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2a896644, "rtw89_chip_info_setup" },
	{ 0xa4bfb269, "rtw89_mac_get_err_status" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "00866704F62F67B8680AC87");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
