#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x22b82525, "");
SYMBOL_CRC(ntb_unregister_client, 0xfac9b525, "");
SYMBOL_CRC(ntb_register_device, 0x0ee7503d, "");
SYMBOL_CRC(ntb_unregister_device, 0x6f2c1c9b, "");
SYMBOL_CRC(ntb_set_ctx, 0xbc32fd4c, "");
SYMBOL_CRC(ntb_clear_ctx, 0x47ce7297, "");
SYMBOL_CRC(ntb_link_event, 0xe49ddf96, "");
SYMBOL_CRC(ntb_db_event, 0x9fc9855a, "");
SYMBOL_CRC(ntb_msg_event, 0xd06ed00e, "");
SYMBOL_CRC(ntb_default_port_number, 0xc7d01e76, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x69fd4912, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x50f53a09, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0xf7cbd3d6, "");
SYMBOL_CRC(ntb_msi_init, 0x1f0c2f04, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x8c25eddf, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x66348cc3, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x82672fa0, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xf0c69c2f, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x15ba1bc6, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x0dc70c98, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f7e6040, "irq_has_action" },
	{ 0xab5a5a54, "devm_request_threaded_irq" },
	{ 0x37f5c7a2, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x973224a8, "dev_set_name" },
	{ 0x065b45cb, "complete" },
	{ 0xb4f8594c, "devm_iounmap" },
	{ 0xbca80c17, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x80d88143, "devres_destroy" },
	{ 0xa7305e4c, "msi_unlock_descs" },
	{ 0x3ca7a397, "devm_ioremap" },
	{ 0xce9bfc83, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xaad5a59b, "msi_lock_descs" },
	{ 0xbda5f0d9, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9aed6c2f, "put_device" },
	{ 0x0aea3dc0, "devm_free_irq" },
	{ 0x734efd66, "bus_unregister" },
	{ 0x6b96000b, "devm_kfree" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x63c93b44, "irq_get_irq_data" },
	{ 0x151cf38b, "__devres_alloc_node" },
	{ 0xce9e1334, "driver_unregister" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb9cf6bde, "device_register" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3aee7efa, "msi_domain_first_desc" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x474a3d1e, "msi_next_desc" },
	{ 0xf06366b6, "driver_register" },
	{ 0x52f3d335, "bus_register" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A412D77824E7022E588C0B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
