#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cros_ec_lpc_io_bytes_mec, "", "");
KSYMTAB_FUNC(cros_ec_lpc_mec_init, "", "");
KSYMTAB_FUNC(cros_ec_lpc_mec_acpi_mutex, "", "");

SYMBOL_CRC(cros_ec_lpc_io_bytes_mec, 0x4f29664f, "");
SYMBOL_CRC(cros_ec_lpc_mec_init, 0xc4ebc6b3, "");
SYMBOL_CRC(cros_ec_lpc_mec_acpi_mutex, 0x99f1509c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29962083, "cros_ec_get_next_event" },
	{ 0xd2e28fac, "is_acpi_device_node" },
	{ 0xc5391ada, "cros_ec_suspend_late" },
	{ 0x37f5c7a2, "devm_kmalloc" },
	{ 0x1384a34c, "platform_driver_unregister" },
	{ 0x3ca7a397, "devm_ioremap" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0xabae7ad8, "cros_ec_resume_early" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5495e5f3, "cros_ec_resume_complete" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x03c7c114, "__devm_request_region" },
	{ 0xd56b0768, "cros_ec_suspend_prepare" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x439cfd18, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6af510d4, "cros_ec_register" },
	{ 0xe14d10f8, "platform_device_register" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x311d2f60, "kobject_uevent_env" },
	{ 0x572c678d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x50e716ce, "platform_device_unregister" },
	{ 0x3d366a51, "acpi_device_get_match_data" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x122945f6, "cros_ec_unregister" },
	{ 0x5027bde2, "acpi_acquire_mutex" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0x52c2fe9c, "cros_ec_prepare_tx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe7affc62, "__hw_protection_shutdown" },
	{ 0x515083bf, "acpi_release_mutex" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x544ce266, "__platform_driver_register" },
	{ 0x5fc3a967, "_dev_emerg" },
	{ 0xeb7f6046, "acpi_get_devices" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xdc8b1448, "acpi_fetch_acpi_dev" },
	{ 0x2da52a76, "platform_get_irq_optional" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc920ea2c, "cros_ec_check_result" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x58820932, "set_primary_fwnode" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "cros_ec");

MODULE_ALIAS("acpi*:GOOG0004:*");
MODULE_ALIAS("acpi*:FRMWC004:*");
MODULE_ALIAS("dmi*:bvn*coreboot*:bvr*Google_*:");
MODULE_ALIAS("dmi*:bvn*coreboot*:svn*GOOGLE*:");
MODULE_ALIAS("dmi*:svn*GOOGLE*:pn*Link*:");
MODULE_ALIAS("dmi*:svn*GOOGLE*:pn*Samus*:");
MODULE_ALIAS("dmi*:svn*Acer*:pn*Peppy*:");
MODULE_ALIAS("dmi*:svn*GOOGLE*:pn*Glimmer*:");
MODULE_ALIAS("dmi*:svn*Framework*:pn*Laptop*:");
MODULE_ALIAS("dmi*:svn*Framework*:pn*Laptop(12thGenIntelCore)*:");
MODULE_ALIAS("dmi*:svn*Framework*:pn*Laptop(13thGenIntelCore)*:");
MODULE_ALIAS("dmi*:svn*Framework*:");

MODULE_INFO(srcversion, "5001EDBA6ACD9A8ECD322AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
