#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(teedev_open, "_gpl", "");
KSYMTAB_FUNC(teedev_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_session_calc_client_uuid, "_gpl", "");
KSYMTAB_FUNC(tee_device_alloc, "_gpl", "");
KSYMTAB_FUNC(tee_device_set_dev_groups, "_gpl", "");
KSYMTAB_FUNC(tee_device_register, "_gpl", "");
KSYMTAB_FUNC(tee_device_unregister, "_gpl", "");
KSYMTAB_FUNC(tee_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_get_version, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_system_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_invoke_func, "_gpl", "");
KSYMTAB_DATA(tee_bus_type, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_priv_buf, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_alloc_helper, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_free_helper, "_gpl", "");
KSYMTAB_FUNC(tee_shm_register_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_free, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_va, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_pa, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_from_id, "_gpl", "");
KSYMTAB_FUNC(tee_shm_put, "_gpl", "");
KSYMTAB_FUNC(tee_shm_pool_alloc_res_mem, "_gpl", "");

SYMBOL_CRC(teedev_open, 0xd772bd37, "_gpl");
SYMBOL_CRC(teedev_close_context, 0x9be2f381, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0x406e265c, "_gpl");
SYMBOL_CRC(tee_device_set_dev_groups, 0x43038e1d, "_gpl");
SYMBOL_CRC(tee_device_register, 0xb5e76369, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0x4cafb237, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0xe431b55d, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0x0793c610, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0x1e3728eb, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0x519bc8eb, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0x51cd8881, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0x4fcdedc5, "_gpl");
SYMBOL_CRC(tee_client_system_session, 0x30d63609, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0x31918061, "_gpl");
SYMBOL_CRC(tee_bus_type, 0x7daa508b, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0x44288fa1, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0x0fb4ae09, "_gpl");
SYMBOL_CRC(tee_dyn_shm_alloc_helper, 0x3b2cc0ba, "_gpl");
SYMBOL_CRC(tee_dyn_shm_free_helper, 0x66bbb149, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0x6fd9706d, "_gpl");
SYMBOL_CRC(tee_shm_free, 0x81a3994c, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0x43b45a78, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0x29500703, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0xc05e168f, "_gpl");
SYMBOL_CRC(tee_shm_put, 0x75efe137, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0x4487eb21, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x973224a8, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0x3e55dc6e, "gen_pool_create" },
	{ 0x6291621d, "cdev_device_del" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x9233c07b, "idr_replace" },
	{ 0x8ae7a3c9, "device_initialize" },
	{ 0xb659bfdd, "unpin_user_pages" },
	{ 0xd449e949, "remap_pfn_range" },
	{ 0x037a0cba, "kfree" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcbef5fab, "crypto_destroy_tfm" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x58439a52, "gen_pool_destroy" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xb9abc446, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x95b4da4f, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9aed6c2f, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd26697ed, "const_pcpu_hot" },
	{ 0x64b6db4e, "iov_iter_extract_pages" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x734efd66, "bus_unregister" },
	{ 0x572c678d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x8dec9555, "iov_iter_kvec" },
	{ 0x64533c44, "crypto_shash_update" },
	{ 0x2cbfc768, "class_unregister" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0xd98a518a, "alloc_pages_exact_noprof" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xa6b67c07, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc3f1b646, "make_kgid" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x979966b2, "crypto_shash_final" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xdddbd26c, "gen_pool_free_owner" },
	{ 0x2f520c14, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0xee8340b9, "gen_pool_alloc_algo_owner" },
	{ 0x110f2199, "gen_pool_first_fit_align" },
	{ 0x02ee26c1, "free_pages_exact" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x79cfb346, "gen_pool_virt_to_phys" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0xd3d00775, "crypto_alloc_shash" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc6c83c49, "iov_iter_npages" },
	{ 0x826480dd, "class_register" },
	{ 0x2f645873, "cdev_init" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x52f3d335, "bus_register" },
	{ 0xbf0f457c, "class_find_device" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F990AB9E202D0939F5B8C9E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
