#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x944d524c, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xb72411ac, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x816a0f90, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x13112bba, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x705d0c6d, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xfb93ada3, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xe8f3e037, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x6cfe9c37, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x6c10c4e7, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x8f3f1de5, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xda9e89a8, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xf5e5cdbe, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xa02df320, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x3e17a569, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x167c56bc, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xeb9187f8, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xeac47593, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x31c888f7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x56112330, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xaa4efe6d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x66ee8403, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xd3ed5ecf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x79ebf1ac, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x56afe493, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xe0e42189, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x677272e3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x41f27686, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x25def883, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x46c5676c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x91448dab, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xf2f18d16, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x53ee0c99, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xb8878ec2, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x513a32eb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x6f561f2e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xca6d8489, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x38bfa05d, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xb4b58111, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x643afe4c, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x9e902921, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x75e1c462, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x9d57c633, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x6dcb011f, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0xd16b535f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg, 0xf0a5b199, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x3599162f, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0xbdd939c6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg_err, 0x87ed16c4, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x911575bb, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0x2a408986, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg, 0xa37b1177, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x0fd80e57, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x5d9146c1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg_err, 0xe1bc35e8, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xe03be88a, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x4a58dad8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(__SCT__tp_func_fl_getdevinfo, 0x6f27cded, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xe16f30ba, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x741951a3, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x8a7ad382, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xad1ed670, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x29968da1, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xf843e037, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xd559fd9c, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x93bdfa2e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x9c97690d, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x3b19d1f8, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x4c542e3d, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x85270bc0, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x7362dc0d, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x2e5445c7, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xd565cd9d, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x5df27f84, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x1c3ca93f, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xb1f8cc01, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x65b9c705, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x7614a2c4, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x0bc639f3, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x250e2ea6, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x03cff0e8, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xb990219e, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x28ca3614, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x6878bd3f, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x73504817, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xa6022267, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x22bae3aa, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x9c070064, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xdb1e091d, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x5c8a24b0, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x735ce0c1, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x8ab8e7e6, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x0211f206, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xac830ee8, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x44848c50, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xf9607103, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xc3f0a983, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0xc6426818, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x33d5c632, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xe851fbbf, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x6aa2ec57, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x88dfcb93, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x94daa797, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x72f29981, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xaef10293, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x1fbd395f, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x067fc869, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeab43a69, "rpc_put_task" },
	{ 0x21955cf8, "nfs4_stat_to_errno" },
	{ 0x9c9b500d, "svc_generic_rpcbind_set" },
	{ 0x3063f5a2, "nfs_clone_server" },
	{ 0x57649777, "nfs_access_add_cache" },
	{ 0x497bf881, "filemap_fdatawrite" },
	{ 0x51a0189f, "nfs_show_stats" },
	{ 0x3cab346a, "nfs_server_remove_lists" },
	{ 0xcf97afb1, "shrinker_alloc" },
	{ 0xfc9c6bae, "nfs42_ssc_unregister" },
	{ 0x271eadff, "generic_listxattr" },
	{ 0x05b19fea, "try_module_get" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x0ece9549, "nfs_writeback_update_inode" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x11fc5275, "clear_inode" },
	{ 0xc6e3c3f3, "inode_to_bdi" },
	{ 0x1e3865b8, "bpf_trace_run4" },
	{ 0x85d80900, "user_destroy" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x4b7a0713, "param_ops_uint" },
	{ 0x2c4a42d7, "user_revoke" },
	{ 0x3165836e, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb09ea859, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x7bd32795, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb6777e9a, "rpc_clnt_probe_trunked_xprts" },
	{ 0xc6572d74, "nfs_pageio_reset_read_mds" },
	{ 0xc3376dfb, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7550c82d, "rpc_shutdown_client" },
	{ 0x8111740f, "svc_bind" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb2f73c95, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x4161e916, "nfs_wait_bit_killable" },
	{ 0x7b2e6c86, "nfs_free_inode" },
	{ 0x94b5d131, "nfs_access_zap_cache" },
	{ 0x116f3e36, "nfs_sb_deactive" },
	{ 0xe78b2b40, "nfs_wb_all" },
	{ 0xa69f8bb8, "__break_lease" },
	{ 0x8a323f21, "nfs_pageio_init_write" },
	{ 0xcd655d74, "svc_recv" },
	{ 0xb97ba1a5, "nfs_drop_inode" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0x723125fd, "xdr_inline_decode" },
	{ 0x0845b5bd, "nfs_pageio_init_read" },
	{ 0x1d6b93bc, "trace_raw_output_prep" },
	{ 0x7004f794, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x14a6e401, "nfs_init_commit" },
	{ 0x8d44f8c5, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x0c7506a4, "bpf_trace_run6" },
	{ 0x319d0567, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x2b16fd93, "rpc_net_ns" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x210f6850, "__trace_trigger_soft_disabled" },
	{ 0x1b4c7005, "nfs_mknod" },
	{ 0x5ef30130, "nfs_inode_attach_open_context" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xe1fad033, "nfs4_label_alloc" },
	{ 0xcbe63ac2, "rpc_localaddr" },
	{ 0xc96902c8, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x770f15d0, "trace_event_printf" },
	{ 0x582023a2, "nfs_access_get_cached" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9233c07b, "idr_replace" },
	{ 0xb22cf013, "nfs_lock" },
	{ 0x54c786ac, "unregister_key_type" },
	{ 0x945f5824, "nfs_client_init_is_complete" },
	{ 0x94a49783, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x285720b8, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x622cc291, "trace_event_raw_init" },
	{ 0xaaa5980a, "user_preparse" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x97b8dcc0, "ihold" },
	{ 0x3dfb3b9f, "truncate_pagecache_range" },
	{ 0xad5fcbf1, "rpc_peeraddr" },
	{ 0x037a0cba, "kfree" },
	{ 0x5341978c, "invalidate_inode_pages2_range" },
	{ 0xb8afcb6c, "nfs_post_op_update_inode" },
	{ 0xcf733fd5, "svc_exit_thread" },
	{ 0x76f64961, "iput" },
	{ 0x90612dc5, "xdr_set_pagelen" },
	{ 0x63f982a2, "pcpu_hot" },
	{ 0x7d97e76f, "nfs_pgio_header_free" },
	{ 0xa202f0a9, "nfs_request_add_commit_list_locked" },
	{ 0x0cb39ef5, "add_wait_queue" },
	{ 0xd39ccdf7, "logfc" },
	{ 0xe1647db4, "nfs_pgio_header_alloc" },
	{ 0x2dfb6d51, "iter_file_splice_write" },
	{ 0xca2d5337, "rpc_pton" },
	{ 0xd5d3fa56, "nfs_sb_active" },
	{ 0xd4d251f3, "mod_node_page_state" },
	{ 0x17cc1b6b, "rpc_ntop" },
	{ 0x67f401e3, "rpc_wake_up_queued_task" },
	{ 0xef1ffaed, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x76f0dfa4, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x23b35b06, "rpc_restart_call_prepare" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x6818625c, "_copy_from_pages" },
	{ 0x66245cc5, "__module_get" },
	{ 0xe7336905, "rpc_task_release_transport" },
	{ 0xe6c0a7df, "xdr_page_pos" },
	{ 0x7b3429bf, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x4148dd9d, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x0e50b941, "key_instantiate_and_link" },
	{ 0xd9497d10, "trace_print_hex_seq" },
	{ 0x462a2e75, "match_strlcpy" },
	{ 0x1bc6cd8e, "xdr_read_pages" },
	{ 0x065994f1, "xdr_encode_opaque_fixed" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xa129020e, "register_key_type" },
	{ 0xc8c67f00, "rpc_sleep_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x8635a832, "rpc_run_task" },
	{ 0xf2edbae1, "nfs_pageio_resend" },
	{ 0x735e39d4, "keyring_alloc" },
	{ 0x3848c0e2, "vfs_setpos" },
	{ 0xd869828e, "nfs_create" },
	{ 0xc9c2d160, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc3d9de55, "__put_cred" },
	{ 0xb0f86393, "nfs_update_delegated_mtime" },
	{ 0x3229ceec, "nfs_statfs" },
	{ 0x37a1ec83, "wake_up_process" },
	{ 0x3c2c4729, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x699b37ba, "splice_file_range" },
	{ 0x4f5e315e, "rpc_max_bc_payload" },
	{ 0xcbcec5f4, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xaba8180d, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xae07bfdd, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0x33fbd40b, "nfs_mkdir" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x72d65a87, "nfs_revalidate_inode" },
	{ 0x8ebe1b77, "inode_newsize_ok" },
	{ 0x404745da, "nfs_file_mmap" },
	{ 0x4981a3a0, "nfs_get_lock_context" },
	{ 0x4d5fc18a, "d_drop" },
	{ 0x070f7896, "_printk" },
	{ 0xe9323fe0, "nfs_set_cache_invalid" },
	{ 0xd756850a, "rpc_release_client" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa84d6e7e, "rpc_clnt_manage_trunked_xprts" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xfb6565f6, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x933d9bde, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x845779be, "unregister_sysctl_table" },
	{ 0x618eef9f, "nfs_generic_pgio" },
	{ 0xf08f3624, "make_kuid" },
	{ 0xaa558a45, "truncate_inode_pages_final" },
	{ 0xc542e235, "generic_setlease" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0xe2f5833a, "xprt_destroy_backchannel" },
	{ 0x49a34cc0, "rpc_switch_client_transport" },
	{ 0x738803e6, "strnlen" },
	{ 0x6f219eeb, "nfs_scan_commit_list" },
	{ 0x4d412dd9, "xdr_stream_decode_string_dup" },
	{ 0x2e926e41, "nfs_commit_inode" },
	{ 0x426130a4, "shrinker_register" },
	{ 0x4ce673b6, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0xd26697ed, "const_pcpu_hot" },
	{ 0x97798714, "rpc_destroy_pipe_data" },
	{ 0x56ea71a8, "nfs_get_client" },
	{ 0x99b37398, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xf9f3f380, "security_release_secctx" },
	{ 0x86a600d9, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x03a90467, "nfs_atomic_open" },
	{ 0x1b21276d, "rpc_pipe_generic_upcall" },
	{ 0xfad5b7cb, "nfs_file_fsync" },
	{ 0x03a9a324, "module_put" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xec1917e8, "mntput" },
	{ 0x8e50c1ee, "nfs_put_lock_context" },
	{ 0x75c74aa1, "nfs_rename" },
	{ 0x220444fd, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x1507cc38, "__kmap_local_page_prot" },
	{ 0x13ece2b9, "nfs_sysfs_link_rpc_client" },
	{ 0x9fcef03f, "nfs_put_client" },
	{ 0x2583ba7c, "nfs_show_options" },
	{ 0xe7b9e263, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xa1f27b19, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x1ff052db, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xe61f2d53, "get_nfs_open_context" },
	{ 0xee9dfa8b, "perf_trace_run_bpf_submit" },
	{ 0x3f0e8b53, "nfs_clear_verifier_delegated" },
	{ 0xf407ce28, "nfs_sysfs_add_server" },
	{ 0x03b2e369, "fput" },
	{ 0x094f0e83, "down_write" },
	{ 0x83428da7, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x43412359, "nfs_do_submount" },
	{ 0x5a05fa28, "vfs_dup_fs_context" },
	{ 0xbd0650de, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0x5169bc7a, "request_key_with_auxdata" },
	{ 0xb7c489d2, "rpc_clone_client_set_auth" },
	{ 0x0f6ef32a, "rpc_clone_client" },
	{ 0xc5bb1dec, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xad0a1fe6, "nfs_client_init_status" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x88918714, "svc_rpcb_cleanup" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x37b916c0, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7801ee9b, "put_fs_context" },
	{ 0x5d54788c, "nfs_retry_commit" },
	{ 0x566e3369, "nfs4_dentry_operations" },
	{ 0xa307d175, "__module_put_and_kthread_exit" },
	{ 0xeb150cc6, "rpc_peeraddr2str" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xb298ee68, "nfs_client_for_each_server" },
	{ 0x405baf70, "nfs_clear_inode" },
	{ 0x6fe4e491, "rpc_sleep_on_priority" },
	{ 0xa5a0a1c5, "nfs_invalidate_atime" },
	{ 0xa964348c, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xbc827bb6, "nfs_umount_begin" },
	{ 0x6dc3f557, "nfs_getattr" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xc6266c44, "nfs_pageio_reset_write_mds" },
	{ 0x909d43dd, "kmem_cache_free" },
	{ 0xb10566ee, "nfs_generic_pg_test" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x40035213, "xdr_stream_subsegment" },
	{ 0xbef06b5c, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x1dbe7fda, "nfs_fscache_open_file" },
	{ 0x67482e85, "from_kgid" },
	{ 0x04363e79, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xcb3588ff, "nfs_write_inode" },
	{ 0x6a2105ee, "nfs_request_remove_commit_list" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x4d21951d, "page_to_nid" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x979677d6, "rpc_wake_up_first" },
	{ 0xf829ac46, "alloc_nfs_open_context" },
	{ 0xe25b8e09, "list_lru_add_obj" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8d8fcce5, "vfs_parse_fs_param" },
	{ 0xdfda9eb2, "nfs_path" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xced16d51, "rpc_sleep_on_priority_timeout" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x7fe02c7a, "nfs_create_rpc_client" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xebd1c50e, "register_nfs_version" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x5acc8fad, "rpc_sleep_on_timeout" },
	{ 0xfe57c26c, "list_lru_count_one" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x2c27aaeb, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x09d6fdbf, "rpc_call_start" },
	{ 0x12a4373b, "xprt_setup_backchannel" },
	{ 0xa88016c2, "bpf_trace_run1" },
	{ 0x663f1d4a, "svc_create" },
	{ 0x63315ca4, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x879563e4, "nfs_file_set_open_context" },
	{ 0xa5964849, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x90dba4e4, "rpc_call_sync" },
	{ 0xd072aa44, "from_kuid" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xf89bb659, "rpc_put_task_async" },
	{ 0x76e2349b, "rpc_prepare_reply_pages" },
	{ 0x0f8b3354, "rpc_queue_upcall" },
	{ 0x8b6a493d, "nfs_free_server" },
	{ 0x369a6f8c, "fc_mount" },
	{ 0x68a2d777, "register_sysctl_sz" },
	{ 0xe5bf4e51, "nfs_setattr" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2866bf9a, "xdr_terminate_string" },
	{ 0x07452126, "nfs4_fs_type" },
	{ 0x1b0cddcb, "key_revoke" },
	{ 0x4ed2b7d9, "nfs_fattr_init" },
	{ 0x7d874d82, "rpc_delay" },
	{ 0x304b0e55, "nfs_flock" },
	{ 0x6bf4d3a4, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x709d1e0e, "__list_lru_init" },
	{ 0xecf998fe, "kmem_cache_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x2195da57, "svc_generic_init_request" },
	{ 0x3ed233aa, "_atomic_dec_and_lock" },
	{ 0xec56cf71, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xc6a39942, "rpc_exit" },
	{ 0xc3f1b646, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x69b67aa8, "__kmem_cache_create_args" },
	{ 0x4fd179d4, "rpc_remove_pipe_dir_object" },
	{ 0x608fd589, "nfs_may_open" },
	{ 0x52c35a0a, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0x7ee9eda4, "out_of_line_wait_on_bit_lock" },
	{ 0x7e5cd3ef, "nfs_server_copy_userdata" },
	{ 0x2d0f9b90, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x463c69fc, "down_read" },
	{ 0x2f2bc640, "xdr_reserve_space" },
	{ 0x6403a73d, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd4a69ac5, "kthread_create_on_node" },
	{ 0xa2f6e662, "list_lru_isolate" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x2f4bb6b9, "nfs_rmdir" },
	{ 0x687aa099, "bpf_trace_run3" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0xbd8dca30, "nfs_filemap_write_and_wait_range" },
	{ 0x424e1ab0, "rpc_mkpipe_dentry" },
	{ 0x257e838b, "alloc_file_pseudo" },
	{ 0x096f5dbb, "rpc_mkpipe_data" },
	{ 0x14723df9, "rpc_add_pipe_dir_object" },
	{ 0xda49a55d, "igrab" },
	{ 0x1a93c618, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x02b425e2, "nfs_async_iocounter_wait" },
	{ 0x709edb33, "nfs_file_read" },
	{ 0x9bb7737d, "trace_event_buffer_reserve" },
	{ 0x96408e22, "crc32_le_arch" },
	{ 0x989e7f71, "nfs_alloc_fattr_with_label" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xb59a822b, "filemap_fdatawait_range" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0x3817f078, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf50f017b, "nfs_setattr_update_inode" },
	{ 0x0c0470ed, "nfs_instantiate" },
	{ 0x7ff6b5de, "init_user_ns" },
	{ 0x85779103, "rpc_uaddr2sockaddr" },
	{ 0xa731899e, "user_read" },
	{ 0xe2a83d6f, "rpc_restart_call" },
	{ 0x4d404ab3, "request_key_tag" },
	{ 0x1dc5f8e6, "xprt_force_disconnect" },
	{ 0xae6c01ef, "user_free_preparse" },
	{ 0x0d7384f2, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x92443219, "svc_xprt_destroy_all" },
	{ 0x8438867a, "generic_key_instantiate" },
	{ 0xfebf537d, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xc6dd8a7b, "nfs_link" },
	{ 0x2f520c14, "__folio_put" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa0d31c2e, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x479d93b4, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf6a19847, "dput" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0x7a988a85, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9438d09e, "xdr_stream_move_subsegment" },
	{ 0xe0c17ec0, "put_rpccred" },
	{ 0x0294c6a2, "nfs_callback_nr_threads" },
	{ 0x56b11fe6, "nfs_post_op_update_inode_force_wcc" },
	{ 0x090a83e1, "nfs_pgheader_init" },
	{ 0x6d41990e, "put_nfs_open_context" },
	{ 0xa10b4d3a, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x7aa4b330, "nfs_show_devname" },
	{ 0x3a38f5e1, "nfs_permission" },
	{ 0x37c916be, "nfs_initiate_commit" },
	{ 0xaa1f5e9e, "truncate_inode_pages_range" },
	{ 0x618ae92f, "__put_user_ns" },
	{ 0x50f55218, "alloc_pages_noprof" },
	{ 0x7bd6a8e5, "cred_fscmp" },
	{ 0x0ca91222, "rpc_unlink" },
	{ 0x915271dc, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd4d416a6, "proc_dointvec" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xea5880e1, "nfs_file_write" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x5ac3d41f, "node_data" },
	{ 0x40c99b8d, "nfs_probe_server" },
	{ 0xab416fae, "nfs_setsecurity" },
	{ 0x65b0d6ae, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x731ceeb7, "rpc_clnt_test_and_add_xprt" },
	{ 0xcd56fae1, "file_ra_state_init" },
	{ 0x2e828a5c, "nfs_force_lookup_revalidate" },
	{ 0x36b34b51, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd4c715fa, "rpc_clnt_add_xprt" },
	{ 0xa17c3b83, "dget_parent" },
	{ 0xaf63b2c3, "from_kuid_munged" },
	{ 0xc215e3a0, "prepare_kernel_cred" },
	{ 0x889f3f2b, "nfs_alloc_server" },
	{ 0xf42e7d1f, "rpc_call_async" },
	{ 0x5f1e960c, "security_dentry_init_security" },
	{ 0x2c30e5f4, "filemap_write_and_wait_range" },
	{ 0x4b76fe3b, "list_lru_del_obj" },
	{ 0x4dcfdbbf, "nfs_server_insert_lists" },
	{ 0xcc1cf1fc, "page_address" },
	{ 0xd667562c, "nfs_dreq_bytes_left" },
	{ 0xd0d8621b, "strlen" },
	{ 0x0be0f0f7, "nfs_free_client" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x984f31fa, "rpc_init_pipe_dir_object" },
	{ 0x1efdec4d, "bpf_trace_run7" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x1dcb820a, "nfs_refresh_inode" },
	{ 0x51f7b586, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x08e162a8, "nfs_access_set_mask" },
	{ 0x9906d686, "nfs_init_server_rpcclient" },
	{ 0xeeb37c57, "__mark_inode_dirty" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x38790644, "rpc_set_connect_timeout" },
	{ 0xe889ea45, "rpcauth_create" },
	{ 0x953ae61d, "xdr_stream_pos" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x896d699e, "key_set_timeout" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x04dc0300, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x1fdf3e32, "svc_xprt_create" },
	{ 0x9f8f212f, "nfs42_ssc_register" },
	{ 0xc929e610, "rpc_wait_for_completion_task" },
	{ 0x18df6033, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd6fb82cc, "rpc_num_bc_slots" },
	{ 0xf35d0bbb, "nfs_alloc_inode" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaf90acc9, "rpc_destroy_wait_queue" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0xd956a8e2, "security_inode_listsecurity" },
	{ 0xea36faf0, "nfs_fhget" },
	{ 0x4492b32e, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x50a19dfa, "locks_copy_lock" },
	{ 0x3ad3e8ec, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x331deeee, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8950fcd2, "nfs_set_verifier" },
	{ 0xf075adea, "proc_dointvec_minmax" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "865D36867EC0A89ED41A79C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
