#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0xc617937c, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x4187a65f, "");
SYMBOL_CRC(dccp_v4_send_check, 0x6bef5b91, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x09f0ab11, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0xfc7f942c, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x62f4320c, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x8713367c, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x16f39dca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c300f2d, "__inet_lookup_established" },
	{ 0xa7eceded, "inet_bhash2_reset_saddr" },
	{ 0x998965f4, "inet_csk_addr2sockaddr" },
	{ 0x9c398324, "inet_unregister_protosw" },
	{ 0xf75d5a20, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6e300063, "dccp_shutdown" },
	{ 0xdd5e4fad, "inet_bhash2_update_saddr" },
	{ 0x419470b7, "dccp_connect" },
	{ 0xd3fb5286, "dccp_rcv_state_process" },
	{ 0x9914b256, "dccp_reqsk_send_ack" },
	{ 0xea771298, "inet_lookup_reuseport" },
	{ 0xe18f0c6c, "__inet_lookup_listener" },
	{ 0xbc37743e, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x847454b2, "__skb_ext_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xac146781, "sock_common_getsockopt" },
	{ 0x07db48fe, "inet_bind" },
	{ 0xff8eaf21, "__inet_inherit_port" },
	{ 0xfa89ea25, "inet_dccp_listen" },
	{ 0x8fa14e58, "security_inet_conn_request" },
	{ 0x037a0cba, "kfree" },
	{ 0xdc20380a, "inet_register_protosw" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0x63f982a2, "pcpu_hot" },
	{ 0x3aade7c1, "__xfrm_policy_check" },
	{ 0x658469a2, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6809d218, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xdd9cd0b0, "inet_csk_reqsk_queue_hash_add" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf42247cf, "sk_error_report" },
	{ 0x948bc064, "register_pernet_subsys" },
	{ 0x6be6c29f, "inet_ehash_nolisten" },
	{ 0x070f7896, "_printk" },
	{ 0x16b2170d, "inet_getname" },
	{ 0x77a0c35d, "inet_stream_connect" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x48507a77, "proto_unregister" },
	{ 0x98c4d3af, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xdf05fb6f, "inet_ehashfn" },
	{ 0x18558bee, "inet_twsk_purge" },
	{ 0x6bee3a20, "dccp_done" },
	{ 0x31a67a45, "inet_release" },
	{ 0x83525379, "__sk_dst_check" },
	{ 0x4a2436c8, "dccp_disconnect" },
	{ 0xae583312, "ip_route_output_key_hash" },
	{ 0x84664dc4, "proto_register" },
	{ 0xf4212b1a, "inet_hash" },
	{ 0xdcc1ac4c, "__sk_receive_skb" },
	{ 0x40c33cf7, "dccp_poll" },
	{ 0xfac83d96, "inet_ctl_sock_create" },
	{ 0x5d03b2f7, "dccp_death_row" },
	{ 0xcf775e02, "inet_csk_get_port" },
	{ 0x8baf2bcf, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0xfbc9ffc6, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xdfcb1d6a, "inet_accept" },
	{ 0x2b6ddf4f, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2f2c7fec, "ip6_mtu" },
	{ 0x6abf9f0a, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x5c96f2a0, "inet_add_protocol" },
	{ 0xc7d55b9d, "inet_shutdown" },
	{ 0xb039f00d, "sk_free" },
	{ 0x02276d4f, "dccp_close" },
	{ 0xf335760e, "dccp_reqsk_init" },
	{ 0xd66cef2a, "inet_hash_connect" },
	{ 0x909d43dd, "kmem_cache_free" },
	{ 0x3934da27, "inet_csk_route_child_sock" },
	{ 0x3f9d5903, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x041ffa70, "security_sk_classify_flow" },
	{ 0x58485a5e, "inet_csk_update_pmtu" },
	{ 0xf5e8b1b8, "dccp_getsockopt" },
	{ 0x3a9c915d, "dccp_parse_options" },
	{ 0xeefd0a8a, "unregister_pernet_subsys" },
	{ 0xc3aee992, "skb_checksum" },
	{ 0x716ae25a, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6d406435, "sock_no_mmap" },
	{ 0xfd49bac0, "__pskb_pull_tail" },
	{ 0xe996440c, "dccp_child_process" },
	{ 0xf821b73f, "sock_common_recvmsg" },
	{ 0x50bc5844, "dccp_setsockopt" },
	{ 0x8fdafd7c, "dccp_ioctl" },
	{ 0x2bb0aed7, "inet_sk_rebuild_header" },
	{ 0xdfb98196, "inet_del_protocol" },
	{ 0x4881b0c3, "ipv4_mtu" },
	{ 0xc138b00d, "dccp_recvmsg" },
	{ 0xd8caa156, "inet_sendmsg" },
	{ 0x87f1e39f, "dccp_check_req" },
	{ 0x9f25ffc9, "dccp_create_openreq_child" },
	{ 0x5acb0dca, "inet_csk_prepare_forced_close" },
	{ 0xede7de57, "security_skb_classify_flow" },
	{ 0xbda90775, "sock_pfree" },
	{ 0x758b0274, "dccp_rcv_established" },
	{ 0x1e46eee0, "dccp_send_sync" },
	{ 0x5f873997, "dst_release" },
	{ 0x6d176d47, "sock_release" },
	{ 0x33583055, "dccp_make_response" },
	{ 0x5e12b4b6, "dccp_destroy_sock" },
	{ 0xcf532b27, "dccp_ctl_make_reset" },
	{ 0xab2f7b82, "sock_gettstamp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x339478d7, "sk_setup_caps" },
	{ 0x2838c8fc, "ip_build_and_send_pkt" },
	{ 0xdd1969f7, "dccp_sendmsg" },
	{ 0x4f60def0, "ip_setsockopt" },
	{ 0x3ac2c6cf, "dccp_hashinfo" },
	{ 0x2f35bbc9, "inet_twsk_put" },
	{ 0xdc8f0585, "inet_unhash" },
	{ 0x3e82a4c7, "ip_getsockopt" },
	{ 0x80cf4677, "dccp_set_state" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xce12308a, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x933fa5c3, "inet_csk_reqsk_queue_drop" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "9D2D9D3C5C17D263ECCB024");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
