#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xb0338210, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x4bcc0716, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x2c446500, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x1d006cc2, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x963e2769, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x6649677c, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x3f98385a, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x04b08e96, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x09bf59f6, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x317753a5, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x4df4c5db, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xb382e616, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x3917fd56, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x7500b7d5, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xf6f2ff4c, "");
SYMBOL_CRC(nf_nat_follow_master, 0x3b555e7a, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0xf11c610a, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xada475f5, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x987f4de8, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x9fbb5df3, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xc1f0f03d, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x5c7e4777, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x95c72de6, "nf_ct_ext_add" },
	{ 0x2f2a33c0, "__do_once_done" },
	{ 0xa627530f, "nf_conntrack_find_get" },
	{ 0x05b19fea, "try_module_get" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xe30c6c6d, "nf_ip6_checksum" },
	{ 0x15c92c63, "skb_copy_bits" },
	{ 0xab3aa1cb, "nf_hook_entries_insert_raw" },
	{ 0xc9b94fb1, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x742c35ce, "nf_ct_seqadj_set" },
	{ 0xbbd61445, "skb_put" },
	{ 0x8ace204b, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8235805b, "memmove" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd22dcfc2, "nf_ct_helper_expectfn_unregister" },
	{ 0x498fe069, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x1b60006b, "nf_ct_helper_expectfn_register" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0x181cc7cc, "ip6_route_me_harder" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x411e8e2a, "pskb_expand_head" },
	{ 0x948bc064, "register_pernet_subsys" },
	{ 0xa3c7bc30, "nf_conntrack_tuple_taken" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x38cc7abd, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xf088d465, "ipv6_skip_exthdr" },
	{ 0x2e6f964a, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x03a9a324, "module_put" },
	{ 0x974f61af, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xf326f0ef, "nf_ct_expect_related_report" },
	{ 0x9e24f9f8, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x42292403, "nf_hook_entries_delete_raw" },
	{ 0x1efe7dd1, "skb_ensure_writable" },
	{ 0x5ade8d7c, "nf_unregister_net_hooks" },
	{ 0xaac389a8, "inet_select_addr" },
	{ 0x5152e605, "memcmp" },
	{ 0x0460ec0f, "nf_ct_invert_tuple" },
	{ 0xeefd0a8a, "unregister_pernet_subsys" },
	{ 0xc3aee992, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x47c9d20e, "nf_ct_delete" },
	{ 0x65dc87d9, "nf_ip_checksum" },
	{ 0x43789b15, "nf_ct_iterate_destroy" },
	{ 0x91a9c232, "__siphash_unaligned" },
	{ 0xde950999, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x73fd794d, "__put_net" },
	{ 0xea683f27, "crc32c_le_arch" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb8c39c56, "__skb_checksum" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xf68ea59c, "inet_proto_csum_replace4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x5f873997, "dst_release" },
	{ 0xb82326ca, "nf_ct_l4proto_find" },
	{ 0x0acf8282, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x30f0b7f5, "nf_nat_hook" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "2C33A1AA260AAFBEE1E568B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
