#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0xa614a88f, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0xaee53b1f, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0xc338ece8, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xbcf17721, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x3da72488, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x15472559, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x4722bb30, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x0503ab7e, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x7fd807ae, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0xf67bd30d, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0xb7904478, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0xa634336f, "");
SYMBOL_CRC(key_type_rxrpc, 0x791c7518, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x06a1c4a0, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x97d1cae0, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0xa3d3bb80, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xe3e37816, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0xc029320b, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0xd716fa8e, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x2920f183, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0xa02ce10b, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0xf62f4079, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0xd4fccb7f, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0xc8992ebf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x467b3e9e, "crypto_skcipher_encrypt" },
	{ 0x1c251f3a, "_raw_read_lock_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x123a911b, "key_alloc" },
	{ 0x1e3865b8, "bpf_trace_run4" },
	{ 0x15c92c63, "skb_copy_bits" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x4b7a0713, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x389f59cc, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x1d6b93bc, "trace_raw_output_prep" },
	{ 0x8c102221, "_raw_read_unlock_irq" },
	{ 0x500140fa, "udp_sock_create4" },
	{ 0x0c7506a4, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xd73406bc, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x210f6850, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x770f15d0, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x90fab38f, "add_wait_queue_exclusive" },
	{ 0x7b1e58e7, "set_user_nice" },
	{ 0xbfc97bdc, "up" },
	{ 0xfe44c43f, "udpv6_sendmsg" },
	{ 0x54c786ac, "unregister_key_type" },
	{ 0xa4f949d0, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x622cc291, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xcb98b1f7, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x63f982a2, "pcpu_hot" },
	{ 0x0cb39ef5, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xef1ffaed, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x6c004456, "crypto_skcipher_setkey" },
	{ 0x6809d218, "ip_route_output_flow" },
	{ 0x577b4099, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x0e50b941, "key_instantiate_and_link" },
	{ 0x0479aac1, "seq_list_next_rcu" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xa129020e, "register_key_type" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xe13f514a, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa938cc21, "minmax_running_min" },
	{ 0x9572acb9, "put_cmsg" },
	{ 0x37a1ec83, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xcbcec5f4, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x9f47b74d, "register_net_sysctl_sz" },
	{ 0xcbef5fab, "crypto_destroy_tfm" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x970038d5, "empty_zero_page" },
	{ 0x070f7896, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x48507a77, "proto_unregister" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x11113d12, "ipv6_icmp_error" },
	{ 0x6a9885a4, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x37448c34, "crypto_skcipher_decrypt" },
	{ 0xf08f3624, "make_kuid" },
	{ 0x436276bd, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x09af842d, "idr_get_next" },
	{ 0xd26697ed, "const_pcpu_hot" },
	{ 0x84664dc4, "proto_register" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0x06403cfb, "skb_queue_tail" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0x00632780, "work_busy" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x72dcf289, "__sock_recv_timestamp" },
	{ 0xa1f27b19, "key_put" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xee9dfa8b, "perf_trace_run_bpf_submit" },
	{ 0xeb890605, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x438e49cd, "skb_pull" },
	{ 0xf24c4fe1, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xc3fa6a59, "memchr" },
	{ 0xaa7473db, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2f2c7fec, "ip6_mtu" },
	{ 0x6abf9f0a, "sk_skb_reason_drop" },
	{ 0x32a460e8, "down" },
	{ 0xa964348c, "bpf_trace_run5" },
	{ 0xb039f00d, "sk_free" },
	{ 0x6e65191f, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8dc55cb2, "kernel_sock_shutdown" },
	{ 0x420bc2c4, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x420eabe4, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x909d43dd, "kmem_cache_free" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x1b4f9e40, "proc_doulongvec_minmax" },
	{ 0x04363e79, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x8dec9555, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x0ab5bcd0, "_raw_read_unlock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x45b0cb7b, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xdd745464, "cancel_work" },
	{ 0x18217d72, "lock_sock_nested" },
	{ 0xc0ac634d, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0xce9086ec, "skb_copy_datagram_iter" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xceab9502, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xd97e0055, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9a21665f, "sk_alloc" },
	{ 0xa88016c2, "bpf_trace_run1" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0xde5bdafa, "__sock_recv_wifi_status" },
	{ 0x716ae25a, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1b0cddcb, "key_revoke" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xecf998fe, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6d406435, "sock_no_mmap" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3ed233aa, "_atomic_dec_and_lock" },
	{ 0xec56cf71, "key_validate" },
	{ 0xaed67793, "crypto_alloc_sync_skcipher" },
	{ 0x69b67aa8, "__kmem_cache_create_args" },
	{ 0xc6df3e51, "setup_udp_tunnel_sock" },
	{ 0x2566a0e8, "proc_remove" },
	{ 0xb800f93b, "udp_sock_create6" },
	{ 0x6f84c573, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd4a69ac5, "kthread_create_on_node" },
	{ 0x687aa099, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4881b0c3, "ipv4_mtu" },
	{ 0x9bb7737d, "trace_event_buffer_reserve" },
	{ 0xc7704581, "keyring_search" },
	{ 0x0a6d0f60, "ip_sock_set_recverr" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x0e1ed9c9, "prepare_to_wait_exclusive" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4d404ab3, "request_key_tag" },
	{ 0x8438867a, "generic_key_instantiate" },
	{ 0xa9909315, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x2ac28b98, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7b116a45, "seq_printf" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0x20424bfb, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x84d63e57, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x5f873997, "dst_release" },
	{ 0x6a85b13f, "_copy_from_iter" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0x6d176d47, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x6e2e9506, "sock_no_ioctl" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe6028d6c, "_proc_mkdir" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x9323396a, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xbacf05cf, "__seq_puts" },
	{ 0x3bf818d3, "page_frag_cache_drain" },
	{ 0x9dd0f5cd, "__page_frag_alloc_align" },
	{ 0xcc1cf1fc, "page_address" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x1efdec4d, "bpf_trace_run7" },
	{ 0x74dec71a, "ip_icmp_error" },
	{ 0x4879f662, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x9078a12a, "kernel_sendmsg" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xd12b13c7, "skb_to_sgvec" },
	{ 0x3fc60195, "register_pernet_device" },
	{ 0xae8164b0, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x453b162d, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0x3ad3e8ec, "kmem_cache_destroy" },
	{ 0xe7d21566, "release_sock" },
	{ 0xaa4adfdd, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcdddefad, "proc_create_net_single_write" },
	{ 0x24b17422, "crypto_alloc_skcipher" },
	{ 0xf075adea, "proc_dointvec_minmax" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2DDF927FAE4334C5C984F29");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
