#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x964a767b, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0x3149706a, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0xd1f5270f, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x4c738264, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0xc5434f6c, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x30223dc2, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x137ad32d, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x9c7cd7c6, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0xd4fcd886, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x9b7ccd41, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0xa81dbb7e, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x580e2aac, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x6de3722d, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x3d6b0302, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x6cd96e41, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0x63d1e572, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x68b3fbc2, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x67356ad3, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x8e571a89, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x7a2ca319, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x89c18662, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x5174d56f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb47095c5, "snd_hda_apply_verbs" },
	{ 0xb7b65af6, "snd_hda_codec_amp_update" },
	{ 0xd1f1692c, "snd_hda_add_new_ctls" },
	{ 0xc651946c, "snd_hda_get_connections" },
	{ 0xe1ec6c82, "snd_hda_codec_amp_init_stereo" },
	{ 0xbe02b09f, "snd_hda_set_vmaster_tlv" },
	{ 0xf9e23f61, "hda_get_autocfg_input_label" },
	{ 0x32064d6d, "query_amp_caps" },
	{ 0x37f5c7a2, "devm_kmalloc" },
	{ 0xdc0484a7, "snd_hda_mixer_amp_volume_info" },
	{ 0x420ab04d, "snd_hdac_regmap_read_raw" },
	{ 0xe345e20d, "snd_hda_jack_detect_state_mst" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb7871298, "snd_hda_codec_setup_stream" },
	{ 0xd8592c18, "snd_hda_mixer_amp_switch_info" },
	{ 0x2b218915, "hda_codec_driver_unregister" },
	{ 0xa943028d, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x864d18c3, "snd_hdac_codec_write" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xf04ec9b0, "snd_hda_jack_tbl_get_mst" },
	{ 0x9799a121, "snd_hda_multi_out_dig_open" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3e5b5df3, "snd_hda_add_vmaster_hook" },
	{ 0x037a0cba, "kfree" },
	{ 0xb2e1870b, "led_classdev_unregister" },
	{ 0xd94b305e, "snd_hda_codec_pcm_new" },
	{ 0x333966c5, "__snd_hda_codec_cleanup_stream" },
	{ 0xc24429ad, "snd_ctl_sync_vmaster" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x279ebccf, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0b624b40, "snd_hda_get_pin_label" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x914a38cd, "snd_hda_add_imux_item" },
	{ 0x7271aee1, "snd_hda_correct_pin_ctl" },
	{ 0xa4233bf3, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x629525e7, "snd_hda_create_dig_out_ctls" },
	{ 0x4734cc52, "snd_hda_multi_out_dig_close" },
	{ 0x2b182816, "snd_hda_get_conn_index" },
	{ 0x58725718, "snd_hda_multi_out_analog_open" },
	{ 0x8d4be00a, "snd_hda_get_bool_hint" },
	{ 0x18d4924a, "snd_hda_create_spdif_share_sw" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x65334ac9, "snd_hda_find_mixer_ctl" },
	{ 0x0a30f504, "snd_hda_get_int_hint" },
	{ 0x572c678d, "_dev_err" },
	{ 0xac01973c, "__hda_codec_driver_register" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0x47a6eef5, "snd_hda_parse_pin_defcfg" },
	{ 0x9f46846d, "snd_hda_codec_amp_init" },
	{ 0xb6bec7bb, "snd_hda_create_spdif_in_ctls" },
	{ 0xedba6bd7, "is_jack_detectable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xc6e334c1, "snd_hda_multi_out_analog_cleanup" },
	{ 0x2eec38a3, "snd_hda_multi_out_analog_prepare" },
	{ 0xcf36da05, "snd_ctl_boolean_stereo_info" },
	{ 0x95174f22, "snd_hda_get_conn_list" },
	{ 0xafc6081b, "snd_hda_mixer_amp_switch_get" },
	{ 0xd0b12376, "snd_hda_codec_set_pin_target" },
	{ 0xe0dfa3f9, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x1da1422d, "snd_hda_attach_beep_device" },
	{ 0x3027dce8, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf6b72de4, "snd_hdac_regmap_write_raw" },
	{ 0xab9ba0a4, "snd_hda_mixer_amp_volume_get" },
	{ 0x72914d00, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0x9404f0aa, "snd_hda_check_amp_caps" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8977820c, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4c795f8d, "snd_hda_jack_unsol_event" },
	{ 0xa1481ed4, "snd_hda_check_amp_list_power" },
	{ 0x0676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xe479ae14, "snd_hda_mixer_amp_tlv" },
	{ 0xe666744e, "snd_hda_jack_add_kctls" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x83cd0f50, "__snd_hda_add_vmaster" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x70f9e0cf, "snd_hda_codec_amp_stereo" },
	{ 0xd56f480e, "snd_hda_sync_vmaster_hook" },
	{ 0x09fd81bd, "snd_hda_apply_fixup" },
	{ 0xdf2540b5, "snd_hda_enum_helper_info" },
	{ 0x01cf63c3, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0xd0d8621b, "strlen" },
	{ 0x098fdd90, "snd_hdac_codec_read" },
	{ 0x8d2a2ab3, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xe23f1774, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x51cad1de, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5475f87e, "snd_hdac_regmap_sync" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "0C63568A6259984F6E3A5C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
