#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0xe28ac9f9, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0x2a6227d7, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0xbaf6b52d, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0xd5fb0d66, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0x586cb05f, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0xd255eb18, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62ecf3ef, "snd_soc_dapm_put_enum_double" },
	{ 0xcd85f490, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x5583704a, "regcache_cache_only" },
	{ 0x6c66290e, "regcache_sync" },
	{ 0x7cea0f29, "regmap_write" },
	{ 0x37f5c7a2, "devm_kmalloc" },
	{ 0x3bb8a8c5, "snd_soc_jack_report" },
	{ 0x0718438d, "snd_soc_component_read" },
	{ 0xba685af1, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x8de259e9, "gpiod_to_irq" },
	{ 0x45698ab1, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe8b476cd, "snd_soc_put_enum_double" },
	{ 0x502f2603, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaa081ea7, "gpiod_get_value" },
	{ 0xa716f5d1, "devm_gpiod_get_optional" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x4c591717, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd92ddf9e, "snd_soc_component_write" },
	{ 0xbfb3908f, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x77118946, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xcc27d1b7, "device_property_read_u32_array" },
	{ 0x4a1e79c9, "snd_soc_get_enum_double" },
	{ 0x742e9d0d, "i2c_register_driver" },
	{ 0x3f21bb75, "snd_soc_info_volsw" },
	{ 0x572c678d, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfd9cf916, "snd_soc_dapm_put_volsw" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xd5754461, "snd_soc_dapm_force_bias_level" },
	{ 0xc9fa17d9, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x322fece2, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0x1cf87757, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5dcb229d, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x2fe1ed6e, "devm_clk_get_optional" },
	{ 0x689a992b, "snd_soc_get_volsw" },
	{ 0xd10cc9ec, "regmap_read" },
	{ 0xfe450af1, "snd_soc_put_volsw" },
	{ 0xcb1dae5f, "snd_soc_component_update_bits" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9d93c7a2, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xfc6a7634, "device_property_read_bool" },
	{ 0x244da688, "regmap_update_bits_base" },
	{ 0x1808a07a, "snd_soc_dapm_get_volsw" },
	{ 0xdfe160d0, "__devm_add_action" },
	{ 0x60422514, "i2c_del_driver" },
	{ 0x2ec5bc59, "regmap_register_patch" },
	{ 0xb5d2f5cc, "snd_soc_dapm_get_enum_double" },
	{ 0x810f9d0b, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("of:N*T*Crealtek,rt5639");
MODULE_ALIAS("of:N*T*Crealtek,rt5639C*");
MODULE_ALIAS("of:N*T*Crealtek,rt5640");
MODULE_ALIAS("of:N*T*Crealtek,rt5640C*");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");
MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");

MODULE_INFO(srcversion, "8DA52D21774CE3081E6DC3B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
