#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_cl_prepare, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(cl_dsp_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_cleanup, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware_iccmax, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_load_library, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ext_man_get_cavs_config_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_hda_position_quirk, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_stream_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_threaded_handler, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_get_position, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_llp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_ldp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_release, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_get_interface_mask, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_is_chain_dma_supported, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_stall_reset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_is_enabled, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_run, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_power_up, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_enable_core, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_reset_power_down, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_disable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc3, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc4, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_idle, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown_dma_flush, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_hw_params_upon_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_get, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_common_enable_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_common, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_ext, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_process_wakeen, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(hda_dsp_ipc_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_schedule_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_reply, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_msg_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_stream_data_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_irq_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_tx_is_busy, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_get_caps, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_clock_power_gating, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_init_chip, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_ack, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_pointer, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_open, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_close, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dai_config, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_dai_drv_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_dai, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_exit, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_ipc4_intel_dump_telemetry_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(hda_probes_register, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_probes_unregister, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_cl_prepare, 0x7d02e431, "");
SYMBOL_CRC(cl_dsp_init, 0x4fb42193, "");
SYMBOL_CRC(hda_cl_trigger, 0xf9da6458, "");
SYMBOL_CRC(hda_cl_cleanup, 0x6950a64d, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware_iccmax, 0x9e473c18, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware, 0x7e96968c, "");
SYMBOL_CRC(hda_dsp_ipc4_load_library, 0x6fc09ae8, "");
SYMBOL_CRC(hda_dsp_ext_man_get_cavs_config_data, 0xcab8781c, "");
SYMBOL_CRC(sof_hda_position_quirk, 0xf2ce560f, "");
SYMBOL_CRC(hda_dsp_stream_hw_free, 0xd472324b, "");
SYMBOL_CRC(hda_dsp_check_stream_irq, 0xbfe3bef4, "");
SYMBOL_CRC(hda_dsp_stream_threaded_handler, 0x3bdcdfa9, "");
SYMBOL_CRC(hda_dsp_stream_init, 0xcd77a6c9, "");
SYMBOL_CRC(hda_dsp_stream_free, 0xb7354c4f, "");
SYMBOL_CRC(hda_dsp_stream_get_position, 0x4c0001e5, "");
SYMBOL_CRC(hda_dsp_get_stream_llp, 0xccf9e269, "");
SYMBOL_CRC(hda_dsp_get_stream_ldp, 0x8aa70849, "");
SYMBOL_CRC(hda_dsp_trace_init, 0x4d3db2b9, "");
SYMBOL_CRC(hda_dsp_trace_release, 0x5048537a, "");
SYMBOL_CRC(hda_dsp_trace_trigger, 0xcc6317d1, "");
SYMBOL_CRC(hda_get_interface_mask, 0xb2903ca1, "");
SYMBOL_CRC(hda_is_chain_dma_supported, 0xa5f2bbe9, "");
SYMBOL_CRC(hda_dsp_core_stall_reset, 0xdd2f39b1, "");
SYMBOL_CRC(hda_dsp_core_is_enabled, 0x4149b169, "");
SYMBOL_CRC(hda_dsp_core_run, 0x7b8db1b8, "");
SYMBOL_CRC(hda_dsp_core_power_up, 0xb067abcf, "");
SYMBOL_CRC(hda_dsp_enable_core, 0xf6dd3712, "");
SYMBOL_CRC(hda_dsp_core_reset_power_down, 0x1ae7410c, "");
SYMBOL_CRC(hda_dsp_ipc_int_enable, 0xe9abc19a, "");
SYMBOL_CRC(hda_dsp_ipc_int_disable, 0x45deb735, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc3, 0x3d659223, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc4, 0xfb7f3c30, "");
SYMBOL_CRC(hda_dsp_resume, 0xea5a6c64, "");
SYMBOL_CRC(hda_dsp_runtime_resume, 0xa529c38e, "");
SYMBOL_CRC(hda_dsp_runtime_idle, 0x7fbdb8d8, "");
SYMBOL_CRC(hda_dsp_runtime_suspend, 0xc16717b0, "");
SYMBOL_CRC(hda_dsp_suspend, 0x9502db36, "");
SYMBOL_CRC(hda_dsp_shutdown_dma_flush, 0x57b6f74f, "");
SYMBOL_CRC(hda_dsp_shutdown, 0x10c19e73, "");
SYMBOL_CRC(hda_dsp_set_hw_params_upon_resume, 0xc0f8a9fb, "");
SYMBOL_CRC(hda_dsp_d0i3_work, 0xbbd4229f, "");
SYMBOL_CRC(hda_dsp_core_get, 0x7a91efaf, "");
SYMBOL_CRC(hda_common_enable_sdw_irq, 0x41183e50, "");
SYMBOL_CRC(hda_sdw_int_enable, 0x0541b5a6, "");
SYMBOL_CRC(hda_sdw_check_lcount_common, 0xfb832944, "");
SYMBOL_CRC(hda_sdw_check_lcount_ext, 0x76ff1f4e, "");
SYMBOL_CRC(hda_sdw_check_lcount, 0x484ec66e, "");
SYMBOL_CRC(hda_sdw_process_wakeen, 0x37af4f0a, "");
SYMBOL_CRC(hda_dsp_disable_interrupts, 0xaf2371ab, "");
SYMBOL_CRC(hda_dsp_get_state, 0x0ee226d9, "");
SYMBOL_CRC(hda_dsp_dump, 0xf8aa88a5, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_initiated, 0x11bfd26d, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_initiated, 0xd11199ee, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_initiated, 0xa1805ce7, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, 0x35e33813, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_response, 0x39ae764b, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_response, 0xd9e01348, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_response, 0xd6b8de31, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_response, 0x16bbbb91, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq_ipc_check, 0xa5b36065, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq_ipc_check, 0xf54b0d03, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq_ipc_check, 0x99387847, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, 0x2b37f935, "");
SYMBOL_CRC(hda_dsp_ipc_send_msg, 0xd894b31a, "");
SYMBOL_CRC(hda_dsp_ipc4_schedule_d0i3_work, 0x0bac0aea, "");
SYMBOL_CRC(hda_dsp_ipc4_send_msg, 0xa42532fd, "");
SYMBOL_CRC(hda_dsp_ipc_get_reply, 0xa0f1c634, "");
SYMBOL_CRC(hda_dsp_ipc4_irq_thread, 0x6ef62ffb, "");
SYMBOL_CRC(hda_dsp_ipc_irq_thread, 0xa457063a, "");
SYMBOL_CRC(hda_dsp_check_ipc_irq, 0xa1ddafb5, "");
SYMBOL_CRC(hda_dsp_ipc_get_mailbox_offset, 0x07482084, "");
SYMBOL_CRC(hda_dsp_ipc_get_window_offset, 0x03a70b4b, "");
SYMBOL_CRC(hda_ipc_msg_data, 0xab2df44d, "");
SYMBOL_CRC(hda_set_stream_data_offset, 0xd31ca27f, "");
SYMBOL_CRC(hda_ipc4_dsp_dump, 0x184de534, "");
SYMBOL_CRC(hda_check_ipc_irq, 0xaeef76cc, "");
SYMBOL_CRC(hda_ipc_irq_dump, 0xc6308542, "");
SYMBOL_CRC(hda_ipc_dump, 0x3a6cfd94, "");
SYMBOL_CRC(hda_ipc4_dump, 0xa303bfe9, "");
SYMBOL_CRC(hda_ipc4_tx_is_busy, 0xe5dd3bea, "");
SYMBOL_CRC(hda_dsp_ctrl_get_caps, 0x317847e8, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_enable, 0x8eedbc18, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_int_enable, 0xb247d7b7, "");
SYMBOL_CRC(hda_dsp_ctrl_clock_power_gating, 0x3431d2d0, "");
SYMBOL_CRC(hda_dsp_ctrl_init_chip, 0xb4850574, "");
SYMBOL_CRC(hda_dsp_pcm_hw_params, 0xb18a6d01, "");
SYMBOL_CRC(hda_dsp_pcm_ack, 0xa4232951, "");
SYMBOL_CRC(hda_dsp_pcm_trigger, 0xe38f0d5d, "");
SYMBOL_CRC(hda_dsp_pcm_pointer, 0xb7e6abc8, "");
SYMBOL_CRC(hda_dsp_pcm_open, 0xf6afda54, "");
SYMBOL_CRC(hda_dsp_pcm_close, 0xb0af8964, "");
SYMBOL_CRC(hda_dai_config, 0x8b457290, "");
SYMBOL_CRC(sdw_hda_dai_hw_params, 0xb623529f, "");
SYMBOL_CRC(sdw_hda_dai_hw_free, 0x0ba39685, "");
SYMBOL_CRC(sdw_hda_dai_trigger, 0x98aa2b25, "");
SYMBOL_CRC(hda_set_dai_drv_ops, 0xef7fa5c1, "");
SYMBOL_CRC(hda_ops_free, 0x5514aabb, "");
SYMBOL_CRC(skl_dai, 0xf195d87d, "");
SYMBOL_CRC(sof_hda_bus_init, 0xd8ca187e, "");
SYMBOL_CRC(sof_hda_bus_exit, 0x3eb02352, "");
SYMBOL_CRC(sof_ipc4_intel_dump_telemetry_state, 0x8deaecbc, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq, 0xe71c3357, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq, 0xb8a004f8, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq, 0x424d5dbf, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq, 0x79bb115b, "");
SYMBOL_CRC(hda_probes_register, 0x7a58dd98, "");
SYMBOL_CRC(hda_probes_unregister, 0x0cfd186a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x216b4e02, "hda_codec_jack_check" },
	{ 0xcc597b15, "hda_bus_ml_suspend" },
	{ 0x23bcd551, "pci_save_state" },
	{ 0xcdddba6b, "sof_block_read" },
	{ 0x8d871a41, "hda_codec_i915_display_power" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1e3865b8, "bpf_trace_run4" },
	{ 0x1e02c705, "snd_dma_alloc_dir_pages" },
	{ 0x37f5c7a2, "devm_kmalloc" },
	{ 0x3d3196a6, "snd_hdac_bus_send_cmd" },
	{ 0x73b70e17, "hda_bus_ml_resume" },
	{ 0xcdd0b731, "snd_hdac_bus_get_response" },
	{ 0x43b1e435, "snd_hdac_ext_stream_start" },
	{ 0x065b45cb, "complete" },
	{ 0x1d6b93bc, "trace_raw_output_prep" },
	{ 0xe30e4d1e, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x2207ea67, "hda_codec_set_codec_wakeup" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x210f6850, "__trace_trigger_soft_disabled" },
	{ 0xc2926d69, "snd_hdac_ext_stream_decouple_locked" },
	{ 0x770f15d0, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0x003eb2e5, "snd_pcm_hw_constraint_minmax" },
	{ 0xcff9f306, "hda_codec_jack_wake_enable" },
	{ 0x622cc291, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x97aaf6db, "snd_hdac_ext_bus_init" },
	{ 0x63f982a2, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x3db9bc77, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xef1ffaed, "bpf_trace_run2" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x356e6882, "snd_sgbuf_get_addr" },
	{ 0xfcc43afb, "__dynamic_dev_dbg" },
	{ 0xd4f4fcbd, "snd_sgbuf_get_chunk_size" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbb66d94f, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcbcec5f4, "trace_event_buffer_commit" },
	{ 0xe0d9bdc4, "snd_dma_free_pages" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbd3d8603, "hda_codec_resume_cmd_io" },
	{ 0xb9c3df34, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x6a563e45, "snd_hdac_ext_bus_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d7623ae, "snd_hdac_ext_stream_clear" },
	{ 0xddd30cd9, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x33ff33c1, "_dev_info" },
	{ 0xd38fe4ec, "snd_hdac_ext_bus_link_power" },
	{ 0xd288b742, "snd_sof_dsp_dbg_dump" },
	{ 0x6b35a77c, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9c4b8b32, "sof_mailbox_read" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xee9dfa8b, "perf_trace_run_bpf_submit" },
	{ 0x6b96000b, "devm_kfree" },
	{ 0x572c678d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8ca3eeca, "snd_sof_dsp_update_bits_forced" },
	{ 0x14026083, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x701beb79, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x85bc3ea4, "sof_client_dev_register" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x04363e79, "trace_event_reg" },
	{ 0xf800ffcd, "snd_soc_dpcm_get_substream" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xfd204d31, "snd_sof_dsp_update_bits_unlocked" },
	{ 0xe676a04f, "sof_print_oops_and_stack" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xc29b1466, "hda_bus_ml_reset_losidv" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x891ffad4, "snd_hdac_ext_stream_setup" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xf8dc8124, "snd_sof_ipc_get_reply" },
	{ 0x835251ac, "snd_sof_dsp_update_bits" },
	{ 0x43507679, "pci_restore_state" },
	{ 0x01342d4c, "snd_sof_pci_update_bits" },
	{ 0x5032d36c, "hdac_bus_eml_ssp_get_hlink" },
	{ 0x5df50ac8, "hdac_bus_eml_dmic_get_hlink" },
	{ 0x3e883ff2, "_dev_warn" },
	{ 0x4ae0da6b, "snd_hdac_display_power" },
	{ 0xed3e654f, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x63e2264f, "snd_pcm_hw_constraint_integer" },
	{ 0x687aa099, "bpf_trace_run3" },
	{ 0x35e16966, "hda_codec_rirb_status_clear" },
	{ 0x6d2f4408, "hda_codec_suspend_cmd_io" },
	{ 0x06e02494, "snd_sof_ipc_reply" },
	{ 0xe4f2c59a, "hda_codec_init_cmd_io" },
	{ 0xfb98ae3c, "hda_codec_stop_cmd_io" },
	{ 0xf8ee81d9, "hda_codec_detect_mask" },
	{ 0x9bb7737d, "trace_event_buffer_reserve" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x3f08e133, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1df45300, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcba600bf, "sof_ipc_tx_message" },
	{ 0x8de50074, "snd_sof_dsp_panic" },
	{ 0xf9f8e979, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xd4ba69fe, "snd_sof_suspend" },
	{ 0xcabeb43f, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0x55dc957a, "snd_pcm_hw_constraint_step" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb212b5b7, "param_ops_int" },
	{ 0xd5b8938e, "intel_nhlt_init" },
	{ 0x9aa4e6f9, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xca6abca9, "sof_client_dev_unregister" },
	{ 0x4b88a5c1, "hda_codec_check_rirb_status" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xf0ffb45e, "snd_hdac_ext_stream_reset" },
	{ 0x4c7f90f8, "hdac_bus_eml_get_count" },
	{ 0xe08a9637, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6282e415, "kmalloc_caches" },
	{ 0xc7582304, "sof_io_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x06ef526d, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x53c9e8c8, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda,snd-sof-intel-hda-mlink,snd-sof,snd-pcm,snd-hda-core,snd-hda-ext-core,snd-soc-hdac-hda,snd-soc-core,snd-intel-dspcfg");


MODULE_INFO(srcversion, "8A41B85B3F5315985089F2F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
